<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

function isfree( &$row, $i, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='' )
	{
		$img 	= $row->isfree ? $imgY : $imgX;
		$task 	= $row->isfree ? 'unpublish' : 'publish';
		$alt 	= $row->isfree ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
		$action = $row->isfree ? JText::_( 'Unpublish Item' ) : JText::_( 'Publish item' );

		$href = '
		<img src="images/'. $img .'" border="0" alt="'. $alt .'" />'
		;

		return $href;
	}
	
	function showcontact( &$row, $i, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='' )
	{
		$img 	= $row->showcontact ? $imgY : $imgX;
		$task 	= $row->showcontact ? 'Hidden' : 'Shown';
		$alt 	= $row->showcontact ? JText::_( 'Contact Details Hidden' ) : JText::_( 'Contact Details Shown' );
		

		$href = '
		<img src="images/'. $img .'" border="0" alt="'. $alt .'" />'
		;

		return $href;
	}
	
	function isRequired( &$row, $i, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='' )
	{
		$img 	= $row->required ? $imgY : $imgX;
		$task 	= $row->required ? 'unpublish' : 'publish';
		$alt 	= $row->required ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
		$action = $row->required ? JText::_( 'Unrequire Item' ) : JText::_( 'Publish item' );

		$href = '
		<img src="images/'. $img .'" border="0" alt="'. $alt .'" />'
		;

		return $href;
	}
	
	function quickiconButton( $link, $image, $text )
	{
		global $mainframe;
		$lang		=& JFactory::getLanguage();
		$template	= $mainframe->getTemplate();
		?>

<div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
  <div class="icon"> <a href="<?php echo $link; ?>"> <?php echo JHTML::_('image.site',  $image, '/templates/'. $template .'/images/header/', NULL, NULL, $text ); ?> <span><?php echo $text; ?></span></a> </div>
</div>
<?php
	}
?>