<?php
/*************************************************
 Author: JoomClan.com
 Creation Date: 2009-11-25
 Author Email: joomclan@gmail.com
 Url: http://www.joomclan.com
 Copyright: 2009-2010
 License: GNU
 Component Version: 2.1.7
 Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
 The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
 Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
 **************************************************/

defined('_JEXEC') or die('Restricted access');
class JoomlistingsHelperZone
{
	function getPositionsX()
	{
		jimport('joomla.filesystem.folder');


		//Get the database object
		$db	=& JFactory::getDBO();

		// template assignment filter
		$query = 'SELECT DISTINCT(template) AS text, template AS value'.
				' FROM #__templates_menu' .
				' WHERE client_id = '.(int) $client->id;
		$db->setQuery( $query );
		$templates = $db->loadObjectList();

		// Get a list of all module positions as set in the database
		$query = 'SELECT DISTINCT(position)'.
				' FROM #__modules' .
				' WHERE client_id = '.(int) $client->id;
		$db->setQuery( $query );
		$positions = $db->loadResultArray();
		$positions = (is_array($positions)) ? $positions : array();

		// Get a list of all template xml files for a given application

		// Get the xml parser first
		for ($i = 0, $n = count($templates); $i < $n; $i++ )
		{
			$path = $client->path.DS.'templates'.DS.$templates[$i]->value;

			$xml =& JFactory::getXMLParser('Simple');
			if ($xml->loadFile($path.DS.'templateDetails.xml'))
			{
				$p =& $xml->document->getElementByPath('positions');
				if (is_a($p, 'JSimpleXMLElement') && count($p->children()))
				{
					foreach ($p->children() as $child)
					{
						if (!in_array($child->data(), $positions)) {
							$positions[] = $child->data();
						}
					}
				}
			}
		}

		if(defined('_JLEGACY') && _JLEGACY == '1.0')
		{
			$positions[] = 'left';
			$positions[] = 'right';
			$positions[] = 'top';
			$positions[] = 'bottom';
			$positions[] = 'inset';
			$positions[] = 'banner';
			$positions[] = 'header';
			$positions[] = 'footer';
			$positions[] = 'newsflash';
			$positions[] = 'legals';
			$positions[] = 'pathway';
			$positions[] = 'breadcrumb';
			$positions[] = 'user1';
			$positions[] = 'user2';
			$positions[] = 'user3';
			$positions[] = 'user4';
			$positions[] = 'user5';
			$positions[] = 'user6';
			$positions[] = 'user7';
			$positions[] = 'user8';
			$positions[] = 'user9';
			$positions[] = 'advert1';
			$positions[] = 'advert2';
			$positions[] = 'advert3';
			$positions[] = 'debug';
			$positions[] = 'syndicate';
		}

		$positions = array_unique($positions);
		sort($positions);

		return $positions;
	}


	function getPositions()
	{

		$positions[] = 'region-left';
		$positions[] = 'region-right';
		$positions[] = 'region-top';
		$positions[] = 'region-bottom';
		$positions[] = 'category-left';
		$positions[] = 'category-right';
		$positions[] = 'category-top';
		$positions[] = 'category-bottom';
		$positions[] = 'listing-top';
		$positions[] = 'listing-bottom';
		$positions[] = 'first-listing-left';
		$positions[] = 'first-listing-bottom';
		$positions[] = 'floating';
		$positions[] = 'listing-top';
		$positions[] = 'listing-bottom';
			


		$positions = array_unique($positions);
		sort($positions);

		return $positions;
	}
}
?>