<?php
switch($task)
{
	case 'add':
		edit(false,$option);
		break;
	case 'edit':
		edit(true,$option);
		break;
	case 'apply':
	case 'save':
		save($option,$task);
		break;
	case 'publish':
		publish($task,$option);
		break;
	case 'unpublish':
		publish($task,$option);
		break;
	case 'remove':
		remove($option);
		break;
	case 'orderup' :
		order(-1,$option);
		break;
	case 'orderdown' :
		order(1,$option);
		break;
	case 'saveorder':
		saveOrder( $cid,$option );
		break;
	default:
		listAll($option,$module);
		break;
}

/*-------------------GOOGLE ZONES FUNCTIONS--------------------------------------*/

function edit($edit,$option)
{
	global $mainframe;


	$db=JFactory::getDBO();

	$cid			= JRequest::getVar( 'cid', array(0), '', 'array' );
	JArrayHelper::toInteger($cid, array(0));
	$id				= JRequest::getVar( 'id', $cid[0], '', 'int' );
	$option			= JRequest::getCmd( 'option' );

	$row=&JTable::getInstance('module');

	if($edit)
	{
		$row->load($id);
	}
	$lists=array();
	require_once( JPATH_COMPONENT.DS.'helpers'.DS.'zone.php' );
	$positions = JoomlistingsHelperZone::getPositions();

	$lists['published']=JHTML::_('select.booleanlist','published','class="inputbox"',$row->published);
	$lists['showtitle']=JHTML::_('select.booleanlist','showtitle','class="inputbox"',$row->showtitle);
	HTML_Zones::editZone($row,$lists,$positions,$option);
}

function listAll($option,$module)
{
	global $mainframe;
	$limit=JRequest::getVar('limit',$mainframe->getCfg('list_limit'));
	$limitstart=JRequest::getVar('limitstart',0);

	$filter_order		= $mainframe->getUserStateFromRequest( $option.$module.'filter_order', 		'filter_order', 	'z.ordering',	'cmd' );
	$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.$module.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );
	$db=& JFactory::getDBO();
	$query="SELECT count(*) from #__modules where module='mod_jl_googlead'";
	$db->setQuery($query);
	$total=$db->loadResult();
	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', z.ordering';
	$query ="SELECT z.*,(select count(*) from #__jlgoogleads where zoneid=z.id) as adcounts from #__modules as z where z.module='mod_jl_googlead' ".$orderby;

	$db->setQuery($query,$limitstart,$limit);
	$rows=$db->loadObjectList();
	if($db->getErrorNum())
	{
		echo $db->stderr();
		return false;
	}
	jimport('joomla.html.pagination');
	$lists=array();
	$lists['order_Dir']	= $filter_order_Dir;
	$lists['order']		= $filter_order;
	$pagenav=new JPagination($total,$limitstart,$limit);
	HTML_Zones::listZones($rows,$pagenav,$lists,$option);

}

function publish($task,$option)
{
	global $mainframe;
	$db=JFactory::getDBO();

	$cid=JRequest::getVar('cid',array(),'','array');


	if($task=='publish')
	{
		$publish='1';
		$msg="Zone(s) Published Successfully";
	}
	else
	{
		$publish='0';
		$msg="Zone(s) Unpublished Successfully";
	}

	JRequest::setVar( 'hidemainmenu', 1 );

	$moduleTable=& JTable::getInstance('module');
	$editor=&JFactory::getEditor();
	$moduleTable->publish($cid,$publish);
	$mainframe->redirect("index.php?option=$option&module=zone",$msg);

}

function save($option,$task)
{
	global $mainframe;
	$row=&JTable::getInstance('module');
$x=false;
	if(!$row->bind(JRequest::get('post')))
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}
	$row->module='mod_jl_googlead';
	$row->iscore = 0;
	$row->control = '';
	$row->params = 'zoneid='.$row->id;

	if (!$row->id) {
		$x=true;
		$row->ordering = $row->getNextOrder( );
	}

	if(!$row->store())
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}
	
	if ($x) {
		
		$row->params = 'zoneid='.$row->id;
		$row->store();
	}



	switch($task)
	{
		case 'apply':
			$msg="Changes to Zone Saved";
			$link="index.php?option=$option&module=zone&task=edit&cid[]=".$row->id;
			break;
		case 'save':
			$msg="Zone Successfully Saved";
			$link="index.php?option=$option&module=zone";
			break;
	}
	$mainframe->redirect($link,JText::_($msg));
}

function remove($option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	$db=JFactory::getDBO();
	if(count($cid))
	{
		$cids=implode(',',$cid);
		$query="DELETE from #__modules where id in ($cids)";
		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}
		$mainframe->redirect("index.php?option=com_joomlistings&module=zone",JText::_('Zone(s) deleted successfully'));
	}
}

function order($direction)
{
	global $mainframe;


	// Initialize variables
	$db		= & JFactory::getDBO();

	$cid	= JRequest::getVar( 'cid', array(), 'post', 'array' );

	if (isset( $cid[0] ))
	{
		$row = & JTable::getInstance('module');
		$row->load( (int) $cid[0] );
		$row->move($direction, "module='mod_jl_googlead'" );
	}

	$mainframe->redirect("index.php?option=com_joomlistings&module=zone");
}

function saveOrder( &$cid )
{
	global $mainframe;


	// Initialize variables
	$db			=& JFactory::getDBO();
	$total		= count( $cid );
	$order 		= JRequest::getVar( 'order', array(0), 'post', 'array' );
	JArrayHelper::toInteger($order, array(0));

	$row =& JTable::getInstance('module');
	$groupings = array();

	// update ordering values
	for( $i=0; $i < $total; $i++ ) {
		$row->load( (int) $cid[$i] );
		// track categories

		if ($row->ordering != $order[$i]) {
			$row->ordering = $order[$i];
			if (!$row->store()) {
				JError::raiseError(500, $db->getErrorMsg() );
			}
		}
	}

	$msg 	= 'New ordering saved';
	$mainframe->redirect( "index.php?option=com_joomlistings&module=zone", $msg );
}

?>