<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
	switch($task)
		{
			case 'add':
				edit(false,$option);
				break;
			case 'edit':
				edit(true,$option);
				break;
			case 'publish':
				publish($task,$option);
				break;
			case 'unpublish':
				publish($task,$option);
				break;
			case 'apply':
			case 'save':
				save($option,$task);
				break;
			case 'remove':
				remove($option);
				break;
			case 'orderup' :
				order(-1,$option);
				break;
			case 'orderdown' :
				order(1,$option);
				break;
			case 'saveorder':
				saveOrder( $cid,$option );
				break;
			default:
				listAll($option,$module);
				break;

		}

		
		/*-------------------CATEGORIES FUNCTIONS--------------------------------------*/
/**
 * Edit Category
 *
 * @param boolean $edit
 * @param string $option
 */
function edit($edit,$option)
{
	global $mainframe;

	$db=JFactory::getDBO();

	$cid			= JRequest::getVar( 'cid', array(0), '', 'array' );
	JArrayHelper::toInteger($cid, array(0));
	$id				= JRequest::getVar( 'id', $cid[0], '', 'int' );
	$option			= JRequest::getCmd( 'option' );

	$row=&JTable::getInstance('country','Table');

	if($edit)
	{
		$row->load($id);
	}
	$lists=array();


	
	$lists['published']=JHTML::_('select.booleanlist','published','class="inputbox"',$row->published);
	HTML_Currencies::edit($row,$lists,$option);
}
/**
 * Lists Category
 *
 * @param unknown_type $option
 * @param unknown_type $module
 * @return unknown
 */

function listAll($option,$module)
{
	global $mainframe;
	JToolBarHelper::title(JText::_('Countries'),'categories.png');
	$limit=JRequest::getVar('limit',$mainframe->getCfg('list_limit'));
	$limitstart=JRequest::getVar('limitstart',0);

	$filter_order		= $mainframe->getUserStateFromRequest( $option.$module.'filter_order', 		'filter_order', 	'c.title',	'cmd' );
	$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.$module.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );

	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', c.ordering';

	$db=& JFactory::getDBO();
	$query="SELECT count(*) from #__joomcountries";
	$db->setQuery($query);
	$total=$db->loadResult();


	$query ="SELECT c.*
	  from #__joomcountries as c ". $orderby;
	$db->setQuery($query,$limitstart,$limit);
	$rows=$db->loadObjectList();
	if($db->getErrorNum())
	{
		echo $db->stderr();
		return false;
	}
	jimport('joomla.html.pagination');
	$pagenav=new JPagination($total,$limitstart,$limit);
	$lists=array();
	$lists['order_Dir']	= $filter_order_Dir;
	$lists['order']		= $filter_order;
	HTML_Currencies::listAll($rows,$pagenav,$lists,$option);

}
/**
 * Publishes Category
 *
 * @param unknown_type $task
 * @param unknown_type $option
 */
function publish($task,$option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	if($task=='publish')
	{
		$publish='1';
		$msg="Country/Countries Published Successfully";
	}
	else
	{
		$publish='0';
		$msg="Country/Countries Unpublished Successfully";
	}
	$catTable=& JTable::getInstance('country','Table');
	JRequest::setVar( 'hidemainmenu', 1 );
	$editor=&JFactory::getEditor();
	$catTable->publish($cid,$publish);
	$mainframe->redirect("index.php?option=$option&module=countries",$msg);

}
/**
 * Save Category
 *
 * @param unknown_type $option
 * @param unknown_type $task
 */
function save($option,$task)
{
	global $mainframe;
	$row=JTable::getInstance('country','Table');
	if(!$row->bind(JRequest::get('post')))
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}
	if (!$row->id) {
		$row->ordering = $row->getNextOrder( );
	}
$file=JRequest::get('files',array());
	if(!$row->store($file['image']))
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}

	switch($task)
	{
		case 'apply':
			$msg="Changes to country Saved";
			$link="index.php?option=$option&module=countries&task=edit&cid[]=".$row->id;
			break;
		case 'save':
			$msg="country Successfully Saved";
			$link="index.php?option=$option&module=countries";
			break;
	}
	$mainframe->redirect($link,JText::_($msg));
}
/**
 * Remove Category
 *
 * @param unknown_type $option
 */
function remove($option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	$db=JFactory::getDBO();
	if(count($cid))
	{
		$cids=implode(',',$cid);
		$query="DELETE from #__joomcountries where id in ($cids)";
		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}
		$mainframe->redirect("index.php?option=$option&module=countries",JText::_('Country/Countries deleted successfully'));
	}
}
/**
 * Order Category
 *
 * @param unknown_type $direction
 */

function order($direction,$option)
{
	global $mainframe;


	// Initialize variables
	$db		= & JFactory::getDBO();

	$cid	= JRequest::getVar( 'cid', array(), 'post', 'array' );

	if (isset( $cid[0] ))
	{
		$row = & JTable::getInstance('country','Table');
		$row->load( (int) $cid[0] );
		$row->move($direction, '' );
	}

	$mainframe->redirect("index.php?option=$option&module=countries");
}
/**
 * saveOrder
 *
 * @param unknown_type $cid
 */
function saveOrder( &$cid,$option )
{
	global $mainframe;


	// Initialize variables
	$db			=& JFactory::getDBO();
	$total		= count( $cid );
	$order 		= JRequest::getVar( 'order', array(0), 'post', 'array' );
	JArrayHelper::toInteger($order, array(0));

	$row =& JTable::getInstance('country', 'Table');
	$groupings = array();

	// update ordering values
	for( $i=0; $i < $total; $i++ ) {
		$row->load( (int) $cid[$i] );
		// track categories

		if ($row->ordering != $order[$i]) {
			$row->ordering = $order[$i];
			if (!$row->store()) {
				JError::raiseError(500, $db->getErrorMsg() );
			}
		}
	}

	$msg 	= 'New ordering saved';
	$mainframe->redirect( "index.php?option=$option&module=countries", $msg );
}
/*----------------------------------------------*/
?>