<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted Access');

class HTML_generic
{
	function edit(&$row,&$lists,&$option)
		{

			JRequest::setVar( 'hidemainmenu', 1 );
			$editor=&JFactory::getEditor();
			$document =& JFactory::getDocument();
			$document->setTitle(JText::_(($row->id?'Edit':'New').' Email Template'));

			JToolBarHelper::title(JText::_(($row->id?'Edit':'New').' Email Template'),'generic.png');
			?>
<form name="adminForm" id="adminForm" action="index.php" method="post">
  <input type="hidden" name="id" id="id" value="<?php echo $row->id?>" />
  <fieldset class="adminform">
  <legend>Details</legend>
  <table  cellpadding="5" class="admintable">
    <tr>
      <td width="16%"  valign="top" class="key">Subject</td>
      <td width="84%" ><input name="subject" type="text" class="inputbox" id="subject" value="<?php echo $row->subject?>" size="45"/></td>
    </tr>
   <tr>
    <td valign="top" class="key">Event</td>
      <td><?php echo $lists['events'];?></td>
    </tr>
     <tr>
    <td valign="top" class="key">Mail to</td>
      <td><?php echo $lists['mailto'];?></td>
    </tr>
    <tr>
    <td valign="top" class="key">Published</td>
      <td><?php echo $lists['published'];?></td>
    </tr>
    <tr>
      <td colspan="2" align="left" valign="top"><strong>Body</strong></td>
    </tr>
    <tr>
      <td colspan="2" valign="top"><?php echo $editor->display('body',$row->body,'100%','250','40','5'); ?></td>
    </tr>
    <tr>
    <td colspan="2">
    <strong>Available variables:</strong><br/>
{sitename}, {sender}, {receiver}, {senderemail},{receivermail},{adtitle},{adlink},{date}, {description}, {transactiondate},{amount},{currency}
{amountwc}, {transactionid}, {transactiondesc}, {subject}, {message}, {messagedate}, {messagefrom}, {link}, {errortitle}
    </td>
    </tr>
  </table>
  </fieldset>
  <input type="hidden" name="option" value="<?php echo $option?>" />
  <input type="hidden" name="module" value="email" />
  <input type="hidden" name="task" value="" />
</form>
<?php
		}

function listAll(&$rows,&$pageNav,&$lists,&$option)
{
	$uri 	=JURI::base();
	$ordering=true;
	$document =& JFactory::getDocument();
	$document->setTitle(JText::_('Email Templates'));
	JToolBarHelper::title(JText::_('Email Templates'),'generic.png');
	$css=$uri."components/".$option."/styles/default.css";

?>
<link href="<?php echo $css?>" type="text/css" rel="stylesheet" />

<form action="index.php" method="post" name="adminForm">
<div class="filter"> <strong>Filter</strong>
<input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" title="<?php echo JText::_( 'Filter by title' );?>"/>
						<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
</div>
  <table  class="adminlist ">
    <thead>
      <tr>
        <th width="20"> <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows)?>);" />        </th>
        <th class="title"><?php echo JHTML::_('grid.sort',   'Subject', 'c.subject', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th class="title"><?php echo JHTML::_('grid.sort',   'Event', 'c.event', @$lists['order_Dir'], @$lists['order'] ); ?></th>
          <th class="title"><?php echo JHTML::_('grid.sort',   'Send to', 'c.mailto', @$lists['order_Dir'], @$lists['order'] ); ?></th>
             <th width="10%"><?php echo JHTML::_('grid.sort',   'Published', 'c.published', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th nowrap="nowrap" width="10%">
						<?php echo JHTML::_('grid.sort',   'Order by', 'c.ordering', @$lists['order_Dir'], @$lists['order'] ); ?>
						<?php echo JHTML::_('grid.order',  $rows ); ?>
		</th>

      </tr>
    </thead>
    <?php
		if(count($rows)>0)
		{
			$k=0;
			for($i=0, $n=count($rows);$i<$n;$i++)
			{
				$row=&$rows[$i];
				$checked=JHTML::_('grid.id',$i,$row->id);
				$published=JHTML::_('grid.published',$row,$i);
				$link='index.php?option='.$option.'&module=email&task=edit&cid[]='.$row->id;
				?>
    <tr class="<?php echo "row$k"?>">
      <td><?php echo $checked;?></td>
      <td><a href="<?php echo $link;?>"><?php echo $row->subject;?></a></td>
           <td><?php echo $row->event;?></td>
            <td><?php echo ($row->mailto==0)?'User':'Admin';?></td>
      <td><?php echo $published;?></td>
         <td class="order">
						<span><?php echo $pageNav->orderUpIcon( $i,true, 'orderup', 'Move Up', true ); ?></span>
						<span><?php echo $pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true); ?></span>
						<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
						<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
					</td>

    </tr>
    <?php
				$k=1-$k;
			}
		}
		else
		{
			?>
            <tr>
              <td colspan="7">No Email Templates</td>
              </tr>
            <?php
		}
			?>
    <tfoot>
    <tr>
    <td colspan="7"><?php echo $pageNav->getListFooter();?></td>
    </tr>
    </tfoot>
  </table>
  <input type="hidden" name="boxchecked" value="0" />
  <input type="hidden" name="option" value="<?php echo $option?>" />
  <input type="hidden" name="module" value="email" />
   <input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
  <input type="hidden" name="task" value="" />
</form>
<?php
		}

}

?>