<?php
/*************************************************
 Author: JoomClan.com
 Creation Date: 2009-11-25
 Author Email: joomclan@gmail.com
 Url: http://www.joomclan.com
 Copyright: 2009-2010
 License: GNU
 Component Version: 2.1.7
 Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
 The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
 Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
 **************************************************/

defined("_JEXEC") or die("Restricted Access");

switch($task)
{
	case 'add':
		edit(false,$option);
		break;
	case 'edit':
		edit(true,$option);
		break;
	case 'publish':
		publish($task,$option);
		break;
	case 'unpublish':
		publish($task,$option);
		break;
	case 'apply':
	case 'save':
		save($option,$task);
		break;
	case 'remove':
		remove($option);
		break;
	case 'update_listing';
		update_listing_id($option);
		break;
	case 'orderup' :
		order(-1,$option);
		break;
	case 'orderdown' :
		order(1,$option);
		break;
	case 'saveorder':
		saveOrder( $cid,$option );
		break;
	default:
		listAll($option,$module);
		break;

}


/*-------------------CATEGORIES FUNCTIONS--------------------------------------*/
/**
 * Edit
 *
 * @param boolean $edit
 * @param string $option
 */
function edit($edit,$option)
{
	global $mainframe;

	$db=JFactory::getDBO();

	$cid			= JRequest::getVar( 'cid', array(0), '', 'array' );
	JArrayHelper::toInteger($cid, array(0));
	$id				= JRequest::getVar( 'id', $cid[0], '', 'int' );
	$option			= JRequest::getCmd( 'option' );

	$row=&JTable::getInstance('listings','Table');

	if($edit)
	{
		$row->load($id);
	}
	$lists=array();

	//Regions Query

	$db=JFactory::getDBO();
	$query="SELECT id,title from #__jlstates where published ='1' order by ordering";

	$db->setQuery($query);
	$s=$db->loadObjectList();
	$javascript = "onchange=\"changeDynaList( 'lid', regionlocations, document.adminForm.rid.options[document.adminForm.rid.selectedIndex].value, 0, 0);\"";
	$regs[] = JHTML::_('select.option', '-1', '- '.JText::_('Select Region').' -', 'id', 'title');
	$regions = array_merge($regs, $s);

	$lists=array();
	$lists['rid'] = JHTML::_('select.genericlist',  $regions, 'rid', 'class="inputbox" size="1" '.$javascript, 'id', 'title', intval($row->rid));

	foreach ($regions as $r)
	{

		$reg_list[] = (int) $r->id;

	}

	$regions_list = implode('\', \'', $reg_list);

	$query = 'SELECT id, title, region_id' .
				' FROM #__jllocations' .
				' WHERE region_id IN ( \''.$regions_list.'\' )' .
				' ORDER BY ordering';
	$db->setQuery($query);
	$loc_list=$db->loadObjectList();



	$regionlocations = array ();
	$regionlocations[-1] = array ();
	$regionlocations[-1][] = JHTML::_('select.option', '-1', JText::_( 'Select Location' ), 'id', 'title');

	foreach ($regions as $r)
	{
		$regionlocations[$r->id] = array ();
		$rows2 = array ();
		foreach ($loc_list as $loc)
		{

			if ($loc->region_id == $r->id) {
				$rows2[] = $loc;
			}
		}
		$regionlocations[$r->id][] = JHTML::_('select.option', '-1', JText::_( 'Select Location' ), 'id', 'title');
		foreach ($rows2 as $row2) {
			$regionlocations[$r->id][] = JHTML::_('select.option', $row2->id, $row2->title, 'id', 'title');
		}
	}

	$regionlocations['-1'][] = JHTML::_('select.option', '-1', JText::_( 'Select Location' ), 'id', 'title');
	$locations=array();
	$locations[] = JHTML::_('select.option', '-1', JText::_( 'Select Location' ), 'id', 'title');
	foreach ($loc_list as $loc) {
		if($loc->region_id == $row->rid)
		$locations[] = $loc;
	}

	/*
	 if($edit)
	 {


		echo $query = 'SELECT id, title, region_id' .
		' FROM #__jllocations' .
		' WHERE region_id IN ( \''.$row->rid.'\' )' .
		' ORDER BY ordering';
		$db->setQuery($query);
		$catx=$db->loadObjectList();


		$locations=array_merge($locations,$catx);
		}*/

	$lists['lid'] = JHTML::_('select.genericlist',  $locations, 'lid', 'class="inputbox" size="1"', 'id', 'title', intval($row->lid));



	//Section Query

	$db=JFactory::getDBO();
	$query="SELECT id,title from #__jlsections where published ='1' order by ordering";

	$db->setQuery($query);
	$s=$db->loadObjectList();
	$javascript = "onchange=\"changeDynaList( 'catid', sectioncategories, document.adminForm.sectionid.options[document.adminForm.sectionid.selectedIndex].value, 0, 0);\"";
	$sections[] = JHTML::_('select.option', '-1', '- '.JText::_('Select Section').' -', 'id', 'title');
	$sections = array_merge($sections, $s);


	$lists['sectionid'] = JHTML::_('select.genericlist',  $sections, 'sectionid', 'class="inputbox" size="1" '.$javascript, 'id', 'title', intval($row->sectionid));

	foreach ($sections as $section)
	{
		$section_list[] = (int) $section->id;

	}

	$section_list = implode('\', \'', $section_list);

	$query = 'SELECT id, title, section_id' .
				' FROM #__jlcategories' .
				' WHERE section_id IN ( \''.$section_list.'\' )' .
				' ORDER BY ordering';
	$db->setQuery($query);
	$cat_list=$db->loadObjectList();



	$sectioncategories = array ();
	$sectioncategories[-1] = array ();
	$sectioncategories[-1][] = JHTML::_('select.option', '-1', JText::_( 'Select Category' ), 'id', 'title');

	foreach ($sections as $section)
	{
		$sectioncategories[$section->id] = array ();
		$rows2 = array ();
		foreach ($cat_list as $cat)
		{
			if ($cat->section_id == $section->id) {
				$rows2[] = $cat;
			}
		}
		$sectioncategories[$section->id][] = JHTML::_('select.option', '-1', JText::_( 'Select Category' ), 'id', 'title');
		foreach ($rows2 as $row2) {
			$sectioncategories[$section->id][] = JHTML::_('select.option', $row2->id, $row2->title, 'id', 'title');
		}
	}
	$sectioncategories['-1'][] = JHTML::_('select.option', '-1', JText::_( 'Select Category' ), 'id', 'title');
	$categories=array();
	$categories[] = JHTML::_('select.option', '-1', JText::_( 'Select Category' ), 'id', 'title');
	foreach ($cat_list as $cat) {
		if($cat->section_id  == $row->sectionid)
		$categories[] = $cat;
	}


	/*if($edit)
	 {


		$query = 'SELECT id, title, section_id' .
		' FROM #__jlcategories' .
		' WHERE section_id IN ( \''.$section_list.'\' )' .
		' ORDER BY ordering';
		$db->setQuery($query);
		$catx=$db->loadObjectList();


		$categories=array_merge($categories,$catx);
		}*/
	$lists['catid'] = JHTML::_('select.genericlist',  $categories, 'catid', 'class="inputbox" size="1"', 'id', 'title', intval($row->catid));




	$db=JFactory::getDBO();
	$query="SELECT title as value , title as text from #__jltypes where published='1' order by title";
	$db->setQuery($query);
	$adtypes= $db->loadObjectList();

	$lists['adtype']=JHTML::_('select.genericlist',   $adtypes, 'type', 'class="inputboxw" size="1"', 'value', 'text',$row->type );

	$db=JFactory::getDBO();
	$query="SELECT title as value, title as text from #__jlcurrencies where published='1' order by title";
	$db->setQuery($query);
	$c= $db->loadObjectList();

	$lists['currency']=JHTML::_('select.genericlist',   $c, 'currency', 'class="inputboxw" size="1"', 'value', 'text',$row->currency );

	$lists['featured']=JHTML::_('select.booleanlist',  'featured', 'class="inputbox" size="1"',$row->featured );

	$listingtype=array();
	$listingtype[] = JHTML::_('select.option', 0, JText::_( 'General Listing' ), 'id', 'title');
	$listingtype[] = JHTML::_('select.option', 1, JText::_( 'Orange Listing' ), 'id', 'title');
	$listingtype[] = JHTML::_('select.option', 2, JText::_( 'Red Listing' ), 'id', 'title');

	$lists['listing']=JHTML::_('select.radiolist', $listingtype,'listingtype', 'class="inputbox" size="1"','id', 'title',$row->listingtype );




	$lists['published']=JHTML::_('select.booleanlist','published','class="inputbox"',$row->published);
	HTML_generic::edit($row,$lists,$option,$sectioncategories,$regionlocations);
}
/**
 * Lists
 *
 * @param unknown_type $option
 * @param unknown_type $module
 * @return unknown
 */

function listAll($option,$module)
{
	global $mainframe;
	JToolBarHelper::title(JText::_('Listings'),'generic.png');
	$limit=JRequest::getVar('limit',$mainframe->getCfg('list_limit'));
	$limitstart=JRequest::getVar('limitstart',0);

	$filter_order		= $mainframe->getUserStateFromRequest( $option.$module.'filter_order', 		'filter_order', 	'c.ordering',	'cmd' );
	$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.$module.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );

	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', c.ordering';

	$db=& JFactory::getDBO();
	$query="SELECT count(*) from #__joomlistings";
	$db->setQuery($query);
	$total=$db->loadResult();


	$query ="SELECT c.*,cat.title as category,s.title as section  from #__joomlistings as c
	  left join #__jlcategories as cat on c.catid=cat.id
	  left join #__jlsections as s on c.sectionid=s.id
	  ". $orderby;
	$db->setQuery($query,$limitstart,$limit);
	$rows=$db->loadObjectList();
	if($db->getErrorNum())
	{
		echo $db->stderr();
		return false;
	}
	jimport('joomla.html.pagination');
	$pagenav=new JPagination($total,$limitstart,$limit);
	$lists=array();
	$lists['order_Dir']	= $filter_order_Dir;
	$lists['order']		= $filter_order;
	HTML_generic::listAll($rows,$pagenav,$lists,$option);

}
/**
 * Publishes
 *
 * @param unknown_type $task
 * @param unknown_type $option
 */
function publish($task,$option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	if($task=='publish')
	{
		$publish='1';
		$msg="Listing(s) Published Successfully";
	}
	else
	{
		$publish='0';
		$msg="Listing(s) Unpublished Successfully";
	}
	$catTable=& JTable::getInstance('listings','Table');
	JRequest::setVar( 'hidemainmenu', 1 );
	$editor=&JFactory::getEditor();
	$catTable->publish($cid,$publish);
	$mainframe->redirect("index.php?option=$option&module=listings",$msg);

}
/**
 * Save
 *
 * @param unknown_type $option
 * @param unknown_type $task
 */
function save($option,$task)
{
	global $mainframe;
	JPluginHelper::importPlugin('joomlistings');

	$row=JTable::getInstance('listings','Table');
	$id=JRequest::getVar('id',0);

	if($id)
	{

		$db=JFactory::getDBO();

		$query="SELECT * from #__joomlistings where id='$id'";
		$db->setQuery($query);
		$obj=$db->loadObject();
		$published=$obj->published;
	}

	$row=JTable::getInstance('listings','Table');
	if(!$row->bind(JRequest::get('post')))
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}

	$edit=$row->id;

	if (!$row->id) {
		$row->ordering = $row->getNextOrder( );
	}
	$row->description=JRequest::getVar( 'description', '', 'post', 'string', JREQUEST_ALLOWRAW );

	$ef=JRequest::getVar('field',array());
	if(!$row->store($ef))
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}

	switch($task)
	{
		case 'apply':
			$msg="Changes to  Saved";
			$link="index.php?option=$option&module=listings&task=edit&cid[]=".$row->id;
			break;
		case 'save':
			$msg=" Successfully Saved";
			$link="index.php?option=$option&module=listings";
			break;
	}

	if($id)
	{
		$user=JFactory::getUser($row->userid);
		$transaction=null;
		$stable = JTable::getInstance('setting', 'Table');
		$settings = $stable->getSettings();

		if($published&&!$row->published)
		{
			$mainframe->triggerEvent('onAdSuspend', array($row, $user, $transaction));
		}
		if(!$published&&$row->published)
		{

			$mainframe->triggerEvent('onAdResumed', array($row, $user, $transaction));
		}
	}
	$mainframe->redirect($link,JText::_($msg));
}
/**
 * Remove
 *
 * @param unknown_type $option
 */
function remove($option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	$db=JFactory::getDBO();
	if(count($cid))
	{
		$ids='('.implode(',',$cid).')';



		$query="DELETE from #__jllist_extrafields where adid in $ids";

		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}

		$query="SELECT i.*,j.userid as userid from #__jlimages as i left join #__joomlistings as j on j.id=i.adid where adid  in $ids";
		$db->setQuery($query);
		$images=$db->loadObjectlist();

		$user=JFactory::getUser();


		if(count($images)>0)
		{
			foreach($images as $img)
			{
				$basepath=JPATH_ROOT.DS."images".DS."ads".DS.$img->userid;
				if(file_exists($basepath.DS.$img->image."_thm.jpg"))
				{
					unlink($basepath.DS.$img->image."_thm.jpg");
				}

				if(file_exists($basepath.DS.$img->image."_sthm.jpg"))
				{
					unlink($basepath.DS.$img->image."_sthm.jpg");
				}

				if(file_exists($basepath.DS.$img->image."_lthm.jpg"))
				{
					unlink($basepath.DS.$img->image."_lthm.jpg");
				}

				if(file_exists($basepath.DS.$img->image.".jpg"))
				{
					unlink($basepath.DS.$img->image.".jpg");
				}
			}
		}

		$query="DELETE from #__jllist_extrafields where adid in $ids";
		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}

		$query="DELETE from #__joomlistings where id in $ids";
		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}
		$mainframe->redirect("index.php?option=$option&module=listings",JText::_('Listing(s) deleted successfully'));
	}

}

function update_listing_id($option)
{
	global $mainframe;
	$db = JFactory::getDBO();
	$alphabet = array('A', 'B', 'C', 'D', 'E', 'F','G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z');


	$query = "SELECT * FROM #__joomlistings WHERE listingid = '' ";
	$db->setQuery($query);
	$rows = $db->loadObjectList();
	$count = 0;
	foreach($rows as $row){
		shuffle($alphabet);
 		$temp = $alphabet[0] . $alphabet[1] . $alphabet[2];
 		$query = "UPDATE #__joomlistings SET listingid = '" . $row->id . $temp . "' WHERE id = $row->id";
 		$db->setQuery($query);
 		$db->query();
 		$count++;
	}

	$mainframe->redirect("index.php?option=$option&module=listings",JText::_($count . ' listingId(s) updated  successfully'));
}
/**
 * Order
 *
 * @param unknown_type $direction
 */

function order($direction,$option)
{
	global $mainframe;


	// Initialize variables
	$db		= & JFactory::getDBO();

	$cid	= JRequest::getVar( 'cid', array(), 'post', 'array' );

	if (isset( $cid[0] ))
	{
		$row = & JTable::getInstance('listings','Table');
		$row->load( (int) $cid[0] );
		$row->move($direction, '' );
	}

	$mainframe->redirect("index.php?option=$option&module=listings");
}
/**
 * saveOrder
 *
 * @param unknown_type $cid
 */
function saveOrder( &$cid,$option )
{
	global $mainframe;



	// Initialize variables
	$db			=& JFactory::getDBO();
	$total		= count( $cid );
	$order 		= JRequest::getVar( 'order', array(0), 'post', 'array' );
	JArrayHelper::toInteger($order, array(0));

	$row =& JTable::getInstance('listings', 'Table');
	$groupings = array();

	// update ordering values
	for( $i=0; $i < $total; $i++ ) {
		$row->load( (int) $cid[$i] );
		// track categories

		if ($row->ordering != $order[$i]) {
			$row->ordering = $order[$i];

			if (!$row->adminStore()) {
				JError::raiseError(500, $db->getErrorMsg() );
			}

		}
	}

	$msg 	= 'New ordering saved';
	$mainframe->redirect( "index.php?option=$option&module=listings", $msg );
}
/*----------------------------------------------*/
?>