<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");

/*---------------------------------------Packages---------------*/


class HTML_Packages
{
	function editPackage(&$row,&$lists,&$option){
		$bar = & JToolBar::getInstance('toolbar');
		
		$html='<a class="toolbar" class="button validate" type="submit" onclick="javascript: return myValidate(adminForm, \'save\');" href="#">
		<span title="Save" class="icon-32-save"></span>Save</a>';
		$bar->appendButton( 'custom', $html);
		$html='<a class="toolbar" class="button validate" type="submit" onclick="javascript: return myValidate(adminForm, \'apply\');" href="#">
		<span title="Apply" class="icon-32-apply"></span>Apply</a>';
		$bar->appendButton( 'custom', $html);
		
		JRequest::setVar( 'hidemainmenu', 1 );
		$editor =& JFactory::getEditor();
		$document =& JFactory::getDocument();
		$document->setTitle(JText::_(($row->id?'Edit':'New').' Package'));
		JToolBarHelper::title(JText::_(($row->id?'Edit':'New').' Package'),'generic.png');
		JHTML::_('behavior.mootools');
		JHTML::_('behavior.formvalidation');
		?>
		<script type="text/javascript">
			window.addEvent('domready', function(){
				$('category_id').addEvent('change', function(){
					if($('category_id').value == -1){
							$('category_id').getChildren().removeProperty('selected');
							$('category_id').getChildren()[0].setProperty('selected', 'selected');
					}
				});
			});
			function myValidate(frm, task){
				if($('days').value == ''){
					alert('You must input Package Expiration');
					return false;
				}else{
					if($('enablesubscription1').getProperty('checked')){
						return checkPeriod($('days').value, task);
					}else{
						submitbutton(task);
					}
				}
			}

			function checkPeriod(period, task){
				if(period == -1 || (period >= 1 && period <= 90)){
					submitbutton(task);
				}
				else if(period > 90 && period < 365){
					if(period % 7 == 0){
						submitbutton(task);
					}else{
						alert('You must input a value divisible for 7');
					}
				}
				else if(period >= 365 && period < 730){
					if(period % 30 == 0){
						submitbutton(task);
					}else{
						alert('You must input a value divisible for 30');
					}
				}
				else if(period >= 730 && period < 1825){
					if(period % 365 == 0){
						submitbutton(task);
					}else{
						alert('You must input a value divisible for 365');
					}
				}else{
					alert('You must input expiration date < 1825');
				}
			}
		</script>
		<form name="adminForm" id="adminForm" action="index.php" method="post">
			<input type="hidden" name="id" id="id" value="<?php echo $row->id?>" />
			<fieldset class="adminform">
			<legend>Details</legend>
			<table width="100%" cellpadding="5" class="admintable">
				<tr>
					<td width="16%"  valign="top" class="key">Title</td>
					<td width="84%" ><input name="title" type="text" class="inputbox" id="title" value="<?php echo $row->title?>" size="45"/></td>
				</tr>
				<tr>
					<td valign="top" class="key">Currency</td>
					<td><?php echo $lists['currency'];?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Price</td>
					<td><input name="price" type="text" class="inputbox" id="price" value="<?php echo $row->price?>" size="10"/></td>
				</tr>
				<tr>
					<td valign="top" class="key">Price for Featured</td>
					<td><input name="priceforfeatured" type="text" class="inputbox" id="priceforfeatured" value="<?php echo $row->priceforfeatured?>" size="10"/> <?php echo $row->currency;?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Price for Orange Highlighted Listing</td>
					<td><input name="pricefororange" type="text" class="inputbox" id="pricefororange" value="<?php echo $row->pricefororange?>" size="10"/> <?php echo $row->currency;?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Price for Red Highlighted Listing</td>
					<td><input name="priceforred" type="text" class="inputbox" id="priceforred" value="<?php echo $row->priceforred?>" size="10"/> <?php echo $row->currency;?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Price for Bold Highlighted Listing</td>
					<td><input name="priceforbold" type="text" class="inputbox" id="priceforbold" value="<?php echo $row->priceforbold?>" size="10"/> <?php echo $row->currency;?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Number of Ads</td>
					<td><input name="adsnumber" type="text" class="inputbox" id="adsnumber" value="<?php echo $row->adsnumber?>" size="5"/> <em>-1 for Unlimited</em></td>
				</tr>
				<tr>
					<td valign="top" class="key">Number of Images per Ad</td>
					<td><input name="imagesnumber" type="text" class="inputbox" id="imagesnumber" value="<?php echo $row->imagesnumber?>" size="5"/> <em>-1  for Unlimited</em></td>
				</tr>
				<tr>
					<td valign="top" class="key">Impressions</td>
					<td><input name="impressions" type="text" class="inputbox" id="impressions" value="<?php echo $row->impressions?>" size="10"/> <em>-1  for Unlimited</em></td>
				</tr>
				<tr>
					<td valign="top" class="key">Clicks</td>
					<td><input name="clicks" type="text" class="inputbox" id="clicks" value="<?php echo $row->clicks?>" size="10"/> <em>-1 for Unlimited</em></td>
				</tr>
				<tr>
					<td valign="top" class="key">Package Expiration</td>
					<td><input name="days" type="text" class="inputbox" id="days" value="<?php echo $row->days?>" size="10"/> <em>-1 for Unlimited</em><span id="convert_to"></span></td>
				</tr>
				<tr>
					<td valign="top" class="key">Listings Expiration</td>
					<td><input name="listing_days" type="text" class="inputbox" id="listing_days" value="<?php echo $row->listing_days?>" size="10"/> <em>-1 for Unlimited</em></td>
				</tr>
				<tr>
					<td valign="top" class="key">Please select which categories where this package can be used</td>
					<td><?php echo $lists['categories'];?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Max listing title length</td>
					<td><input name="title_max" type="text" class="inputbox" id="title_max" value="<?php echo $row->title_max ? $row->title_max : 100; ?>" size="10"/></td>
				</tr>
				<tr>
					<td valign="top" class="key">Max listing description length</td>
					<td><input name="description_max" type="text" class="inputbox" id="description_max" value="<?php echo $row->description_max ? $row->description_max : 300; ?>" size="10"/></td>
				</tr>
				<tr>
					<td valign="top" class="key">Enable Video</td>
					<td><?php echo $lists['video'];?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Enable Subscription</td>
					<td><?php echo $lists['enablesubscription'];?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Enable Upload Video and Documents</td>
					<td><?php echo $lists['enable_upload_video_doc'];?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Number of upload per Ad</td>
					<td><input name="num_upload_per_ad" type="text" class="inputbox" id="num_upload_per_ad" value="<?php echo $row->num_upload_per_ad ? $row->num_upload_per_ad : 3; ?>" size="10"/></td>
				</tr>
				<tr>
					<td valign="top" class="key">Is Free Ad</td>
					<td><?php echo $lists['isfree'];?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Show Contact Details</td>
					<td><?php echo $lists['showcontact'];?></td>
				</tr>
				<tr>
					<td valign="top" class="key">Published</td>
					<td><?php echo $lists['published'];?></td>
				</tr>
				<tr>
					<td colspan="3" align="left" valign="top"><strong>Description</strong></td>
				</tr>
				<tr>
					<td colspan="3" valign="top"><?php echo $editor->display('description',$row->description,'100%','250','40','5'); ?></td>
				</tr>
			</table>
  			</fieldset>
  			<input type="hidden" name="option" value="<?php echo $option?>" />
  			<input type="hidden" name="module" value="package" />
  			<input type="hidden" name="task" value="" />
  		</form>
<?php
		}

function listPackages(&$rows, &$pageNav, &$lists, &$option){

		$uri 	=JURI::base();
		$css=$uri."components/".$option."/styles/default.css";
				$ordering=true;
		?>
	<link href="<?php echo $css?>" type="text/css" rel="stylesheet" />

<form action="index.php" method="post" name="adminForm">
  <table width="100%" class="adminlist ">
    <thead>
      <tr>
        <th width="20"> <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows)?>);" />        </th>
        <th class="title"><?php echo JHTML::_('grid.sort',   'title', 'a.title', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th width="10%"><?php echo JHTML::_('grid.sort',   'Price', 'a.price', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th width="10%"><?php echo JHTML::_('grid.sort',   'Featured', 'a.priceforfeatured', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th width="5%"><?php echo JHTML::_('grid.sort',   '#Ads', 'a.adsnumber', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th width="5%"><?php echo JHTML::_('grid.sort',   '#Images', 'a.imagesnumber', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th width="5%"><?php echo JHTML::_('grid.sort',   '#Impressions', 'a.impressions', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th width="5%"><?php echo JHTML::_('grid.sort',   '#Clicks', 'a.clicks', @$lists['order_Dir'], @$lists['order'] ); ?></th>
          <th width="5%"><?php echo JHTML::_('grid.sort',   '#Days', 'a.days', @$lists['order_Dir'], @$lists['order'] ); ?></th>
          <th width="6%"><?php echo JHTML::_('grid.sort',   'Contact', 'a.showcontact', @$lists['order_Dir'], @$lists['order'] ); ?></th>
          <th width="6%"><?php echo JHTML::_('grid.sort',   'Free', 'a.isfree', @$lists['order_Dir'], @$lists['order'] ); ?></th>
       <th width="5%"><?php echo JHTML::_('grid.sort',   'Published', 'a.published', @$lists['order_Dir'], @$lists['order'] ); ?></th>
         <th nowrap="nowrap" width="10%">
						<?php echo JHTML::_('grid.sort',   'Order by', 'a.ordering', @$lists['order_Dir'], @$lists['order'] ); ?>
						<?php echo JHTML::_('grid.order',  $rows ); ?>
		</th>
      </tr>
    </thead>
    <?php
		if(count($rows)>0)
		{
			$k=0;
			for($i=0, $n=count($rows);$i<$n;$i++)
			{
				$row=&$rows[$i];
				$checked=JHTML::_('grid.id',$i,$row->id);
				$published=JHTML::_('grid.published',$row,$i);
				$link='index.php?option='.$option.'&module=package&task=edit&cid[]='.$row->id;
				$id = $row->id;
				$isfree=isfree($row,$id);
				$showcontact=showcontact($row,$id);
				?>
    <tr class="<?php echo "row$k"?>">
      <td><?php echo $checked;?></td>
      <td><a href="<?php echo $link;?>"><?php echo $row->title;?></a></td>
        <td><?php echo $row->currency; ?> <?php echo $row->price; ?></td>
         <td><?php echo $row->currency; ?> <?php echo $row->priceforfeatured; ?></td>
      <td><?php echo ($row->adsnumber==-1)?'Unlimited':$row->adsnumber; ?></td>
      <td><?php echo ($row->imagesnumber==-1)?'Unlimited':$row->imagesnumber; ?></td>

       <td><?php echo ($row->impressions==-1)?'Unlimited':$row->impressions; ?></td>
       <td><?php echo ($row->clicks==-1)?'Unlimited':$row->clicks; ?></td>
       <td><?php echo ($row->days==-1)?'Unlimited':$row->days; ?></td>
       <td><?php echo $showcontact ?></td>
       <td><?php echo $isfree ?></td>
      <td><?php echo $published;?></td>
         <td class="order">
						<span><?php echo $pageNav->orderUpIcon( $i,true, 'orderup', 'Move Up', true ); ?></span>
						<span><?php echo $pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true); ?></span>
						<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
						<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
					</td>
    </tr>
    <?php
				$k=1-$k;
			}
		}
		else
		{
			?>
            <tr>
              <td colspan="13">No Packages</td>
              </tr>
            <?php
		}
			?>
    <tfoot>
    <tr>
    <td colspan="13"><?php echo $pageNav->getListFooter();?></td>
    </tr>
    </tfoot>
  </table>
  <input type="hidden" name="boxchecked" value="0" />
  <input type="hidden" name="option" value="<?php echo $option?>" />
  <input type="hidden" name="module" value="package" />
   <input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
  <input type="hidden" name="task" value="" />
</form>
<?php
		}

}

?>