<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");

class HTML_Generic
{
	function edit(&$row,&$lists,&$option)
		{

			JRequest::setVar( 'hidemainmenu', 1 );
			$editor=&JFactory::getEditor();
			$document =& JFactory::getDocument();
			$document->setTitle(JText::_('Edit Plugin'));

			JToolBarHelper::title(JText::_('Edit Plugin'),'plugin.png');
			?>
<form name="adminForm" id="adminForm" action="index.php" method="post">
  <input type="hidden" name="id" id="id" value="<?php echo $row->id?>" />
  <fieldset class="adminform">
  <legend>Details</legend>
  <table width="100%" cellpadding="5" class="admintable">
    <tr>
      <td width="16%"  valign="top" class="key">Title</td>
      <td width="84%" ><input type="text" name="title" id="title" value="<?php echo $row->title;?>"/></td>
    </tr>
    <tr>
      <td valign="top" class="key">Author</td>
      <td><?php echo $row->author;?>
    </tr>
 <tr>
      <td valign="top" class="key">Version</td>
      <td><?php echo $row->version;?>
    </tr>
    <tr>
    <td valign="top" class="key">Published</td>
      <td><?php echo $lists['published'];?></td>
    </tr>
      </table>
  </fieldset>
  <fieldset class="adminform">
	<legend><?php echo JText::_( 'Parameters' ); ?></legend>
	<?php
		jimport('joomla.html.pane');
        // TODO: allowAllClose should default true in J!1.6, so remove the array when it does.
		$pane = &JPane::getInstance('sliders', array('allowAllClose' => true));
		echo $pane->startPane('plugin-pane');
		echo $pane->startPanel(JText :: _('Plugin Parameters'), 'param-page');
		if($output = $lists['params']->render('params')) :
			echo $output;
		else :
			echo "<div style=\"text-align: center; padding: 5px; \">".JText::_('There are no parameters for this item')."</div>";
		endif;
		echo $pane->endPanel();

		if ($lists['params']->getNumParams('advanced')) {
			echo $pane->startPanel(JText :: _('Advanced Parameters'), "advanced-page");
			if($output = $lists['params']->render('params', 'advanced')) :
				echo $output;
			else :
				echo "<div  style=\"text-align: center; padding: 5px; \">".JText::_('There are no advanced parameters for this item')."</div>";
			endif;
			echo $pane->endPanel();
		}
		
		echo $pane->endPane();
	?>
	</fieldset>

  <input type="hidden" name="option" value="<?php echo $option?>" />
  <input type="hidden" name="module" value="plugins" />
  <input type="hidden" name="task" value="" />
</form>
<?php
		}

function listAll(&$rows,&$pageNav,&$lists,&$option){

		$uri 	=JURI::base();
		$css=$uri."components/".$option."/styles/default.css";
				$ordering=true;
		?>
	<link href="<?php echo $css?>" type="text/css" rel="stylesheet" />

<form action="index.php" method="post" name="adminForm">
	<table width="100%" class="adminlist ">
		<thead>
			<tr>
				<th width="20"> <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows)?>);" />        </th>
				<th class="title"><?php echo JHTML::_('grid.sort',   'title', 'c.title', @$lists['order_Dir'], @$lists['order'] ); ?></th>
				<th width="15%" ><?php echo JHTML::_('grid.sort',   'Author', 'c.author', @$lists['order_Dir'], @$lists['order'] ); ?></th>
				<th width="10%" ><?php echo JHTML::_('grid.sort',   'Group', 'c.pgroup', @$lists['order_Dir'], @$lists['order'] ); ?></th>
				<th width="10%"><?php echo JHTML::_('grid.sort',   'Folder', 'c.folder', @$lists['order_Dir'], @$lists['order'] ); ?></th>
				<th width="10%" ><?php echo JHTML::_('grid.sort',   'Element', 'c.element', @$lists['order_Dir'], @$lists['order'] ); ?></th>
				<th width="10%" ><?php echo JHTML::_('grid.sort',   'Published', 'c.published', @$lists['order_Dir'], @$lists['order'] ); ?></th>
				<th width="3%" ><?php echo JHTML::_('grid.sort',   'Version', 'c.version', @$lists['order_Dir'], @$lists['order'] ); ?></th>
				<th nowrap="nowrap" width="15%">
					<?php echo JHTML::_('grid.sort',   'Order by', 'c.ordering', @$lists['order_Dir'], @$lists['order'] ); ?>
					<?php echo JHTML::_('grid.order',  $rows ); ?>
				</th>
				<th>
					<?php echo JText::_('Action');?>
				</th>
      </tr>
    </thead>
    <?php
		if(count($rows)>0)
		{
			$k=0;
			for($i=0, $n=count($rows);$i<$n;$i++)
			{
				$row=&$rows[$i];
				$checked=JHTML::_('grid.id',$i,$row->id);
				$published=JHTML::_('grid.published',$row,$i);
				$link='index.php?option='.$option.'&module=plugins&task=edit&cid[]='.$row->id;
				?>
	<tr class="<?php echo "row$k"?>">
		<td><?php echo $checked;?></td>
		<td><a href="<?php echo $link;?>"><?php echo $row->title;?></a></td>
		<td><?php echo $row->author; ?></td>
        <td><?php echo $row->pgroup; ?></td>
        <td><?php echo $row->folder; ?></td>
        <td><?php echo $row->element; ?></td>
        <td><?php echo $published;?></td>
        <td><?php echo $row->version;?></td>
        <td class="order">
        	<span><?php echo $pageNav->orderUpIcon( $i,true, 'orderup', 'Move Up', true ); ?></span>
        	<span><?php echo $pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true); ?></span>
        	<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
        	<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
        </td>
		<td><a href="index.php?option=<?php echo $option;?>&module=plugins&task=subscriber&cid[]=<?php echo $row->id;?>">View Subscriber</a></td>
    </tr>
    <?php
				$k=1-$k;
			}
		}
		else
		{
			?>
            <tr>
              <td colspan="9">No Plugins</td>
              </tr>
            <?php
		}
			?>
    <tfoot>
    <tr>
    <td colspan="10"><?php echo $pageNav->getListFooter();?></td>
    </tr>
    </tfoot>
  </table>
  <input type="hidden" name="boxchecked" value="0" />
  <input type="hidden" name="option" value="<?php echo $option?>" />
  <input type="hidden" name="module" value="plugins" />
   <input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
  <input type="hidden" name="task" value="" />
</form>
<?php
		}

function listSubscriber(&$rows, &$pageNav, &$lists, &$option){
	$uri = JURI::base();
	$css = $uri."components/".$option."/styles/default.css";
?>
<link href="<?php echo $css?>" type="text/css" rel="stylesheet" />
<form action="index.php" method="post" name="adminForm">
	<table width="100%" class="adminlist ">
		<thead>
			<tr>
				<th width="20"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows)?>);" /></th>
				<th class="title"><?php echo JText::_('User')?></th>
				<th class="title"><?php echo JText::_('User Email')?></th>
				<th width="15%" ><?php echo JText::_('Subscribe ID')?></th>
				<th width="10%" ><?php echo JText::_('Subscribe Date')?></th>
				<th width="10%"><?php echo JText::_('Cancelled')?></th>
				<th width="10%" ><?php echo JText::_('Cancel Date')?></th>
				<th>
					<?php echo JText::_('Action');?>
				</th>
      </tr>
    </thead>
    <?php
		if(count($rows)>0)
		{
			$k=0;
			for($i=0, $n=count($rows);$i<$n;$i++)
			{
				$row=&$rows[$i];
				$link='index.php?option='.$option.'&module=plugins&task=cancelsubscriber&cid[]='.$row->id;
				?>
				<tr class="<?php echo "row$k"?>">
					<td><?php echo JHTML::_('grid.id',$i,$row->id);?></td>
					<td><?php echo $row->name?></td>
					<td><?php echo $row->email; ?></td>
			        <td><?php echo $row->subscr_id; ?></td>
			        <td><?php echo JHTML::_('date',  $row->subscribe_date, JText::_('DATE_FORMAT_LC4') ); ?></td>
			        <td><?php echo ($row->cancelled == 0)? JText::_('No') : JText::_('Yes');?></td>
					<td><?php if($row->cancel_date) echo JHTML::_('date',  $row->cancel_date, JText::_('DATE_FORMAT_LC4') ); ?></td>
					<td><a href="<?php echo $link?>"><?php echo JText::_('Cancel Subscriber')?></a></td>
			    </tr>
    		<?php
				$k=1-$k;
			}
		}
		else
		{
			?>
            <tr>
              <td colspan="9">No Subcriber</td>
              </tr>
            <?php
		}
			?>
    <tfoot>
    <tr>
    <td colspan="10"><?php echo $pageNav->getListFooter();?></td>
    </tr>
    </tfoot>
  </table>
  <input type="hidden" name="boxchecked" value="0" />
  <input type="hidden" name="option" value="<?php echo $option?>" />
  <input type="hidden" name="module" value="plugins" />
  <input type="hidden" name="task" value="" />
</form>
<?php
		}

}

?>