<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

class HTML_Reasons
{
	function editReason(&$row,&$lists,&$option){
		JRequest::setVar( 'hidemainmenu', 1 );
		$editor =& JFactory::getEditor();
		$document =& JFactory::getDocument();
		$document->setTitle(JText::_(($row->id?'Edit':'New').' Reason'));
		JToolBarHelper::title(JText::_(($row->id?'Edit':'New').' Reason'),'generic.png');
		?>
		<form name="adminForm" id="adminForm" action="index.php" method="post">
			<input type="hidden" name="id" id="id" value="<?php echo $row->id?>" />
			<fieldset class="adminform">
				<legend>Details</legend>
				<table width="100%" cellpadding="5" class="admintable">
					<tr>
						<td width="16%"  valign="top" class="key">Title</td>
						<td width="84%" ><input name="title" type="text" class="inputbox" id="title" value="<?php echo $row->title?>" size="45"/></td>
					</tr>
					<tr>
						<td valign="top" class="key">Published</td>
						<td><?php echo $lists['published'];?></td>
					</tr>
					<tr>
						<td colspan="3" align="left" valign="top"><strong>Description</strong></td>
					</tr>
					<tr>
						<td colspan="3" valign="top"><?php echo $editor->display('description',$row->description,'100%','250','40','5'); ?></td>
					</tr>
				</table>
			</fieldset>
			<input type="hidden" name="option" value="<?php echo $option?>" />
			<input type="hidden" name="module" value="reasons" />
			<input type="hidden" name="task" value="" />
		</form>
		<?php
		}
		
		
	function listReasons(&$rows, &$pageNav, &$lists, &$option){
		$uri = JURI::base();
		$css = $uri."components/".$option."/styles/default.css";
		$ordering=true;
		JToolBarHelper::title(JText::_('Reaport Reasons'), 'categories.png');
		?>
		<link href="<?php echo $css?>" type="text/css" rel="stylesheet" />
		<form action="index.php" method="post" name="adminForm">
			<table width="100%" class="adminlist ">
				<thead>
					<tr>
						<th width="20"> <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows)?>);" /></th>
						<th class="title"><?php echo JHTML::_('grid.sort',   'title', 'r.title', @$lists['order_Dir'], @$lists['order'] ); ?></th>
						<th class="title"><?php echo JText::_('Description')?></th>
						<th width="10%" ><?php echo JHTML::_('grid.sort',   'Published', 'r.published', @$lists['order_Dir'], @$lists['order'] ); ?></th>
						<th nowrap="nowrap" width="15%">
							<?php echo JHTML::_('grid.sort',   'Order by', 'r.ordering', @$lists['order_Dir'], @$lists['order'] ); ?>
							<?php echo JHTML::_('grid.order',  $rows ); ?>
						</th>
					</tr>
			    </thead>
			    <tfoot>
				    <tr>
				    	<td colspan="8"><?php echo $pageNav->getListFooter();?></td>
				    </tr>
			    </tfoot>
			    <tbody>
				    <?php
					if(count($rows)>0)
					{
						$k=0;
						for($i=0, $n= count($rows);$i<$n;$i++)
						{
							$row = &$rows[$i];
							$link = 'index.php?option='.$option.'&module=reasons&task=edit&cid[]='.$row->id;
							?>
					<tr class="<?php echo "row$k"?>">
					<td><?php echo JHTML::_('grid.id',$i,$row->id);?></td>
					<td><a href="<?php echo $link;?>"><?php echo $row->title;?></a></td>
					<td><?php echo $row->description; ?></td>
					<td><?php echo JHTML::_('grid.published',$row, $i);?></td>
					<td class="order">
						<span><?php echo $pageNav->orderUpIcon( $i,true, 'orderup', 'Move Up', true ); ?></span>
						<span><?php echo $pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true); ?></span>
						<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
							<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
					</td>
				    </tr>
				    <?php
							$k=1-$k;
						}
					}
					else
					{
					?>
					<tr>
						<td colspan="8">No Reasons for report</td>
					</tr>
					<?php
						}
					?>
				</tbody>
		  </table>
		  <input type="hidden" name="boxchecked" value="0" />
		  <input type="hidden" name="option" value="<?php echo $option?>" />
		  <input type="hidden" name="module" value="reasons" />
		   <input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		  <input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		  <input type="hidden" name="task" value="" />
		</form>
		<?php
	}
}
?>