<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");
switch($task)
{
	case 'add':
		edit(false,$option);
		break;
	case 'edit':
		edit(true,$option);
		break;
	case 'publish':
		publish($task,$option);
		break;
	case 'unpublish':
		publish($task,$option);
		break;
	case 'apply':
	case 'save':
		save($option,$task);
		break;
	case 'remove':
		remove($option);
		break;
	case 'orderup' :
		order(-1,$option);
		break;
	case 'orderdown' :
		order(1,$option);
		break;
	case 'saveorder':
		saveOrder( $cid,$option );
		break;
	default:
		listAll($option,$module);
		break;

}

function listAll($option,$module)
{
	global $mainframe;
	JToolBarHelper::title(JText::_('Listings'),'generic.png');
	$limit=JRequest::getVar('limit',$mainframe->getCfg('list_limit'));
	$limitstart=JRequest::getVar('limitstart',0);

	$filter_order		= $mainframe->getUserStateFromRequest( $option.$module.'filter_order', 		'filter_order', 	'c.tdate',	'cmd' );
	$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.$module.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );

	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', c.tdate';

	$db=& JFactory::getDBO();
	$query="SELECT count(*) from #__jltransactions";
	$db->setQuery($query);
	$total=$db->loadResult();


	$query ="SELECT c.*,u.id as uid, u.username as username  from #__jltransactions as c left join #__users as u on u.id=c.userid ". $orderby;
	$db->setQuery($query,$limitstart,$limit);
	$rows=$db->loadObjectList();
	if($db->getErrorNum())
	{
		echo $db->stderr();
		return false;
	}
	jimport('joomla.html.pagination');
	$pagenav=new JPagination($total,$limitstart,$limit);
	$lists=array();
	$lists['order_Dir']	= $filter_order_Dir;
	$lists['order']		= $filter_order;
	HTML_generic::listAll($rows,$pagenav,$lists,$option);

}function remove($option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	$db=JFactory::getDBO();
	if(count($cid))
	{
		$ids='('.implode(',',$cid).')';
		$query="DELETE from #__jltransactions where id in $ids";
		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}
		$mainframe->redirect("index.php?option=$option&module=transactions",JText::_('Transaction(s) deleted successfully'));
	}

}
?>