<?php
/*************************************************
 Author: JoomClan.com
 Creation Date: 2009-11-25
 Author Email: joomclan@gmail.com
 Url: http://www.joomclan.com
 Copyright: 2009-2010
 License: GNU
 Component Version: 2.1.7
 Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
 The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
 Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
 **************************************************/

defined('_JEXEC') or die('Restricted access');


require_once(JApplicationHelper::getPath('toolbar_html'));
switch($module)
{
	case 'installer':
		break;
	case 'userpackage':
		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_UPACKAGE();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_UPACKAGE();
				break;
		}
		break;
	case 'plugins':
		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_CATEGORY();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_PLUGIN();
				break;
		}
		break;

	case 'categories':
	case 'currencies':
	case 'listings':
	case 'email':
	case 'countries':
	case 'reasons':
	case 'neighbor':

		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT();
				break;
		}
		break;
	case 'sections':


		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_CATEGORY();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_SECTION();
				break;
		}
		break;

	case 'types':

		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_Adtype();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_Adtype();
				break;
		}
		break;

	case 'transactions':

		switch($task)
		{

			default:
				TOOLBAR_joomlistings::_DEFAULT_TRANSACT();
				break;
		}
		break;

	case 'state':
		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_CATEGORY();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_STATE();
				break;
		}
		break;

	case 'location':
		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_CATEGORY();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_LOCATION();
				break;
		}
		break;

	case 'field':
		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_CATEGORY();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_FIELD();
				break;
		}
		break;

	case 'option':
		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_CATEGORY();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_OPTION();
				break;
		}
		break;

	case 'googleads':
		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_GOOGLEAD();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_GOOGLEAD();
				break;
		}
		break;

		/*case 'listings':
		 switch($task)
		 {
		 case 'edit':
		 case 'add':
		 TOOLBAR_joomlistings::_NEW_LISTING();
		 break;

		 default:
		 TOOLBAR_joomlistings::_DEFAULT_LISTING();
		 break;
		 }
		 break;*/


	case 'adtype':

		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_Adtype();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_Adtype();
				break;
		}
		break;

	case 'package':

		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_Package();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_Package();
				break;
		}
		break;

	case 'settings':

		switch($task)
		{
			default:
				TOOLBAR_joomlistings::_DEFAULT_SETTINGS();
				break;
		}
		break;
	case 'zone':

		switch($task)
		{
			case 'edit':
			case 'add':
				TOOLBAR_joomlistings::_NEW_Zone();
				break;

			default:
				TOOLBAR_joomlistings::_DEFAULT_Zone();
				break;
		}
		break;

	case 'reports':
		TOOLBAR_joomlistings::_DEFAULT_REPORT();
		break;

	default:
		TOOLBAR_joomlistings::_PANEL();
		break;
}
?>