<?php
/**
 * @version		$Id: mod_archive.php 10381 2008-06-01 03:35:53Z pasamio $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Include the syndicate functions only once
require_once (dirname(__FILE__).DS.'helper.php');


//Grab All

$searchphrase=JRequest::getVar('searchphrase','all');
$srchtext=JRequest::getVar('jlkeyword','');

$order=JRequest::getVar('orderby','');
$d=JRequest::getVar('dir','0');
$lx=JRequest::getVar('location_id','0');
$region=JRequest::getVar('region',1);

$searchphrases 		= array();
$searchphrases[] 	= JHTML::_('select.option',  'all', JText::_( 'All words' ) );
$searchphrases[] 	= JHTML::_('select.option',  'any', JText::_( 'Any words' ) );
$searchphrases[] 	= JHTML::_('select.option',  'exact', JText::_( 'Exact phrase' ) );
$searchphrases[] 	= JHTML::_('select.option',  'listing_id', JText::_( 'Listing Unique ID' ) );

$lists['searchphrase' ]= JHTML::_('select.radiolist',  $searchphrases, 'searchphrase', '', 'value', 'text', $searchphrase );

$included_images = array();
$included_images[] 	= JHTML::_('select.option',  '1', JText::_( 'Yes' ) );
$included_images[] 	= JHTML::_('select.option',  '0', JText::_( 'No' ) );
$lists['included_images' ]= JHTML::_('select.radiolist',  $included_images, 'included_images', '', 'value', 'text', $included_images );



$orderby 		= array();
$orderby[] 	= JHTML::_('select.option',  'featured', JText::_( 'Featured' ) );
$orderby[] 	= JHTML::_('select.option',  'postdate', JText::_( 'Posted Date' ) );
$orderby[] 	= JHTML::_('select.option',  'price', JText::_( 'Price' ) );

$orderby[] 	= JHTML::_('select.option',  'sectionid', JText::_( 'Section' ) );

$lists['orderby' ]= JHTML::_('select.genericlist',  $orderby, 'orderby', '', 'value', 'text', $order );

$dir 		= array();
$dir[] 	= JHTML::_('select.option',  'desc', JText::_( 'Descending' ) );
$dir[] 	= JHTML::_('select.option',  'asc', JText::_( 'Ascending' ) );



$lists['dir' ]= JHTML::_('select.genericlist',  $dir, 'dir', '', 'value', 'text', $d );

$regions 		= array();
$regions[] 	= JHTML::_('select.option',  '1', JText::_( 'Within My Region' ) );
$regions[] 	= JHTML::_('select.option',  '0', JText::_( 'All Regions' ) );
$regions[] 	= JHTML::_('select.option',  '2', JText::_( 'In this region' ) );

$lists['region' ]= JHTML::_('select.radiolist',  $regions, 'region', '', 'value', 'text', $region );

$regionslist=modJLSearchHelper::getRegions();
$regionslistx=array();

if(count($regionslist)>0)
{
	foreach($regionslist as $rg)
	{
		$regionslistx[] 	= JHTML::_('select.optgroup',   JText::_( $rg->title ),'value','text' );
		if(count($rg->locations)>0)
		{
			foreach($rg->locations as $l)
			{
				$regionslistx[] 	= JHTML::_('select.option',  $l->id, JText::_( $l->title ),'value','text' );
			}
		}
		else
		{
			$regionslistx[] 	= JHTML::_('select.option', "0", JText::_( '--No Location--' ),'value','text' );
		}
	}
}

$lists['regionslist' ]= JHTML::_('select.genericlist',  $regionslistx, 'location_id', '', 'value', 'text', $lx );

$list  =  modJLSearchHelper::getList($params);
$sections = modJLSearchHelper::getSectionList($params);

require(JModuleHelper::getLayoutPath('mod_jlsearch'));