<?php
/**
* @package	Randnewsflash for Joomla
* @copyright	Copyright (C) 2010 Randolph Huang. All rights reserved.
* @license	GNU/GPL, see LICENSE.php
* @author       Randolph Huang  (randolph.huang@gmail.com)
*/

// no direct access

defined('_JEXEC') or die('Restricted access');

class modTagcloudhelper 
{
	function init(&$params)
	{
		global $mainframe;
		$db 		= JFactory::getDBO();
		$user 		= JFactory::getUser(); 
		$tagsarray	= array();
		$sectionids	= explode(",",$params->get('sectionids'));
		$sectionids_string 	= implode("' OR SECTIONID='",$sectionids);
		$blacklist			= explode(",",$params->get('blacklist'));
		
		$query 	= "SELECT tags FROM #__joomlistings WHERE tags != ''";
		$db->setQuery($query);
		$result	= $db->loadObjectlist();
		
		if(!is_object($result))
		{
			$flag=FALSE;
		}
		else
		{
			$flag=TRUE;
		}
		
		$save='<?php $tagsarray=array(';
		
		foreach($result as $rs)
		{
			$temp=explode(",",$rs->tags);  
			foreach($temp as $t)
			{
				$t=strtolower(strip_tags($t));
				$t=trim($t);
		
				if( $t == "" )
				{
					continue;
				}
				//if the tag is in the black list,ignore it
			
				if(!in_array($t,$blacklist))
				{
					if(in_array($t,array_keys($tagsarray)))
					{
						//If the tag is already existed in the array
						//Add the count
						$tagsarray[$t]+=1;
					}
					else
					{
						//Else we should create the element
						$tagsarray[$t]=1;
					}
				}
			}
		}
		
		//Convert the datas in the array to a string
		foreach($tagsarray as $key=>$value)
		{
			$save=$save.'\''.$key.'\'=>'.$value.',';
		}
		if($flag)
		{
			$save=substr($save,0,strlen($save)-1);
		}
		$save=$save."); ?>";
		//Save the data to the file tagsdata.php 
		$handle=fopen(dirname(__FILE__).DS."tagsdata.php","wb");
	
		if(!$handle)
		{
			echo"failed to open the data file";
			exit;
		}
	
		if(fwrite($handle,$save)==FALSE)
		{
			echo"failed to write the data file";
			exit;
		}
		//Saving done
	}





	function getTags(&$params)
	{
		//Get the tags from the data file
		include_once (dirname(__FILE__).DS.'tagsdata.php');
		$tagcloud_params = new stdClass();
		$tagcloud_params->tagsarray = array();
		$tagcloud_params->tagssum 	= 0;
		$tagcloud_params->maxtags 	= $params->get('maxtags');
		$tagcloud_params->density_ratio1 = $params->get('density_ratio1');
		$tagcloud_params->density_ratio2 = $params->get('density_ratio2');
		$tagcloud_params->density_ratio3 = $params->get('density_ratio3');
		$tagcloud_params->density_ratio4 = $params->get('density_ratio4');
		$tagcloud_params->sectionids	 = $params->get('sectionids');  
		$tagcloud_params->tagsstyle		 = array();
		
		if($params->get('strenght_sort'))
			arsort($tagsarray);
		
		if(!isset($tagsarray))
		{		
			die("Failed to get data from tagsdata.php");
		}
		
		//Start init
		$len		= $params->get('maxtags')>count($tagsarray)?count($tagsarray):$params->get('maxtags');
		$tagsarray	= array_splice($tagsarray,0,$len);
		$tagssum	= 0;
		
		if($params->get('alpha_sort'))
			ksort($tagsarray);
		
		foreach($tagsarray as $key=>$value)
		{
			$tagcloud_params->tagsarray[$key] = $value;
		 	$tagssum += $value;
		}
		foreach($tagsarray as $key=>$value)
		{
			$tagcloud_params->tagsstyle[$key]=modTagcloudhelper::styleCalculation($value,$tagssum,$params);
		}
		$tagcloud_params->tagssum=$tagssum;
		return $tagcloud_params;
	}



	function styleCalculation($n,$m,$params)
	{
		$density_ratio=100*$n/$m;
	
		if($density_ratio>=$params->get('density_ratio1'))
		{
			return $params->get('tagclass1');
		}
		else if($density_ratio<$params->get('density_ratio1')&&$density_ratio>=$params->get('density_ratio2'))
		{
			return $params->get('tagclass2');
		}
		else if($density_ratio<$params->get('density_ratio2')&&$density_ratio>=$params->get('density_ratio3'))
		{
			return $params->get('tagclass3');
		}
		else if($density_ratio<$params->get('density_ratio3')&&$density_ratio>=$params->get('density_ratio4'))
		{
			return $params->get('tagclass4');
		}
		else if($density_ratio<$params->get('density_ratio4')&&$density_ratio>=$params->get('density_ratio5'))
		{
			return $params->get('tagclass5');
		}
		else
		{
			return $params->get('tagclass6');
		}
	}
}
?>

