<?php
/**
* Author Tab Class for handling the CB tab api
* @version $Id: cb.authortab.php 831 2010-01-26 11:04:24Z beat $
* @package Community Builder
* @subpackage cb.authortab.php
* @author JoomlaJoe
* @copyright (C) JoomlaJoe and Beat, www.joomlapolis.com
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

// ensure this file is being included by a parent file
if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }


class getMyAdsTab extends cbTabHandler {
	
	function getMyAdsTab() {
		$this->cbTabHandler();
	}
	
	function getDisplayTab($tab,$user,$ui) {
		global $_CB_framework, $_CB_database, $mainframe;
		require_once(JPATH_BASE. DS .'components'. DS. 'com_joomlistings'.DS.'includes'.DS.'jlfactory.php');
		$settings = JoomListingsFactory::getSettings();
		$db =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$userid = $user->get('id');

		$filter=new stdClass();
		$infilter=new stdClass();
		$infilter->state=JRequest::getVar('state',-1);
		$infilter->text=JRequest::getVar('srchtext',"");
		$filter->srchtext=JRequest::getVar('srchtext',"");

		require_once(JPATH_SITE.DS."components".DS."com_joomlistings".DS."models".DS."listing.php");
		$model = new JoomlistingsModelListing();
		//print_r($model);
		$ads=$model->getMyAds($userid, $infilter, 0, 20);

//		$csspath = JUri::root()."/components/com_joomlistings/css/default.css";
//		$document =& JFactory::getDocument();
//		$document->addStyleSheet($csspath);

		$content = '<table width="100%" cellpadding="5" cellspacing="0" border="1" class="bill">';
		$content.= '<tr>';
		$content.= '<th width="20%">Posted</th><th>Title</th><th>Description</th>';
		if ($settings->enable_price == 1){
			$content .= "<th width=\"25%\">Amount</th>";
		}
		$content .= '<th width="20%">Expiry</th>';
		$content .= '</tr>';
		
		if(count($ads)>0){
			$i = 0;
			$k = 0;
			foreach($ads as $a) {
				$checked=JHTML::_('grid.id',$i,$a->id);
				//$published=JLHelper::published($a,$i);
				//$featured=JLHelper::featured($a,$i);

				$ulink=JRoute::_("index.php?option=com_joomlistings&c=ad&task=edit&cid[]=$a->id");
				
				$content .= "<tr class=\"row{$k}\">";
				$content .= "<td>".date("d M,y",strtotime($a->postdate))."</td>";
				$content .= "<td><a href=\"{$ulink}\">{$a->title}</a></td>";
				$content .= "<td>{$a->description}</td>";
				if ($settings->enable_price == 1){
					$content .= "<td>{$a->currency} {$a->price}</td>";
				}
				$content .= "<td>".date("d M,y",strtotime($a->expirydate))."</td>";
				$content .= "</tr>";
		
				$i++;
				$k=1-$k;

			}

		}else{
			$content .= "<tr><td colspan='7'>". JText::_('ADD_CRITERIA_NOT_MEET')."!</td></tr>";
		}
		$content .= "</table>";


		if ($userid == 0) {
			$content = "<div class=\"content-nopost\">".JText::_('Only registered user can see this display')."</div>";
		}
		return $content;
	}
}

?>