<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/
defined('_JEXEC') or die('Restricted access');
jimport("joomla.application.component.controller");

class JoomlistingsControllerSearch extends JController
{
	function search()
	{
		$stable=JTable::getInstance('setting','Table');
		$settings=$stable->getSettings();

		$filter=new stdClass();
		$filter->simple = JRequest::getVar('simple', '0');
		$filter->text=JRequest::getVar('jlkeyword','');
		$filter->phrase=JRequest::getVar('searchphrase','all');
		$filter->searchin=JRequest::getVar('sid',array());

		$filter->orderby=JRequest::getVar('orderby','featured');
		$filter->dir=JRequest::getVar('dir','desc');

		$filter->region=JRequest::getVar('region',0);

		$filter->location_id=JRequest::getVar('location_id',0);

		$filter->included_images = JRequest::getVar('included_images', '');

		$rmodel=$this->getModel('region');
		$rid=0;
		if($filter->region)
		{
			$rs=$rmodel->getRegion();
			$rid=$rs->rid;
		}

		$filter->region_id=$rid;

		$layout=JRequest::getVar('layout','_list');

		$lmodel=$this->getModel('listing');

		$view=$this->getView('_search','html');

		$limitstart=JRequest::getVar('limitstart',0);
		$limit=JRequest::getVar('limit',15);

		$results=$lmodel->search($filter,$limitstart,$limit);

		$total=$lmodel->searchCounts($filter);

		jimport("joomla.html.pagination");
		$pagenav=new JPagination($total,$limitstart,$limit);

		$view->assignRef('listings',$results);
		$view->assignRef('pagenav',$pagenav);

		$user=JFactory::getUser();
		$view->assignRef('user',$user);
		$view->assignRef('settings',$settings);

		$view->setLayout($layout);
		$view->display($tpl);
	}
}
?>