<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

class JoomListingsFactory{
	
	static $_instance = array('settings'=>null);
	
	function __construct(){
		
	}
	
	function getSettings(){
		if(self::$_instance['settings'] == null){
			$jlsettings = new JoomListingsSettings();
			self::$_instance['settings'] = $jlsettings->getSettings();
		}
		return self::$_instance['settings'];
	}
	
	function getModel($modelName){
		require_once JPATH_COMPONENT. DS . 'models'. DS . $modelName ;
		return new $modelName;
	}
}

class JoomListingsSettings{
	function getSettings(){
		$db =& JFactory::getDBO();
		$query = "SELECT * from #__jlsettings";
		$db->setQuery($query);
		$rows = $db->loadObjectList();
		$obj = new stdClass();
		if(count($rows)>0)
		{
			foreach($rows as $r)
			{
				$key=$r->configkey;
				$obj->$key=$r->configvalue;
			}
		}
		return $obj;
	}
	
}

?>