<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');


jimport("joomla.application.component.model");
class JoomlistingsModelDirectory extends JModel
{
	function getRegionsWithLocations(){
		$db =& JFactory::getDBO();
		$query = "SELECT * from #__jlstates order by ordering";
		$db->setQuery($query);
		$rows = $db->loadObjectList();
		if(count($rows)>0){
			for($i=0;$i<count($rows);$i++){
				$r=$rows[$i];
				$query2="SELECT * from #__jllocations where region_id='$r->id'";
				$db->setQuery($query2);
				$r->categories=$db->loadObjectList();
			}
		}
		return $rows;

	}

	function getSectionsWithCategories($sess = null){
		$settings = JoomListingsFactory::getSettings();
		require_once JPATH_ADMINISTRATOR . DS . 'components'. DS . 'com_joomlistings' . DS . 'helpers'. DS .  'tree.php';
		
		$db =& JFactory::getDBO();
		$query="SELECT s.* FROM #__jlsections AS s WHERE published='1' order by ordering, title";
		$db->setQuery($query);
		$rows = $db->loadObjectList();
		
		if(count($rows)>0){
			$i=0;
			for($i=0,$n=count($rows);$i<$n;$i++){
				$r=&$rows[$i];
//				$query2="SELECT c.*,(SELECT count(*) from #__joomlistings as l where catid=c.id and l.published='1' $sesscond and expirydate>=curdate()) as adcount
//				from #__jlcategories as c where section_id='$r->id' and c.published='1' order by c.ordering, c.title";
//				$db->setQuery($query2);
//				$r->categories=$db->loadObjectList();
				$region_condition = "";
				if($settings->enable_regions){
					if($sess->rid && $sess->lid){
						$region_condition .= " AND l.rid = $sess->rid AND l.lid = $sess->lid ";
					}
					if($settings->enable_neighbor){
						$region_condition .= " AND l.nid = $sess->nid ";
					}
				}
				$query2 = "SELECT c.*, ";
				$query2 .="(SELECT count(*) FROM #__joomlistings AS l ";
				$query2 .="WHERE l.catid=c.id AND l.published='1' $region_condition and expirydate>=curdate()) as adcount ";
				$query2 .="FROM #__jlcategories as c WHERE published = 1 AND c.section_id = ".$r->id. " ";
				$query2 .="ORDER BY c.parent_id ASC"; //order by c.parent_id very important
				$db->setQuery($query2);
				$categories = $db->loadObjectList();
				$Itemid = JLHelper::getBaseItemid();
				$tree = new pvgTree2(new pvgNode2(0));
				foreach ($categories as $cat){
					$link = JRoute::_("index.php?option=com_joomlistings&c=listing&cid={$cat->id}&Itemid={$Itemid}");
					$node = new pvgNode2($cat->id, $cat->id, $cat->title, $cat->parent_id, $link, $cat->adcount);
					$tree->appendChild($cat->parent_id, $node);
				}
				$r->categories = $tree->renderTree2($r->id);
				//$r->catcount=count($r->categories);
			}
		}
		return $rows;
	}

	function getSectionsOnly($sess=null){
		$sesscond = "";
		if($sess->rid && $sess->lid){
			$sesscond=" and l.lid=$sess->lid ";
		}
		$db =& JFactory::getDBO();
		$query = "SELECT s.*,(select count(*) from #__joomlistings as l where l.sectionid=s.id and l.published='1' $sesscond and l.expirydate>=curdate()) as catcount from #__jlsections as s where published='1' order by ordering, title";
		$db->setQuery($query);
		$rows = $db->loadObjectList();
		return $rows;
	}
	
	function getCategoriesForSection($sess=null, $sid=null){
		$sesscond="";
		if($sess->rid&&$sess->lid){
			$sesscond=" and l.lid=$sess->lid ";
		}
		$db =& JFactory::getDBO();
		$query2="SELECT c.*,(SELECT count(*) from #__joomlistings as l where catid=c.id and l.published='1' $sesscond and expirydate>=curdate()) as adcount
				from #__jlcategories as c where section_id='$sid' and c.published='1' order by c.ordering, c.title";
		$db->setQuery($query2);
		$rows = $db->loadObjectList();
		return $rows;
	}
}
?>