<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
jimport("joomla.application.component.model");

class JoomlistingsModelMessage extends JModel
{

	function save($data=array())
	{
		$msg = JTable::getInstance('joommessage','Table');
		
		if(!$msg->bind($data))
		{
			throw new Exception ('Could not bind to source',400);
		}

		$msg->postdate = date("Y-m-d H:i:s");
		$msg->status="0";
		
		if(!$msg->store())
		{
			throw new Exception ('Could not store message!',401);
		}
		return $msg->id;
	}

	function getMessage($mid,$userid)
	{
		$db=JFactory::getDBO();
		 $query="SELECT m.*,m.frommsg as uname, m.email as email, u.id as uid 
		from #__jlmessages as m left join #__users as u on u.id=m.fromid where tomsg='$userid' and m.id='$mid'";

		$db->setQuery($query);
		return $db->loadObject();
	}

	function getMessages($id=0,$limitstart,$limit)
	{
		$db=JFactory::getDBO();

		$query="SELECT * from #__jlmessages where adid='$id' order by status limit $limitstart,$limit";
		$db->setQuery($query);

		$messages=$db->loadObjectList();
		return $messages;
	}

	function getAllMessages($userid,$limitstart,$limit)
	{
		$db=JFactory::getDBO();

		$query="SELECT * from #__jlmessages where tomsg='$userid' order by status limit $limitstart,$limit";
		$db->setQuery($query);
		$messages=$db->loadObjectList();
		return $messages;
	}
	function getAllMessagesCount($id=0)
	{
		$db=JFactory::getDBO();

		$query="SELECT count(*) from #__jlmessages where tomsg='$id'";
		$db->setQuery($query);

		return $db->loadResult();

	}

	function getAdDetail($id)
	{
		$db=JFactory::getDBO();
		$query="SELECT * from #__joomlistings where id='$id' and published='1'";

		$db->setQuery($query);
		return $db->loadObject();
	}

	function getMessagesCount($id=0)
	{
		$db=JFactory::getDBO();

		$query="SELECT count(*) from #__jlmessages where adid='$id'";
		$db->setQuery($query);

		return $db->loadResult();

	}

	function getInbox($type='1',$userid,$limitstart=0,$limit=20)
	{
		$db=JFactory::getDBO();
		 $query="SELECT  m.*,u.username as uname, u.id as uid from #__jlmessages as m
		 left join #__users as u on u.id=m.frommsg 
		 where m.tomsg=$userid and m.msgtype='$type' and m.delstatus!='1' limit $limitstart, $limit";
		$db->setQuery($query);
		return $db->loadObjectList();
	}

	function getInboxCount($type='1',$userid)
	{
		$db=JFactory::getDBO();
		$query="SELECT  count(*) from #__jlmessages where tomsg=$userid and msgtype='$type' and delstatus!='1'";
		$db->setQuery($query);
		return $db->loadResult();
	}


}
?>
