<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

jimport("joomla.application.component.model");

class JoomlistingsModelProfile extends JModel
{
	function getProfile($userid)
	{
		if($userid)
		{
			$db=JFactory::getDBO();
			 $query="SELECT u.*,ja.*,l.title as location, r.title as region from #__users as u
			left join #__jlprofiles as ja on ja.userid=u.id
			left join #__jllocations as l on l.id=ja.lid
			left join #__jlstates as r on r.id=ja.rid
			where u.id='$userid'";

			$db->setQuery($query);
			$row=$db->loadObject();
			return $row;
		}
		else
		{
			return false;
		}

	}

	function getCountriesForList()
	{
		$db=JFactory::getDBO();
		$query="SELECT title as value, title as text from #__joomcountries  order by title";
		$db->setQuery($query);
		$rows=$db->loadObjectList();
		return $rows;
	}

	function save($data,$settings=null)
	{
		global $option;
		$table=JTable::getInstance('profile','Table');
		$db=JFactory::getDBO();
		$name=JRequest::getVar('name',0);
		if($table->bind($data))
		{
			$user=JFactory::getUser();
			$userid=$user->get('id');
			$table->userid=$userid;

			if(!empty($_FILES['logo']['name']))
			{
				$query="SELECT logo from #__jlprofiles where userid='$userid'";
				$db->setQuery($query);
				$old=$db->loadObject();
				require_once(JPATH_ROOT.DS."components".DS.$option.DS.'includes'.DS.'upload.class.php');
				$imageX=new Upload($_FILES['logo']);

				$imageX->dir_auto_chmod=true;
				$imageX->dir_chmod=0777;

				$imagefolder=JPATH_ROOT.DS."images".DS."users".DS.$userid;

				$imagename=trim(substr($name,0,4)).rand(1000,9999);
				$errorlevel=0;

				/**
				 * 	Upload
				 * */
				if($imageX->uploaded)
				{

					if($imageX->file_is_image)
					{
						$imageX->file_new_name_body = $imagename;
						$imageX->file_name_body_add = "";
						$imageX->image_resize = true;
						$imageX->image_ratio= true;
						$imageX->image_x=$settings->profile_image_width;
						$imageX->image_y=$settings->profile_image_height;
						$imageX->image_convert= 'jpg';
						$imageX->Process($imagefolder);


						if(!$imageX->processed)
						{
							$errorlevel=1;
						}

					}
				}
				if($errorlevel==0)
				{
					$table->logo=$imagename;
				}
			}
			if($table->store())
			{
				$filenamex=JPATH_ROOT.DS."images".DS."users".DS.$userid.DS.$old->logo.".jpg";
				unlink($filenamex);


				$email=JRequest::getVar('email',0);
				$usert=JFactory::getUser($userid);
				$usert->set('email',$email);
				$usert->set('name',$name);

				if(!$usert->save(true))
				{
					return false;

				}
				else
				{
					return true;
				}
			}
			else
			{

				return false;
			}
		}
		else
		{
			return false;
		}
	}
	/**
	 * Check if the user has packages. if not return false else return package information
	 *
	 * @param int $userid
	 */
	function getPackageInfo($userid, $pid){
		$settings = JoomListingsFactory::getSettings();
		if($settings->enable_packages){
			$db =& JFactory::getDBO();
			$query =  "SELECT p.*, up.*, (up.adsnumber - ifnull(upt.adsused, 0)) hasPost ";
			$query .= "FROM #__jlpackages as p LEFT JOIN #__jlusers_packages as up ON p.id = up.packageid ";
			$query .= "LEFT JOIN #__jluser_package_track as upt ON up.userid = upt.userid AND up.packageid = upt.pid ";
			$query .= "WHERE up.userid ='$userid' AND up.packageid = '$pid' AND up.published =1 ORDER BY up.boughtdate DESC limit 1";
			$db->setQuery($query);
			return $db->loadObject();
		}
		else
		{
			$pkg = new stdClass();
			$pkg->packageid = 0;
			$pkg->title = "Pay Per Post";
			$pkg->price = 0;
			$pkg->currency = $settings->currency;
			$pkg->boughtdate = date("Y-m-d G:i:s");
			$pkg->days = 100;
			$pkg->published = 1;
			$pkg->adsnumber = 1;
			$pkg->priceforfeatured = $settings->featured_price;
			$pkg->imagesnumber = $settings->images;
			$pkg->isfree = 0;
			if($settings->orange_payable)
			{
				$pkg->pricefororange = $settings->price_for_orange;
			}
			else
			{
				$pkg->pricefororange = 0;

			}

			if($settings->red_payable)
			{
				$pkg->priceforred = $settings->price_for_red;
			}
			else
			{
				$pkg->priceforred = 0;
			}
			return $pkg;
		}
	}
}
?>