<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

jimport("joomla.application.component.model");

class JoomlistingsModelWishlist extends JModel
{
	function getWishlists()
	{
		$db=JFactory::getDBO();
		$user=JFactory::getUser();
		$userid=$user->get('id');
		$query="SELECT * from #__jlwishlists where userid='$userid'";
		$db->setQuery($query);
		return $db->loadObjectList();
	}
	
function getWishlistsCount()
	{
		$db=JFactory::getDBO();
		$user=JFactory::getUser();
		$userid=$user->get('id');
		$query="SELECT count(*) from #__jlwishlists where userid='$userid'";
		$db->setQuery($query);
		return $db->loadResult();
	}
	
	function getWishlistsWithProducts()
	{
		$db=JFactory::getDBO();
		$user=JFactory::getUser();
		$userid=$user->get('id');
		$query="SELECT w.*,w.id as wid,ad.*,ad.id as adid,(select image from #__jlimages where adid=ad.id limit 1) as image from #__jlwishlists as w
		left join #__joomlistings as ad on ad.id=w.adid
		where w.userid='$userid'";
		
		$db->setQuery($query);
		return $db->loadObjectList();
	} 
	
	function remove($id)
	{
		$db=JFactory::getDBO();
		$query="DELETE from #__jlwishlists where id='$id'";
		$db->setQuery($query);
		if(!$db->query())
		{
			throw new Exception('Could not delete from wishlist.');
		}
		else
		{
			return true;
			
		}
	}
}
?>