<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

$document =& JFactory::getDocument();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/$option/css/default.css");
}
$document->setTitle($this->category->title);
if(isset($this->category->meta_keyword) && isset($this->category->meta_description)){
$document->setMetaData('keywords',$this->category->title.', '.$this->category->meta_keyword);
$document->setMetaData('description',$this->category->title.', '.$this->category->meta_description);
}

$basepath = JPATH_ROOT.DS."images".DS."ads";
$baseurl = JUri::root()."images/ads";
$itemid = JLHelper::getBaseItemid();
JRequest::setVar('Itemid',$itemid);
if($this->cid){
	$listview = JRoute::_("index.php?option=$option&c=listing&layout=_list&cid={$this->cid}&type={$this->type}&limitstart={$this->pagenav->limitstart}&limit={$this->pagenav->limit}&Itemid=$itemid");
}else{
	$listview = JRoute::_("index.php?option=$option&c=listing&layout=_list&type={$this->type}&limitstart={$this->pagenav->limitstart}&limit={$this->pagenav->limit}&Itemid=$itemid");
}
$postlink = JRoute::_("index.php?option=$option&view=ad&layout=post&rid=".$this->param->rid."&lid=".$this->param->lid);
$return = base64_encode($postlink);
$loginlink = JRoute::_("index.php?option=com_user&view=login&return=$return");
if(!$this->type){
	$showall = JRoute::_("index.php?option=$option&c=listing&layout=_image&type=1&Itemid=$itemid");
	$showall_text= JText::_('SHOW_ALL_ADD');;
}
else{
	$showall=JRoute::_("index.php?option=$option&view=directory&Itemid=$itemid");
	$showall_text=JText::_('VIEW_BY_CATEGORY');
}

if($this->settings->enable_colors){
?>
<style>
.orange
{
	background-color:<?php echo $this->settings->bgcolor_orange;?>;
	color:<?php echo $this->settings->fgcolor_orange;?>;
	border:1px solid #<?php echo $this->settings->border_orange;?>;
	
}
.red
{
	background-color:<?php echo $this->settings->bgcolor_red;?>;
	color:<?php echo $this->settings->fgcolor_red;?>;
	border:1px solid #<?php echo $this->settings->border_red;?>;
}

.featured
{
	background-color:<?php echo $this->settings->bgcolor_featured;?>;
	color:<?php echo $this->settings->fgcolor_featured;?>;
	border:1px solid #<?php echo $this->settings->border_featured;?>;
}
.bold{
		background-color:<?php echo $this->settings->bgcolor_bold;?>;
		color:<?php echo $this->settings->fgcolor_bold;?>;
		border:1px solid #<?php echo $this->settings->border_bold;?>;
	}
</style>
<?php 
}
	$mainframe->triggerEvent('loadFloating');
?>
<div class="buttonstage">
	<table width="100%" cellpadding="5" cellspacing="0" border="0">
		<tr>
			<td width="70%">
				<strong><?php echo $this->pagenav->getResultsCounter(); ?></strong> &nbsp;&nbsp;&nbsp; 
				<a href="<?php echo $listview; ?>" ><?php echo JText::_('LIST_VIEW');?></a>
				| <?php echo JText::_('GRID_VIEW');?> 
				| <a href="<?php echo $showall; ?>"><?php echo $showall_text; ?></a>
			</td>
			<td align="right">
			<?php
				if($this->user->get('id')){
			?>
				<a href="<?php echo $postlink; ?>"><?php echo JText::_('POST_ADD');?></a> - <?php echo JText::_('QUICK_SIMPLE');?>
			<?php
				}
				else{
			?>
				<a href="<?php echo $loginlink; ?>"><?php echo JText::_('LOGIN_TO_POST_ADD');?></a>
			<?php
				}
			?>
			</td>
		</tr>
	</table>
</div>

<div class="floatcontainer">
<?php
if(count($this->listings)>0)
{
	foreach($this->listings as $l)
	{
		$detailink=JRoute::_("index.php?option=$option&c=ad&task=view&adid=$l->id&Itemid=$itemid");
		$table_class = "";
		if($l->featured) $table_class = "featured";
		if($l->listingtype == 2) $table_class = "red";
		if($l->listingtype == 1) $table_class = "orange";
		if($l->listingtype == 3) $table_class = "bold";
	?>
	<div class="aditem">
	<table width="100%" border="0" cellpadding="2" cellspacing="0" class="adgrid <?php echo $table_class;?>">
	<tr>
	<td class="img" colspan="2" >
	<div class="img_wrapper">
	<a href="<?php echo $detailink; ?>">
	<img src="<?php
		if(file_exists($basepath.DS.$l->userid.DS.$l->image."_thm.jpg"))
		{
			echo $baseurl."/".$l->userid."/".$l->image."_thm.jpg";
		}
		else
		{
				$xurl=JUri::base()."components/$option/images";
			echo $xurl."/noimage_thm.jpg";

		}
	?>" /></a>
	</div>
	</td>
	</tr>
	<tr>
	<td colspan="2" class="adtitle" valign="top"><a href="<?php echo $detailink; ?>"><?php echo JLHelper::truncate($l->title,20); ?></a>
	</td>

	</tr>
	<tr>
	
		<?php 
	if($this->settings->enable_price)
	{
	?>
	<td class="buttonstg">
	<strong> <?php echo $l->currencysymbol; ?><?php echo number_format($l->price,2); ?> <?php echo $l->currency; ?></strong></td>
	<td class="buttonstg">
	<a class="button" href="<?php echo $detailink; ?>"><?php echo JText::_('DETAILS');?></a>
	</td>
	<?php 
	}
	else
	{
		?>
		<td class="buttonstg" colspan="2">
	<a class="button" href="<?php echo $detailink; ?>"><?php echo JText::_('DETAILS');?></a>
	</td>
		<?php 
	}?>
	
	
	</tr>

	</table>
	</div>
	<?php
	}
}
else
{
	echo  JText::_('NO_ADD_POST');
}
?>
</div>
<br style="clear:both"/>
<div class="pages">
<?php echo $this->pagenav->getPagesLinks(); ?>
</div>