<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');


jimport("joomla.application.component.view");

class JoomlistingsView_Listing extends JView
{
	function display($tpl=null)
	{
//		global $mainframe;
//		$pathway	=& $mainframe->getPathway();
//
//		$stable=JTable::getInstance('setting','Table');
//		$settings=$stable->getSettings();
//		require_once(JPATH_COMPONENT.DS."models".DS."region.php");
//		$rmodel=new JoomlistingsModelRegion();
//
//		require_once(JPATH_COMPONENT.DS."models".DS."category.php");
//		$cmodel=new JoomlistingsModelCategory();
//
//		$sess = $rmodel->getRegion();
//
//		if(!$sess->rid)
//		{
//			global $mainframe,$option;
//			$mainframe->redirect(JRoute::_("index.php?option=$option&view=directory",false),"Select Region before you continue");
//		}
//
//		$this->assignRef('param',$sess);
//		$this->assignRef('settings',$settings);
//
//		$model=$this->getModel('listing');
//		$type = JRequest::getVar('type',0);
//
//		$layout=JRequest::getVar('layout','_list');
//
//		$limitstart=JRequest::getVar('limitstart',0);
//		$limit=JRequest::getVar('limit',10);
//
//		$catid=JRequest::getVar('cid');
//
//
//		$category=$cmodel->getCategoryDetail($catid);
//		$sectiondetail=$cmodel->getSectionDetailFromCategory($catid);
//
//		switch($type)
//		{
//			case '1':
//				$slink=JRoute::_("index.php?option=$option&c=directory&task=cat&sid=$sectiondetail->id",false);
//				$pathway->addItem(JText::_('CATEGORIES'),JRoute::_("index.php?option=$option&view=directory",false));
//				$pathway->addItem($category->title,JRoute::_("index.php?option=$option&view=listing&cid=".$catid,false));
//				
//				$listings=$model->getAllListings($sess->lid,$limitstart,$limit);
//				$total=$model->getCountAllListings($sess->lid);
//				break;
//			default:
//				$slink=JRoute::_("index.php?option=$option&c=directory&task=cat&sid=$sectiondetail->id",false);
//				$pathway->addItem(JText::_('CATEGORIES'),JRoute::_("index.php?option=$option&view=directory",false));
//				$pathway->addItem($sectiondetail->title,$slink);
//				$pathway->addItem($category->title,JRoute::_("index.php?option=$option&view=listing&cid=".$catid,false));
//				
//				$listings=$model->getListingsByCategory($sess->lid,$catid,$limitstart,$limit);
//				$total=$model->getCountListingsByCategory($sess->lid,$catid);
//				break;
//		}
//
//		jimport('joomla.html.pagination');
//		$pageNav=new JPagination($total,$limitstart,$limit);
//		$this->assignRef('listings',$listings);
//		$this->assignRef('pagenav',$pageNav);
//		$this->assignRef('cid',$catid);
//		$this->assignRef('type',$type);
//		$user=JFactory::getUser();
//		$this->assignRef('user',$user);
//		$this->assignRef('category',$category);
//
//		$this->setLayout($layout);
//
//
//		if($settings->enable_regions)
//		{
//			$pathway->addItem($sess->region.",  ".$sess->location,JRoute::_("index.php?option=$option&c=directory&task=change",false));
//		}


		parent::display($tpl);
	}

	function modDisplay(){
		global $mainframe, $option;
		$rmodel = $this->getModel('region');
		$cmodel = $this->getModel('category');
		$model = $this->getModel('listing');
		$sess = $rmodel->getRegion();
        $settings = JoomListingsFactory::getSettings();
        if(!$sess->rid){
            $mainframe->redirect(JRoute::_("index.php?option=$option&view=directory", false), "Select Region before you continue");
        }
        $type = JRequest::getVar('type', 0);
        $limitstart = JRequest::getVar('limitstart', 0);
        $limit = JRequest::getVar('limit', 10);
        $catid = JRequest::getVar('cid');
        $category = $cmodel->getCategoryDetail($catid);
        $pathway =& $mainframe->getPathway();
        if ($settings->enable_regions) {
        	$text = $sess->region.", ".$sess->location;
			if($settings->enable_neighbor){
				$text .= ", ".$sess->neighbor;
			}
            $pathway->addItem($text, JRoute::_("index.php?option=$option&c=directory&task=change", false));
        }
        $listings = null;
        switch ($type) {
            case '1':
                $slink = JRoute::_("index.php?option=$option&c=directory&task=cat", false);
                $pathway->addItem(JText::_('CATEGORIES'), JRoute::_("index.php?option=$option&view=directory", false));
                $pathway->addItem($category->title);
                if($settings->enable_regions){
                	$nid = null;
                	if($settings->enable_neighbor){
                		$nid = $sess->nid;
                	}
                	$listings = $model->getAllListings($sess->rid, $sess->lid, $nid, $limitstart, $limit);
                	$total = $model->getCountAllListings($sess->rid, $sess->lid, $nid);
                }else{
                	$listings = $model->getAllListings(null, null, null, $limitstart, $limit);
                	$total = $model->getCountAllListings(null, null, null);
                }
                
                break;
            default:
                $slink = JRoute::_("index.php?option=$option&c=directory&task=cat", false);
                $pathway->addItem(JText::_('CATEGORIES'), JRoute::_("index.php?option=$option&view=directory", false));
                $pathway->addItem($category->title);
                if($settings->enable_regions){
                	$nid = null;
                	if($settings->enable_neighbor){
                		$nid = $sess->nid;
                	}
                	$listings = $model->getListingsByCategory($sess->rid, $sess->lid, $nid, $catid, $limitstart, $limit);
                	$total = $model->getCountListingsByCategory($sess->rid, $sess->lid, $nid, $catid);
                }else{
                	$listings = $model->getListingsByCategory(null, null, null, $catid, $limitstart, $limit);
                	$total = $model->getCountListingsByCategory(null, null, null, $catid);
                }
                
                break;
        }
        
        jimport('joomla.html.pagination');
        $pageNav = new JPagination($total, $limitstart, $limit);
        $this->assignRef('param', $sess);
        $this->assignRef('settings', $settings);
        $this->assignRef('listings', $listings);
        $this->assignRef('pagenav', $pageNav);
        $this->assignRef('cid', $catid);
        $this->assignRef('type', $type);
        $user =& JFactory::getUser();
        $this->assignRef('user', $user);
        $this->assignRef('category', $category);        
		$db =& JFactory::getDBO();
        $db->setQuery("SELECT * FROM #__jlstars ORDER BY id ASC");
        $stars = $db->loadObjectList();
        $this->assignRef('stars', $stars);
		parent::display();
	}
}
?>