<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.mootools');
JPluginHelper::importPlugin('joomlistings');
$document =& JFactory::getDocument();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/default.css");
}
$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/style.css");
if($this->settings->show_listings_ratings){
	$document->addStyleSheet(JUri::root()."/components/com_joomlistings/css/jquery.ui.stars.min.css");
}

if($this->settings->enable_colorbox_default_style) {
	$document->addStyleSheet(JURI::base() . 'components/com_joomlistings/css/colorbox.css');
}
 
if(!defined('_JOOMLISTING_LOAD_JQUERY')){
	define('_JOOMLISTING_LOAD_JQUERY', 1);
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-1.4.2.min.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.noconflict.js');
}

$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.colorbox-min.js');

if($this->settings->show_listings_ratings){
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-ui-1.8.2.custom.min.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.ui.stars.min.js');
}

$document->setTitle($this->ad->title);
if(!empty($this->ad->keywords))
{
	$document->setMetaData('keywords',$this->ad->keywords);
}
if(!empty($this->ad->metadesc))
{
	$document->setMetaData('description',$this->ad->metadesc);
}
$basepath = JPATH_ROOT.DS."images".DS."ads";
$basepath2 = JPATH_ROOT.DS."images".DS."users";
$baseurl = JUri::root()."images/ads";
$baseurl2 = JUri::root()."images/users";
$user =& JFactory::getUser();
?>

<?php if(($user->get('id')==$this->ad->user->uid)&&$user->get('id')){ ?>
<script type="text/javascript">
	window.addEvent('domready',function(){
		$('btnDel').addEvent('click',function(e){
			if(!confirm("Do you want to delete this ad?")){
				e = new Event(e);
				e.stop();
			}
		});
	});
</script>
<?php }?>
<script type="text/javascript">
	function report_ad(aid){
		var link = '<?php echo JRoute::_('index.php?option=com_joomlistings&c=ad&task=report&cid='.$this->ad->id);?>';
		new Ajax(link, {
				method: 'get',
				data: 'aid='+ aid,
				onComplete: function(response){
					alert(response);
				}
			}).request();
		
	}
</script>
<?php 
	if($user->get('id')==$this->ad->user->uid){
		$editlink		= JRoute::_("index.php?option=com_joomlistings&c=ad&task=edit&cid=".$this->ad->id,false);
		$dellink		= JRoute::_("index.php?option=com_joomlistings&c=ad&task=del&cid=".$this->ad->id,false);
		$imagelink		= JRoute::_("index.php?option=com_joomlistings&c=image&task=images&cid[]=".$this->ad->id,false);
		$messagelink	= JRoute::_("index.php?option=com_joomlistings&view=message&adid=".$this->ad->id,false);
		$postlink		= JRoute::_("index.php?option=com_joomlistings&view=ad&layout=post",false);
?>
	<div class="buttonstage">
		<a href="<?php echo $editlink; ?>"><?php echo JText::_('EDIT');?></a> |
		<a href="<?php echo $dellink; ?>" id="btnDel"><?php echo JText::_('DELETE');?></a> |
		<a href="<?php echo $imagelink; ?>" id="btnDel"><?php echo JText::_('MANAGE_IMAGES');?></a> |
		<a href="<?php echo $messagelink; ?>"><?php echo JText::_('MESSAGES');?> </a> |
		<a href="<?php echo $postlink; ?>"><?php echo JText::_('POST_NEW_AD');?></a>
	</div>
<?php
	}
?>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('a#print_ad').colorbox({transition:'fade', width:'60%', height:'80%', iframe:true});
		jQuery('a#email_ad').colorbox({transition:'fade', width:'50%', height:'80%', iframe:true});
	});
</script>
<table width="100%" cellpadding="5" cellspacing="0" border="0">
	<tr>
		<td>
			<div class="hieunc-listing">
				<table width="100%">
					<tr>
						<td id="hieunc-listing-title"><?php echo $this->ad->title; ?>
						<br/>
						<?php if(($this->settings->show_wishlist) && $user->get('id')!=$this->ad->user->uid) { ?>
							<a style="font-size: 13px;" href="<?php echo JRoute::_('index.php?option=com_joomlistings&c=ad&task=contact&adid='.$this->ad->id); ?>" ><?php echo JText::_('Contact Advertiser')?></a>&nbsp; &nbsp;
							<?php } ?>
							<?php if(($this->settings->show_wishlist) && $user->get('id')!=$this->ad->user->uid) { ?>
							<a style="font-size: 13px;" href="<?php echo JRoute::_('index.php?option=com_joomlistings&c=ad&task=adw&adid='.	$this->ad->id); ?>" ><?php echo JText::_('Add To Wishlist');?></a>&nbsp; &nbsp;
							<?php } ?>
						</td>
						<td align="right">
							<div class="right-btn-wrap report-ad-wrap">
								<ul class="report-ad">
									<li><a href="javascript:void(0);" class="report-ad-img"><?php echo JText::_('Report ad');?></a>
										<ul>
											<?php
												if($this->reasons){
													foreach($this->reasons as $rea){
													?>
													<li><a href="javascript:void(0);" onclick="report_ad(<?php echo $rea->id?>);"><?php echo $rea->title?></a></li>
												<?php 
													}
												}
												?>
										</ul>
									</li>
								</ul>
							</div>
							<div class="right-btn-wrap">
								<a href="<?php echo JRoute::_('index.php?option=com_joomlistings&c=ad&task=send_email&adid='.$this->ad->id); ?>" id="email_ad"><?php echo JText::_('Email to Friend');?></a>&nbsp; |&nbsp;
							</div>
							<div class="right-btn-wrap">
								<a href="<?php echo JRoute::_('index.php?option=com_joomlistings&c=ad&task=print_ad&adid='.$this->ad->id); ?>" id="print_ad"><?php echo JText::_('Printer Friendly View');?></a>&nbsp; |&nbsp;
							</div>
						</td>
					</tr>
				</table>
			</div>
		</td>
	</tr>
	<tr>
		<td>
			<table width="100%" cellpadding="5" cellspacing="0" border="0">
				<tr>
					<td width="40%" valign="top">
						<?php echo $this->loadTemplate('image');?>
						<?php if($this->settings->show_privacy){?>
						<div style="float:left; line-height:30px;"> Disclamer <a href="javascript:void(0);" id="privacy_click" ><img src="<?php echo JURI::base()?>/components/com_joomlistings/images/view.gif"/></a></div>
						<script type="text/javascript">
						jQuery(document).ready(function(){
							jQuery('#privacy_click').colorbox({width:"80%", inline:true, href:"#inline_privacy"});
							
						});
						</script>
							<div style="display:none;">
								<div id="inline_privacy">
								<?php echo $this->ad->privacy; ?>
								</div>
							</div>
						<?php }?>
					</td>
					<?php
					if(!$this->category->hideef){
					?>
					<td valign="top">
						<?php echo $this->loadTemplate('info');?>
					</td>
					<?php }?>
					
				</tr>
			</table>
			<?php
				$mainframe->triggerEvent('loadListingAdTop');
			?>

			<?php
				$mainframe->triggerEvent('loadListingAdBottom');
				if($this->settings->enable_videos)
				{
					if(!empty($this->ad->externalvideo))
					{
			?>
				<div id="hieunc-listing-video">
					<h3 class="ctitle"><?php echo JText::_("VIDEO");?></h3>
					<table width="100%">
						<tr>
							<td align="center">
								<div style="text-align:center;z-index:-1;">
									<?php 
									$extv = str_replace("<embed", '<param name="wmode" value="transparent"><embed wmode="transparent" ', $this->ad->externalvideo);
									echo $extv; ?>
								</div>
							</td>
						</tr>
					</table>

				</div>
				<?php
					}
				}

				//Contact form
				if($user->get('id') != $this->ad->user->uid)
				{
					if($this->showdetail == 1)
					{
				?>
				<h3><?php echo JText::_("CONTACT_INFO");?></h3>
				<div>
					<?php
						if ($this->settings->jomsocial_integration == 1 && $this->settings->jomsocial_profile == 1) {
						$jspath = JPATH_ROOT.DS.'components'.DS.'com_community';
						include_once($jspath.DS.'libraries'.DS.'core.php');

						// Get CUser object
						$db			=& JFactory::getDBO();
						$userid 	= $user->get('id');
						$user 		=& CFactory::getUser($userid);
						$avatarUrl 	= $user->getThumbAvatar();

						echo '<img src="'. $avatarUrl .'"/><br/>';

						$order 			= explode("|", $this->settings->jomsocial_info_order);
						$profileModel	=& CFactory::getModel( 'profile' );
						$profile 		= $profileModel->getViewableProfile( $userid );
						$profileField	=& $profile['fields'];

						for($i=0;$i<=count($order);$i++)
						{
							foreach($profileField as $key => $val)
							{
								foreach($profileField[$key] as $pKey => $pVal)
								{
									$field	=& $profileField[$key][$pKey];
									if ($field['fieldcode'] == $order[$i])
									{
										//print_r($field);
										echo "<br><b>{$field['name']}</b><br>{$field['value']}<br>";
									}
								}
							}
						}


						}
						elseif($this->settings->cb_integration ==1 && $this->settings->cb_profile == 1){
					    	$userid = $this->ad->userid;
					    	$db =& JFactory::getDBO();
					    	$db-> setQuery("SELECT avatar FROM #__comprofiler WHERE user_id = $userid AND avatarapproved = '1'");
					        $avatar = $db->loadResult();
					        $link = JRoute::_("index.php?option=com_comprofiler&task=userProfile&user=$userid");
        					$img = JURI::base()."images/comprofiler/$avatar";
        					echo '<img src="'. $img .'"/><br/>';
        					global $mainframe;
        					include_once JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php';
        					cbimport('cb.database');
							$cbUser			=&	CBuser::getInstance( $userid );
							if ( $cbUser ) {
								$user		=&	$cbUser->getUserData();
								$order 		= explode("|", $this->settings->cb_info_order);
								$userFields = get_object_vars($user);
								foreach($order as $s){
									$s = strtolower($s);
									if(array_key_exists($s, $userFields)){
										echo "<br><b>".$user->$s."</b><br>";
									}
								}
							}
						}
						elseif($this->settings->enable_profile_image)
						{
							$imagebase=JUri::base()."images/users/".$this->ad->user->uid."/".$this->profile->logo.".jpg";
						?>
						<img src="<?php echo $imagebase?>" align="left" vspace="10" hspace="10"/> <?php echo $this->profile->name;?> <?php echo $this->profile->lastname;?>
						<br/>
						<?php echo $this->profile->address;?>, <?php echo $this->profile->address2;?>,<br/>
						<?php echo $this->profile->city;?>, <?php echo $this->profile->state;?> <?php echo $this->profile->zipcode;?>,<br/>
						<?php echo $this->profile->country;?><br/>
						<br/>
						Phone: <?php echo !empty($this->profile->phone)?$this->profile->phone:'N/A';?><br/>
						IM: <?php echo !empty($this->profile->im)?$this->profile->im:'N/A';?><br/>
						<a href="mailto:<?php echo $this->profile->email;?>" ><?php echo $this->profile->email;?></a><br/>
						<a href="<?php echo $this->profile->website;?>" target="_blank"><?php echo $this->profile->website;?></a><br/>
					</div>
					<?php
						}
				?>
			<?php
				}
			?>
			<br/>
			<br/>
			<h3><?php echo JText::_("SEND_MSG_TO_PUBLISHER");?></h3>
			<div>
				<form name="adminForm" action="<?php echo JRoute::_("index.php",false);?>" method="post">
				<input type="hidden" name="option" value="com_joomlistings">
				<input type="hidden" name="c" value="ad">
				<input type="hidden" name="fromid" value="<?php echo $this->user->id;?>">
				<input type="hidden" name="tomsg" value="<?php echo $this->ad->user->uid; ?>">
				<input type="hidden" name="adid" value="<?php echo $this->ad->id; ?>">
				<input type="hidden" name="task" value="msg">
				<table width="100%" cellpadding="2" cellspacing="0" border="0">
					<tr>
						<td><?php echo JText::_("NAME");?> </td>
					</tr>
					<tr>
						<td><input type="text" name="frommsg" value="<?php echo $this->user->username;  ?>" class="inputbox margin" id="idName" /></td>
					</tr>
					<tr>
						<td><?php echo JText::_("EMAIL");?> </td>
					</tr>
					<tr>
						<td><input type="text" name="email" value="<?php echo  $this->user->email;  ?>" class="inputbox margin" id="idName" /></td>
					</tr>
					<tr>
						<td><?php echo JText::_("SUBJECT");?> </td>
					</tr>
					<tr>
						<td><input type="text" name="subject" value="" class="inputbox margin" id="idSubject" /></td>
					</tr>
					<tr>
						<td><?php echo JText::_("MESSAGE");?> </td>
					</tr>
					<tr>
						<td><textarea name="message" class="message inputbox margin" rows="10"></textarea></td>
					</tr>
					<tr>
						<td><?php if($this->settings->enable_anti_spam == 1){?>
							<?php
								// prevent recaptchalib already loaded
								if ( !function_exists('_recaptcha_qsencode') )
								{
									require_once (JPATH_SITE.DS.'components'.DS.'com_joomlistings'.DS.'includes'.DS.'recaptchalib.php');
								}
								// Get a key from http://recaptcha.net/api/getkey
								$publickey = $this->settings->captcha_public_key;
								// the response from reCAPTCHA
								$resp = null;
								// the error code from reCAPTCHA, if any
								$error = null;
								echo recaptcha_get_html($publickey, $error);
							?>
							<?php }?>
						</td>
					</tr>
					<tr>
						<td><input type="submit" value="<?php echo JText::_("SEND");?>" class="button"/></td>
					</tr>
				</table>
			</form>
			<em><?php echo JText::_("NO_SPAM");?></em>
		</div>
		<?php
		}
		?>
		</td>
	</tr>
</table>

