<?php
defined('_JEXEC') or die('Restricted access');

$baseurl = JUri::root()."images/ads";
$basepath = JPATH_ROOT.DS."images".DS."ads";

$scrollable_width 	= 300 - 40;
$scrollable_height 	= 300 - 40;
$prev_next_top 		= 300/2 - 15;
$prev_left 			= 5;
$next_right 		= 4;
$speed				= $this->settings->slider_speed;
?>
<script type="text/javascript">
<?php if(count($this->ad->images)>1){?>
	jQuery(document).ready(function(){
		var divIndex = 0;
		var prevDivIndex = 0;
		var count = jQuery('div.item').length;
		var refreshId = setInterval(doSlideLeft, 5000);
		jQuery('img.prev').bind('click', doSlideRight);
		jQuery('img.next').bind('click', doSlideLeft);
		function doSlideLeft() {
			clearInterval(refreshId);
			prevDivIndex = divIndex;
			if (divIndex < count-1){
				divIndex = divIndex + 1;
			}else{
				divIndex = 0;
			}
			jQuery('div.item').eq(divIndex).animate({'left': 0}, <?php echo $speed; ?>);
			jQuery('div.item').eq(prevDivIndex).animate({'left': -<?php echo $scrollable_width; ?>}, <?php echo $speed; ?>);
			jQuery('div.item').eq(prevDivIndex).animate({'left': <?php echo $scrollable_width; ?>}, 0);
			refreshId = setInterval(doSlideLeft, 5000);
		}

		function doSlideRight(){
			clearInterval(refreshId);
			prevDivIndex = divIndex;
			if (divIndex > 0){
				divIndex = divIndex - 1;
			}else{
				divIndex = count-1;
			}
			jQuery('div.item').eq(divIndex).animate({'left': -<?php echo $scrollable_width; ?>}, 0);
			jQuery('div.item').eq(divIndex).animate({'left': 0}, <?php echo $speed; ?>);
			jQuery('div.item').eq(prevDivIndex).animate({'left': 0}, 0);
			jQuery('div.item').eq(prevDivIndex).animate({'left': <?php echo $scrollable_width; ?>}, <?php echo $speed; ?>);
			refreshId = setInterval(doSlideLeft, 5000);
		}
	});
	jQuery(function(){
		jQuery("a[rel='colorbox2']").colorbox();
	});
<?php }else{?>
	jQuery(function(){
		jQuery('#gallery a').colorbox();
	});
<?php }?>
</script>
<?php 
$document =& JFactory::getDocument();
$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/style-slide.css");
if(count($this->ad->images)>1){
?>

<div class="wrapper" id="hieunc-listing-slider">
	<img src="<?php echo JURI::base()."components/com_joomlistings/images/arrow-left.png" ?>" alt="prev" class="prev" style="position: absolute; top: <?php echo $prev_next_top; ?>px; left: <?php echo $prev_left ?>px; z-index: 99;">
	<img src="<?php echo JURI::base()."components/com_joomlistings/images/arrow-right.png" ?>" alt="next" class="next" style="position: absolute; top: <?php echo $prev_next_top; ?>px; right: <?php echo $next_right ?>px; z-index: 99;">
	<div class="scrollable" id="gallery">
		<?php
		$i = 0;
		foreach($this->ad->images as $imgx)
		{
			$left = $scrollable_width;
			if ($i == 0)
				$left = 0;
			echo "<div align=\"center\" class=\"item\" style=\"left: ".$left."px;\" >";
			$image_url = JPATH_ROOT . DS .'images' . DS . 'ads' . DS .$this->ad->userid. DS .$imgx->image."_lthm.jpg";
			if(file_exists($image_url))
			{
				list($width, $height, $type, $attr) = getimagesize($image_url);
				$w = $h = "";
				if( $width > 300 )
				$w = ' width="300"';
				if( $height > 300 )
				$h = ' height="300"';
				if ($height < 225)
				$h = ' height="225"';
				?>
				<a href="<?php echo $baseurl."/".$this->ad->userid."/".$imgx->image.".jpg";?>" rel="colorbox2">
					<img <?php echo $w.$h;?> src="<?php echo $baseurl."/".$this->ad->userid."/".$imgx->image."_lthm.jpg";?>" />
				</a>
			<?php
			} else {
				$w = ' width="300"';
				$h = ' height="300"';
				?>
				<a href="<?php echo JUri::base()."components/com_joomlistings/images/noimage.jpg";?>" >
					<img <?php echo $w.$h;?> src="<?php echo JUri::base()."components/com_joomlistings/images/noimage_thm.jpg";?>" />
				</a>
			<?php
			}
			?>
			
		<?php echo "</div>\n";
		$i++;
		}
		?>
	</div>
</div>
<?php
}else{
?>
	<div id="gallery">
		<?php
			$img_src = "";
			$img_href = "";
			if(file_exists($basepath.DS.$this->ad->userid.DS.$this->ad->image."_lthm.jpg")){
				$img_src = $baseurl."/".$this->ad->userid."/".$this->ad->image."_lthm.jpg";
				$img_href = $baseurl."/".$this->ad->userid."/".$this->ad->image.".jpg";
			}else{
				$img_src =  JUri::base()."components/com_joomlistings/images/noimage_thm.jpg";
				$img_href = JUri::base()."components/com_joomlistings/images/noimage.jpg";
			}
		?>
		<a href="<?php echo $img_href;?>">
			<img src="<?php echo $img_src?>" />
		</a>
	</div>
	<?php
}
?>
