<?php
defined('_JEXEC') or die('Restricted access');
$user =& JFactory::getUser();
$userid = $user->get('id');
?>

<?php if($this->settings->show_listings_ratings && ($userid || $this->settings->can_guest_vote)){?>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('.rat').each( function(index, elem){
			jQuery(this).stars({
				inputType: "select",
				oneVoteOnly: true,
				callback: function(ui, type, value){
					jQuery("#messages"+index).html("<br />Saving...").fadeIn(30);
					data = "rate="+value+"&"+ jQuery(elem).serialize();
					jQuery.post("index.php", data, function(json)
						{
							//ui.select(Math.round(json.avg));
							// Display confirmation message to the user
							jQuery("#messages"+index).html("<br />Rating saved. Thanks!").stop().css("opacity", 1).fadeIn(30);
							
							// Hide confirmation message after 2 sec...
							setTimeout(function(){
								jQuery("#messages"+index).fadeOut(1000);
							}, 2000);
						}, "json");
				}
			});
			jQuery('<div id="messages'+index+'"/>').appendTo(elem);
		});
	});
</script>
<?php }?>
<script type="text/javascript">
<!--
	var myLatitude = '<?php echo $this->ad->glat;?>';
	var myLongitude = '<?php echo $this->ad->glng;?>';
	jQuery(document).ready(function(){
		jQuery('#locate-by-map').click(function(){
			initialize2();
			jQuery('#map_canvas_wrapper').css({'display':'inline', 'width':'400px', 'height':'300px'});
		});
		jQuery('#hide-map').click(function(){
			jQuery('#map_canvas_wrapper').css({'display':'none', 'width':'0px', 'height':'0px'});
		});
	});
//-->
</script>
<?php if($this->settings->show_address && $this->settings->integrate_googlemap){?>
<?php $map_key = $this->settings->integrate_googlemap_key;?>
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;sensor=true&amp;key=<?php echo $map_key;?>" type="text/javascript"></script>
<script type="text/javascript">
	function initialize2() {
		map = new GMap2(document.getElementById("map_canvas"));
		  geocoder = new GClientGeocoder();
		  var address = '<?php echo $this->ad->address; ?>';
		  if(address != ''){
			  if (geocoder) {
			        geocoder.getLatLng(
			          address,
			          function(point) {
			            if (!point) {
			              alert(address + " not found");
			            } else {
			            	map.setCenter(point, 15);
			            	geocoder.getLocations(new GLatLng(point.lat(), point.lng()), function(response){
				            	if(response.Placemark[0]){
					            	place = response.Placemark[0];
					            	mpoint = new GLatLng(place.Point.coordinates[1],place.Point.coordinates[0]);
					            	map.setCenter(mpoint, 15);
				            		marker = new GMarker(mpoint);
				            		map.addOverlay(marker);
				            		rcode = '';
				            		lcode = '';
				            		info =	'<b>Address:</b>' + place.address + '<br>';
				            		postcode = '';
				            		if(place.AddressDetails.Country.AdministrativeArea){
				            			if(place.AddressDetails.Country.AdministrativeArea){
				            				rcode = place.AddressDetails.Country.AdministrativeArea.AdministrativeAreaName;
				            			}
				            			if(place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea){
				            				lcode = place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.SubAdministrativeAreaName;
				            				if(place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode){
				            					info +=	'<b>Postal code:</b> ' + place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode.PostalCodeNumber + '<br>';
				            					postcode = place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode.PostalCodeNumber;
				            				}
				            			}
				            		}
				            		info +=	'<b>Country code:</b> ' + place.AddressDetails.Country.CountryNameCode;
				            		marker.openInfoWindowHtml(info);
					            }
				            	else{
					            	alert("Status Code:" + response.Status.code);
				            	}
				            });
			            }
			          }
			        );
			      }
		  }
		  map.addControl(new GLargeMapControl);
	}

</script>
<?php } ?>

<table width="100%" cellpadding="5" cellspacing="0" border="0" class="hieunc-listing-detail">
	<?php if($this->settings->show_unique_id) {?>
	<tr>
		<th><?php echo JText::_("Unique Listing Id");?></th>
		<td><?php echo $this->ad->listingid;?></td>
	</tr>
	<?php }?>
	
	<?php if($this->settings->show_listings_ratings && ($userid || $this->settings->can_guest_vote)){?>
	<tr>
		<th><?php echo JText::_("Ratings");?></th>
		<td>
			<form class="rat" action="index.php" method="post" id="rat_<?php echo $this->ad->id?>">
				<select name="rate">
					<?php foreach ($this->stars as $star): ?>
						<option value="<?php echo $star->id ?>" <?php if(round($this->ad->star_average) == $star->value){?>selected="selected"<?php }?>><?php echo $star->title ?></option>
					<?php endforeach; ?>
				</select>
				<input type="hidden" name="option" value="com_joomlistings" />
				<input type="hidden" name="c" value="listing" />
				<input type="hidden" name="task" value="vote" />
				<input type="hidden" name="aid" value="<?php echo $this->ad->id?>" />
		     </form>
		</td>
	</tr>
	<?php }?>
	
	<?php if($this->settings->show_hit_counter){?>
	<tr>
		<th><?php echo JText::_("Views");?></th>
		<td><?php echo $this->ad->hits;?></td>
	</tr>
	<?php }?>
	
	<tr>
		<th width="40%"><?php echo JText::_("SAVED_UNDER");?></th>
		<td><?php 
			$text = "";
			if($this->settings->enable_sections){
					$text = $this->ad->section . " &raquo; ";
			}
			$text .= $this->ad->category;
			?>
			<a href="<?php echo JRoute::_("index.php?option=com_joomlistings&c=listing&cid=".$this->ad->catid);?>"><?php echo $text;?></a>
		</td>
	</tr>
	<?php if($this->settings->show_listing_posted_date){?>
	<tr>
		<th><?php echo JText::_("POSTED_ON");?></th>
		<td><?php echo JHTML::_('date', $this->ad->postdate, JText::_('DATE_FORMAT_LC1')) ?> </td>
	</tr>
	<?php }?>
	<?php if($this->settings->show_listing_expiry_date){?>
	<tr>
		<th><?php echo JText::_("EXPIRES_ON");?></th>
		<td><?php echo JHTML::_('date', $this->ad->expirydate, JText::_('DATE_FORMAT_LC1')) ?> </td>
	</tr>
	<?php }?>
	<?php if($this->settings->enable_listing_type){?>
	<tr>
		<th><?php echo JText::_("POSTED_FOR");?></th>
		<td><?php echo $this->ad->type; ?></td>
	</tr>
	<?php }?>
	
	<?php
		if(count($this->ad->extrafields)>0){
			foreach($this->ad->extrafields as $ef){
		?>
		<tr>
			<th><?php echo $ef->keyfield ?></th>
			<td><?php echo empty($ef->fieldvalue)?'N/A':$ef->fieldvalue; ?></td>
		</tr>
		<?php
			}
		}
	?>
	
	<?php if($this->settings->enable_price){?>
	<tr>
		<th><?php echo JText::_("PRICE");?></th>
		<td><?php echo $this->ad->currencysymbol; ?> <?php echo number_format($this->ad->price, 2); ?> <?php echo $this->ad->currency; ?> </td>
	</tr>
	<?php }?>
	
	<?php if($this->settings->show_posted_user) {?>
	<tr>
		<th><?php echo JText::_("Posted by");?></th>
		<td><?php $_user = JFactory::getUser($this->ad->userid);?><a href="<?php echo JRoute::_("index.php?option=com_joomlistings&c=ad&task=listu&uid=".$this->ad->userid);?>"><?php echo $_user->name;?></a></td>
	</tr>
	<?php }?>
	
	<?php if($this->settings->show_address) {?>
	<tr>
		<th><?php echo JText::_("Address");?></th>
		<td><?php echo $this->ad->address;
			if($this->ad->address!= '' && $this->settings->integrate_googlemap){ ?>
			<div style="clear:left;">
				<a href="javascript:void(0);" id="locate-by-map"><?php echo JText::_( 'Show map' ); ?></a>&nbsp;&nbsp;
				<a href="javascript:void(0);" id="hide-map"><?php echo JText::_( 'Hide map' ); ?></a>
			</div>
			<?php }?>&nbsp;
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<div id="map_canvas_wrapper" style="width:0px; height:0px;"><div id="map_canvas" style="width:400px; height:300px;"></div></div>
		</td>
	</tr>
	<?php }?>

	<?php if($this->settings->show_zipcode) {?>
	<tr>
		<th><?php echo JText::_("Postal code");?></th>
		<td><?php echo $this->ad->postal_code; ?>&nbsp;</td>
	</tr>
	<?php }?>
	<?php if($this->attachments) {?>
	<tr>
		<th><?php echo JText::_("Attachments");?></th>
		<td>
			<?php foreach($this->attachments as $att){?>
				<div class="fileext fileext-<?php echo $att->fileext;?>"><a href="<?php echo JRoute::_('index.php?option=com_joomlistings&c=ad&task=download&att='.$att->id);?>" title="Download: <?php echo $att->originname;?>">&nbsp;</a></div>
			<?php }?>
		</td>
	</tr>
	<?php }?>
</table>
<table width="100%" class="hieunc-listing-desc">
	<tr>
		<td colspan="2"><?php echo $this->ad->description; ?></td>
	</tr>
</table>

