<?php
/*************************************************
 Author: JoomClan.com
 Creation Date: 2009-11-25
 Author Email: joomclan@gmail.com
 Url: http://www.joomclan.com
 Copyright: 2009-2010
 License: GNU
 Component Version: 2.1.7
 Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
 The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
 Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
 **************************************************/

defined('_JEXEC') or die('Restricted access');

if(count($this->extrafields)>0)
{
	?>
<fieldset class="post-new-listing">
	<legend><?php echo JText::_("Extra Fields");?></legend>
	<table width="100%" cellpadding="5" cellspacing="0" border="0">
	<?php
	foreach($this->extrafields as $e)
	{
		$req="";
		if($e->required)
		{
			$req="required";
		}

		?>
		<tr>
			<td class="inputtitle" width="15%" id="extra-field-<?php echo $e->id;?>" title="<?php echo $e->description;?>">
			<label id="field-<?php echo $e->id;?>-msg" for="field-<?php echo $e->id;?>-"><?php echo $e->keyfield; ?></label> <?php echo $e->required?'<span class="required">*</span>':''; ?></td>
			<td><?php
			switch($e->fieldtype)
			{
				case 'checkbox':
					$req = $req."rcb";
					$rel = "rel = field-".$e->id."-";			
					if(count($e->options)>0){
						foreach($e->options as $o){
							if( isset($e->value) && count($e->value) > 0  && in_array($o->optionvalue, $e->value)){
								$text[] = "<input type=\"checkbox\" name=\"field[$e->id][]\" value=\"$o->optionvalue\" checked=\"checked\" class=\"inputboxw inputbox $req\" onclick=\"remInvalid('field-".$e->id."-')\" $rel /> $o->optiontext";
							}else{
								$text[] = "<input type=\"checkbox\" name=\"field[$e->id][]\" value=\"$o->optionvalue\" class=\"inputboxw inputbox $req\" onclick=\"remInvalid('field-".$e->id."-')\" $rel /> $o->optiontext";
							}
						}
					}
					echo implode("<br />", $text);
					break;
				case 'textarea':
					echo "<textarea name=\"field[$e->id]\">".$e->value[0]."</textarea>";
					break;
				case 'radio':
					$req = $req."rcb";
					$rel = "rel = field-".$e->id."-";
					$el=array();
					if(count($e->options)>0)
					{

						foreach($e->options as $o)
						{
							$ex=new stdClass();
							$ex->value=$o->optionvalue;
							$ex->text=$o->optiontext;

							$el[]=$ex;

						}
					}
					//function radiolist( $arr, $name, $attribs = null, $key = 'value', $text = 'text', $selected = null, $idtag = false, $translate = false )

					echo JHTML::_('select.radiolist',   $el, "field[$e->id]", 'class="inputboxw inputbox '.$req.'" size="1" onclick="remInvalid(\'field-'.$e->id.'-\')"'. $rel, 'value', 'text', isset($e->value)? $e->value[0]: '' );
					break;
				case 'select':
					$sel=array();
					if(count($e->options)>0)
					{

						foreach($e->options as $o)
						{
							$ex=new stdClass();
							$ex->value=$o->optionvalue;
							$ex->text=$o->optiontext;
							$sel[]=$ex;


						}
					}
					echo JHTML::_('select.genericlist',   $sel, "field[$e->id]", 'class="inputboxw inputbox '.$req.'" size="1"', 'value', 'text', count($fields) ? $fields[$e->id] : $e->value[0] );
					break;

				case 'country':
					$db=JFactory::getDBO();
					$query="SELECT title as value, title as text from #__joomcountries where published='1' order by title";
					$db->setQuery($query);
					$countries=$db->loadObjectList();
					echo JHTML::_('select.genericlist',   $countries, "field[$e->id]", 'class="inputboxw inputbox '.$req.'" size="1"', 'value', 'text', count($fields) ? $fields[$e->id] : $e->value[0] );
					break;
				default:
					?>
					<?php $fields = JRequest::getVar('field'); ?>
					<input type="text" name="field[<?php echo $e->id;?>]" id="field[<?php echo $e->id;?>]" width="15"
				class="inputboxw inputbox <?php echo $req;?>" size="45" value="<?php echo count($fields) ? $fields[$e->id] : $e->value[0] ;?>" /> <?php
				break;
			}
			?></td>
		</tr>
		<?php
	}
	?>
	</table>
</fieldset>
<?php
}
?>
