<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

JPluginHelper::importPlugin('joomlistings');
$csspath=JUri::root()."components/$option/css/default.css";
$scriptpath=JUri::root()."components/$option/includes/slimbox/js/slimbox.js";

$csspath2=JUri::root()."components/$option/includes/slimbox/css/slimbox.css";

$noobscriptpath2=JUri::root()."components/$option/js/_class.noobSlide.packed.js";

$noobcss1=JUri::root()."components/$option/css/style.css";

$document=JFactory::getDocument();
$document->addStyleSheet($csspath);
$document->addStyleSheet($csspath2);
$document->addStyleSheet($noobcss1);

$document->addScript($scriptpath);
?>

<?php
$document->addScript($coloboxjs);
$document->addScriptDeclaration($script);

$document->setTitle($this->ad->title);
if(!empty($this->ad->keywords))
{
$document->setMetaData('keywords',$this->ad->keywords);
}
if(!empty($this->ad->metadesc))
{
$document->setMetaData('description',$this->ad->metadesc);
}
$basepath=JPATH_ROOT.DS."images".DS."ads";
$basepath2=JPATH_ROOT.DS."images".DS."users";
$baseurl=JUri::root()."images/ads";
$baseurl2=JUri::root()."images/users";
$user=JFactory::getUser();
?>
<script	src="<?php echo $scriptpath;?>"></script>
<script	src="<?php echo $noobscriptpath2;?>"></script>

<div style="width: 118px; float: right;"> <input type="button" value="Print This Page" onClick="window.print();" /> </div>

<table width="100%" cellpadding="5" cellspacing="0" border="0">
	<tr>
		<td width="70%" class="left">
		<table width="100%" cellpadding="5" cellspacing="0" border="0">
			<tr>
				<td class="ctitle"><div style="font-weight: bold; color: #135CAE;"><?php echo $this->ad->title; ?></div>
				</td>
			</tr>

			<tr>
				<td class="ctitle"><div style="font-weight: bold; color: #135CAE;">Listing ID: <?php echo $this->ad->listingid; ?></div>
				</td>
			</tr>
		<tr>

	<?php

		if(!$this->category->hideef)
		{
	?>
			<td valign="top">
				<table width="100%" cellpadding="5" cellspacing="0" border="1"
					class="propertysheet">
					<tr>
						<th width="40%"><?php echo JText::_("SAVED_UNDER");?></th>
						<td><?php
						if($this->settings->enable_sections)
						{
						echo $this->ad->section; ?> &raquo; <?php }
						 echo $this->ad->category; ?></td>
					</tr>
					<tr>
						<th><?php echo JText::_("POSTED_ON");?></th>
						<td>
							<?php echo JHTML::_('date', $this->ad->postdate, JText::_('DATE_FORMAT_LC1')) ?>

						</td>
					</tr>
					<tr>
						<th><?php echo JText::_("EXPIRES_ON");?></th>
						<td>
							<?php echo JHTML::_('date', $this->ad->expirydate, JText::_('DATE_FORMAT_LC1')) ?>

						</td>
					</tr>
					<?php if($this->settings->enable_listing_type)
					{?>
					<tr>
						<th><?php echo JText::_("POSTED_FOR");?></th>
						<td><?php echo $this->ad->type; ?></td>
					</tr>
					<?php
					}
					?>


					<?php
					if(count($this->ad->extrafields)>0)
					{

						foreach($this->ad->extrafields as $ef)
						{
							?>
					<tr>
						<th><?php echo $ef->keyfield ?></th>
						<td><?php echo empty($ef->fieldvalue)?'N/A':$ef->fieldvalue; ?></td>
					</tr>
					<?php
						}
					}
					?>
					<?php
					if($this->settings->enable_price)
					{
					?>
					<tr>
						<th><?php echo JText::_("PRICE");?></th>
						<td><?php echo $this->ad->currencysymbol; ?> <?php echo number_format($this->ad->price,2); ?> <?php echo $this->ad->currency; ?>
						</td>
					</tr>
					<?php
						}
					?>

					<?php if($this->settings->show_posted_user) {?>

					<tr>
						<th><?php echo JText::_("Posted by");?></th>
						<td><?php
							$_user = JFactory::getUser($this->ad->userid);
							echo $_user->name;
							 ?>
						</td>
					</tr>

					<tr>
						<th><?php echo JText::_("Description");?></th>
						<td><?php
							echo $this->ad->description;
							 ?>
						</td>
					</tr>

					<?php }?>
				</table>
			</td>
				<?php

		}
				?>
			</tr>


		</table>


		</td>

	</tr>
</table>
<?php die();?>