<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

JPluginHelper::importPlugin('joomlistings');
$csspath=JUri::root()."components/$option/css/default.css";
$scriptpath=JUri::root()."components/$option/includes/slimbox/js/slimbox.js";

$csspath2=JUri::root()."components/$option/includes/slimbox/css/slimbox.css";

$noobscriptpath2=JUri::root()."components/$option/js/_class.noobSlide.packed.js";

$noobcss1=JUri::root()."components/$option/css/style.css";

$document=JFactory::getDocument();
$document->addStyleSheet($csspath);
$document->addStyleSheet($csspath2);
$document->addStyleSheet($noobcss1);
if(!defined('_JOOMLISTING_LOAD_JQUERY')){
	define('_JOOMLISTING_LOAD_JQUERY', 1);
	$doc = &JFactory::getDocument();
	$doc->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-1.4.2.min.js');
	$doc->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.noconflict.js');
}

$document->addScript($scriptpath);

$script = "" .
		"jQuery.noConflict();" .
		"function validate(){" .
		"	var validated = true;
			var message = jQuery('#message').val();" .
			"if(message == ''){
				jQuery('#message').css('border', 'solid 1px red');" .
				"validated = false;" .
				"
			}" .
			"var main_email = jQuery('#main_email').val();" .
			"if(main_email == '')" .
			"{
				jQuery('#main_email').css('border', 'solid 1px red'); validated = false;
			} else {
				if(!validateEmail(main_email)){" .
				"alert('invalid email address'); return false" .
				"};
			}" .
			"var bcc_email = jQuery('#bcc_email').val();" .
			"if(bcc_email == '')" .
			"{
				//jQuery('#bcc_email').css('border', 'solid 1px red'); validated = false;
			} else {
				bcc_email = bcc_email.split(',');" .
				"for(var i = 0; i < bcc_email.length; i++){" .

				"var email = bcc_email[i];	" .
				"if(!validateEmail(email)) {" .
					"
						alert('invalid email address'); return false;
					}
				}
			}" .
			"if(validated) document.forms['send_mail_form'].submit();" .
			"return validated;
		} " .
		"function validateEmail(email) {" .
		"if(email == '') return true;" .
		"if((email) == '') return true;
		   var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;
		   if(reg.test(email) == false) {
		      return false;
		   }" .
		   "return true;
		}";

//$document->addScriptDeclaration($script);
?>

<script type="text/javascript">
	jQuery.noConflict();
	function validate()
	{
		var validated 	= true;
		var message 	= jQuery('#message').val();

		var myname		= jQuery('#myname').val();
		var mymail		= jQuery('#mymail').val();

		if(myname == '')
		{
			jQuery('#myname').css('border', 'solid 1px red');
			validated = false;
		}
		if(mymail == '')
		{
			jQuery('#mymail').css('border', 'solid 1px red');
			validated = false;
		}
		if(!validateEmail(mymail))
		{
			jQuery('#mymail').css('border', 'solid 1px red');
			validated = false;
		}
		if(message == '')
		{
			jQuery('#message').css('border', 'solid 1px red');
			validated = false;
		}
		var main_email = jQuery('#main_email').val();
		if(main_email == '')
		{
			jQuery('#main_email').css('border', 'solid 1px red');
			validated = false;
		}
		else
		{
			if(!validateEmail(main_email))
			{
				alert('invalid email address'); return false
			};
		}
		var bcc_email = jQuery('#bcc_email').val();
		if(bcc_email == '')
		{
			//jQuery('#bcc_email').css('border', 'solid 1px red'); validated = false;
		}
		else
		{
			bcc_email = bcc_email.split(',');
			for(var i = 0; i < bcc_email.length; i++)
			{
				var email = bcc_email[i];
				if(!validateEmail(email))
				{
					alert('invalid email address'); return false;
				}
			}
		}
		if(validated)
			document.forms['send_mail_form'].submit();
		return validated;
	}

	function validateEmail(email)
	{
		if(email == '')
			return true;
		if((email) == '')
			return true;
	   var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;
	   if(reg.test(email) == false)
	   {
		  return false;
	   }
	   return true;
	}
</script>


<div>
  <form name="send_mail_form" id="send_mail" action="<?php echo JRoute::_("index.php", false);?>" method="post">
    <input type="hidden" name="option" value="<?php echo $option; ?>">
    <input type="hidden" name="c" value="ad">
    <input type="hidden" name="fromid" value="<?php echo $this->user->id;?>">
    <input type="hidden" name="tomsg" value="<?php echo $this->ad->user->uid; ?>">
    <input type="hidden" name="adid" value="<?php echo $this->ad->id; ?>">
    <input type="hidden" name="task" value="send" >
    <table width="550px" cellpadding="2" cellspacing="0" border="0">
		<tr>
			<td colspan="2" align="center" style="font-size:18px;height:40px;"><?php echo JText::_("Email to Friend");?> </td>
		</tr>
		<tr>
			<td><?php echo JText::_("Your name:");?> </td>
			<td><input type="text" name="my_name" id="myname" size="40" value="<?php echo $this->user->name;?>" class="hieuja-inputbox" /></td>
		</tr>
		<tr>
			<td><?php echo JText::_("Your Email:");?> </td>
			<td><input type="text" name="my_email" id="mymail" value="<?php echo $this->user->email;?>" class="hieuja-inputbox" /></td>
		</tr>
		<tr>
			<td><?php echo JText::_("Friend's Name:");?> </td>
			<td><input type="text" name="friend_name" size="40" value="" class="hieuja-inputbox" /></td>
		</tr>
		<tr>
			<td><?php echo JText::_("Friend's Email:");?> </td>
			<td><input type="text" name="main_email" size="40" value="" class="hieuja-inputbox" id="main_email" /></td>
		</tr>
		<tr>
			<td><?php echo JText::_("BCC:");?> </td>
			<td><input type="text" name="bcc_email" value="" size="40" class="hieuja-inputbox" id="bcc_email" /></td>
		</tr>
		<tr>
			<td valign="top"><?php echo JText::_("MESSAGE");?></td>
			<td><textarea id='message' name="message" class="message hieuja-inputbox" rows="4" cols="40"></textarea></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" value="<?php echo JText::_("SEND");?>" class="button" onclick="validate(); return false;"/></td>
		</tr>
    </table>
  </form>
</div>
<?php die();?>