<?php
/*************************************************
 Author: JoomClan.com
 Creation Date: 2009-11-25
 Author Email: joomclan@gmail.com
 Url: http://www.joomclan.com
 Copyright: 2009-2010
 License: GNU
 Component Version: 2.1.7
 Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
 The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
 Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc â€¦) may be released under different licenses. Please see the details with the individual products.
 **************************************************/

defined('_JEXEC') or die('Restricted access');

jimport("joomla.application.component.view");

class JoomlistingsViewAd extends JView {
	function display($tpl = null) {
		global $mainframe;
		$session =& JFactory::getSession();
		$jlhash = $session->getId().time();
		$user =& JFactory::getUser();
		$userid = $user->get('id');
		$pid = (int) JRequest::getVar('pid', '');
		$settings = JoomListingsFactory::getSettings();
		if ($userid) {
			$rmodel = JModel::getInstance('region', 'JoomlistingsModel');
			if($settings->enable_regions){
				$sess = $rmodel->getRegion();
				if (!$sess->rid) {
					global $mainframe;
					$mainframe->redirect(JRoute::_("index.php?option=com_joomlistings&view=directory", false), "Select Region before you continue");
				}else{
					$region = $sess->region;
					$location = $sess->location;
					$this->assignRef('cregion', $region);
					$this->assignRef('clocation', $location);
					if($settings->enable_neighbor)
						$nid = $sess->nid;
						if(isset($nid)){
							$ntable = JTable::getInstance('neighbor', 'Table');
							$ntable->load($nid);
							$neighbor = $ntable->title;
							$this->assignRef('cneighbor', $neighbor);
						}
				}
			}
			$model = JModel::getInstance('category', 'JoomlistingsModel');
			$pmodel = JModel::getInstance('profile', 'JoomlistingsModel');
			$pamodel = JModel::getInstance('packages', 'JoomlistingsModel');
			$info = $pamodel->getPackageInfoOfUser($userid);
			
			if(!$settings->enable_packages && !$settings->payable){
				$msg = "You have used your all ads. You cannot post this ad";
				$redir = html_entity_decode(JRoute::_("index.php?option=com_joomlistings&view=myads", false));
				$mainframe->redirect($redir, $msg);
			}
			if($settings->enable_packages){
				$db =& JFactory::getDBO();
				$query = "SELECT count(*) FROM #__jlpackages WHERE isfree = 1 AND published = 1";
				$db->setQuery($query);
				$c = $db->loadResult();
				if($info == null && $c > 0){
					$return = base64_encode(JRoute::_("index.php?option=com_joomlistings&view=ad&layout=post",false));
					$link = JRoute::_("index.php?option=com_joomlistings&c=package&task=free&return=$return",false);
					$mainframe->redirect($link);
				}else{
					$ret = $this->_checkPackageExpired($info);
					if(isset($ret['link'])&&  $ret['link'] != '' && isset($ret['msg']) &&  $ret['msg'] != ''){
						$mainframe->redirect($ret['link'], $ret['msg']);
					}else{
						$this->assignRef('packages', $info);
					}
				}
				if($pid == ''){
					$ret = $this->_checkPackageExpired($info);
					if($ret['link'] != ''){
						$mainframe->redirect($ret['link'], $ret['message']);
					}
				}
				$package = $pamodel->getPackageDetail($pid);
				$this->assignRef('package', $package);
			}
			if($settings->payable){
				
			}
							
			$this->assignRef('param', $sess);
			$adid = JRequest::getVar('adid', 0);
			$row = null;
			if ($adid) {
				$row = JTable::getInstance('listings', 'Table');
				$row->load($adid);
				$this->assignRef('ad', $row);
			}
			$lists['catid'] = "<select name='catid' id='catid' class='required'><option value=''>Select Category</option></select>";
			$adtypes = $model->getAdTypes();
			if($row){
				$lists['adtype'] = JHTML::_('select.genericlist', $adtypes, 'type', 'class="inputboxw required" size="1"', 'value', 'text', JRequest::getVar('adtype', "")=="" ? $row->type : intval( JRequst::getVar('adtype') ));
			}
			else{
				$lists['adtype'] = JHTML::_('select.genericlist', $adtypes, 'type', 'class="inputboxw required" size="1"', 'value', 'text', JRequest::getVar('adtype', ""));
			}
			$listingtype = array();
			$listingtype[] = JHTML::_('select.option', 0, JText::_('General Listing'), 'id', 'title');
			$listingtype[] = JHTML::_('select.option', 3, JText::_('Bold Listing'), 'id', 'title');
			$listingtype[] = JHTML::_('select.option', 1, JText::_('Orange Listing'), 'id', 'title');
			$listingtype[] = JHTML::_('select.option', 2, JText::_('Red Listing'), 'id', 'title');
			$lists['listingtype'] = JHTML::_('select.radiolist', $listingtype, 'listingtype', 'class="inputbox" size="1"', 'id', 'title', 0);
			$this->assignRef('lists', $lists);
			$c = $model->getCurrencies();
			if($row){
				$currency = JHTML::_('select.genericlist', $c, 'currency', 'class="inputboxw" size="1"', 'value', 'text', JRequest::getVar('currency', "")=="" ? $row->currency : intval(JRequest::getVar('currency')));
			}else{
				$currency = JHTML::_('select.genericlist', $c, 'currency', 'class="inputboxw" size="1"', 'value', 'text', JRequest::getVar('currency', ""));
			}
			$this->assignRef('currency', $currency);
			$pathway = &$mainframe->getPathway();
			$pathway->addItem(JText::_('POST_NEW_AD'), '');
			$this->assignRef('jlhash', $jlhash);
			$this->assignRef('pid', $pid);
			if($pid){
				$query = "SELECT title as text, id as value from #__jlsections WHERE id IN (SELECT section_id FROM #__jlcategories WHERE id IN (SELECT category_id FROM #__jlcategory_package WHERE package_id = '$pid'))";
			}else{
				$query = "SELECT title as text, id as value from #__jlsections WHERE published = 1";
			}
			$db =& JFactory::getDBO();
			$db->setQuery( $query );
			$sections2 = $db->loadObjectList();
			$sections1[] = JHTML::_('select.option', '', JText::_('Select Section'), 'value', 'text');
			$sections = array_merge($sections1, $sections2);
			$lists['sectionid'] = JHTML::_('select.genericlist', $sections, 'sectionid', 'class="inputbox required" size="1"', 'value', 'text', ($row != null) ? $row->sectionid : '');
			parent::display();
		}
		else{
			$link = base64_encode(JRoute::_("index.php?option=com_joomlistings&view=ad&layout=post", false));
			$rlink = JRoute::_("index.php?option=com_user&view=login&return=$link", false);
			$msg = JText::_("LOGIN_TO_ACCESS");
			$mainframe->redirect($rlink, $msg);

		}
	}


	function modDisplay($tpl = null) {
		parent::display($tpl);
	}
	
	function detail($tpl = null){
		global $mainframe;
		$user =& JFactory::getUser();
		$userid = $user->get('id');
		$settings = JoomListingsFactory::getSettings();
			
		$adid = JRequest::getVar('adid', 0);
		$row = JTable::getInstance('listings', 'Table');
		$session = JFactory::getSession();
		$userHit = $session->get('userHit');
		if($userHit && !$userHit->data[$userid]){
			$row->hit($adid); // hit counter
			$userHit->data[$userid]  = true;
			$session->set('userHit', $userHit);
		}
		$row->loadForView($adid);
		if ($settings->enable_guest_contact_info == 1 || $row->package_info->showcontact) {
			$showdetail = true;
		}else{
			$showdetail = false;
		}	
		$category = $row->getAdCategory($adid);
		$cmodel = $this->getModel('category');
		$sectiondetail = $cmodel->getSectionDetail($row->sectionid);
		$pathway =& $mainframe->getPathway();
		$settings = JoomListingsFactory::getSettings();
		if ($settings->enable_regions) {
			$rmodel = $this->getModel('region');
			$sess = $rmodel->getRegion();
			$text = $sess->region.", ".$sess->location;
			if($settings->enable_neighbor){
				$text .= ", ".$sess->neighbor;
			}
			$pathway->addItem($text, JRoute::_("index.php?option=com_joomlistings&c=directory&task=change", false));
		}
		$pathway->addItem(JText::_('CATEGORIES'), JRoute::_("index.php?option=com_joomlistings&view=directory", false));
		$pathway->addItem($category->title, JRoute::_("index.php?option=com_joomlistings&c=listing&cid=".$category->id, false));
		$pathway->addItem($row->title, '');
		$pmodel = $this->getModel('profile');
		$profile = $pmodel->getProfile($row->userid);
		$this->assignRef('ad', $row);
		$this->assignRef('user', $user);
		$this->assignRef('category', $category);
		$this->assignRef('settings', $settings);
		$this->assignRef('profile', $profile);
		$this->assignRef('showdetail', $showdetail);
		$mainframe->triggerEvent('onAdView', array($row, $user));
		$db =& JFactory::getDBO();
        $db->setQuery("SELECT * FROM #__jlstars ORDER BY id ASC");
        $stars = $db->loadObjectList();
        $this->assignRef('stars', $stars);
        $db->setQuery("SELECT * FROM #__jlreport_reasons WHERE published = 1 ORDER BY ordering ASC");
        $reasons = $db->loadObjectList();
        $this->assignRef('reasons', $reasons);
        $query = "SELECT * FROM #__jlvdocs WHERE adid = '$row->id'"; 
        $db->setQuery($query);
        $attachments = $db->loadObjectList();
        $this->assignRef('attachments', $attachments);
		parent::display($tpl);
	}
	
	function _checkPackageExpired($info){
		$ret = array('link'=>'', 'message'=>'');
		$Itemid = JRequest::getVar('Itemid');
		$expired = array();
		$notExpired = array();
		if(count($info)>0){
			foreach($info as $pi){
				$today = date("Y-m-d H:i:s");
				if((($pi->days == -1 || $pi->expirydate == -1) && $pi->used < $pi->adsnumber)  || $pi->adsnumber == -1){
					$notExpired[] = $pi;
				}
				else{
					if($today > $pi->expirydate){
						$expired[] = $pi;
					}
					elseif($pi->used >= $pi->adsnumber){
						$expired[] = $pi;
					}
					else{
						$notExpired[] = $pi;
					}
				}
			}
			if(count($expired) == count($info)){
				$link = JRoute::_("index.php?option=com_joomlistings&view=packages&Itemid=$Itemid", false);
				$msg = "All your packages expired. Please buy new package to continue";
				$ret['link'] = $link;
				$ret['message'] = $msg;
			}
			if(count($notExpired) == 1){
				$link = JRoute::_("index.php?option=com_joomlistings&view=ad&layout=post&pid={$notExpired[0]->packageid}&Itemid=$Itemid", false);
				$ret['link'] = $link;
				$ret['message'] = '';
			}
			// do nothing if not expired all package or number expired package != 1
		}
		else{
			$link = JRoute::_("index.php?option=com_joomlistings&view=packages&Itemid=$Itemid", false);
			$msg = "You have not bought any packages. Please Select a package to continue posting ad";
			$ret['link'] = $link;
			$ret['message'] = $msg;
		}
		return $ret;
	}
	
	function editAd($tpl = null){
		global $mainframe;
		$session =& JFactory::getSession();
		$jlhash = $session->getId().time();
		$user =& JFactory::getUser();
		$userid = $user->get('id');
		$cmodel = $this->getModel('category');
		$rmodel = $this->getModel("Region");
		$sess = $rmodel->getRegion();
		$cid = JRequest::getVar('cid', 0);
		if(is_array($cid)){
			$adid = (int) $cid[0];
		}else{
			$adid = (int) $cid;
		}
		if ($adid) {
			$row = JTable::getInstance('listings', 'Table');
			$category = $row->getAdCategory($adid);
			$canEdit = $row->loadForEdit($adid, $userid);
			if (!$canEdit) {
				$link = JRoute::_("index.php?option=com_joomlistings&c=ad&task=view&adid=$adid", false);
				$msg = "You cannot edit this ad. Only creator can edit this ad";
				$mainframe->redirect($link, $msg, 'error');
			}
			$this->assignRef('ad', $row);
		}
		$lists['catid'] = $this->_prepareCategoryCbo($cmodel, $row->pid, $row);
		$adtypes = $cmodel->getAdTypes();
		$lists['adtype'] = JHTML::_('select.genericlist', $adtypes, 'type', 'class="inputboxw required" size="1"', 'value', 'text', $row->type);
		
		$listingtype = array();
		$listingtype[] = JHTML::_('select.option', '0', JText::_('General Listing'), 'id', 'title');
		$listingtype[] = JHTML::_('select.option', '3', JText::_('Bold Listing'), 'id', 'title');
		$listingtype[] = JHTML::_('select.option', '1', JText::_('Orange Listing'), 'id', 'title');
		$listingtype[] = JHTML::_('select.option', '2', JText::_('Red Listing'), 'id', 'title');
		$lists['listingtype'] = JHTML::_('select.radiolist', $listingtype, 'listingtype', 'class="inputbox" size="1"', 'id', 'title', $row->listingtype);
		
		$c = $cmodel->getCurrencies();
		$currency = JHTML::_('select.genericlist', $c, 'currency', 'class="inputboxw" size="1"', 'value', 'text', $row->currencysymbol.":".$row->currency);
		
		$pathway = &$mainframe->getPathway();
		$settings = JoomListingsFactory::getSettings();
		$this->assignRef('settings', $settings);
		if ($settings->enable_regions) {
			$text = $sess->region.", ".$sess->location;
			if($settings->enable_neighbor){
				$text .= ", ".$sess->neighbor;
			}
			$pathway->addItem($text, JRoute::_("index.php?option=com_joomlistings&c=directory&task=change", false));
		}
		$pathway->addItem(JText::_('CATEGORIES'), JRoute::_("index.php?option=com_joomlistings&view=directory", false));
		$pathway->addItem($category->title, JRoute::_("index.php?option=com_joomlistings&c=listing&cid=".$category->id, false));
		$adlink = JRoute::_("index.php?option=com_joomlistings&c=ad&task=view&adid=".$row->id, false);
		$pathway->addItem($row->title, $adlink);
		$pathway->addItem(JText::_('EDIT'), '');
		$this->assignRef('lists', $lists);
		$pamodel = JModel::getInstance('packages', 'JoomlistingsModel');
		$info = $pamodel->getPackageDetail($row->pid);
		$this->assignRef('package', $info);
		$this->assignRef('userid', $userid);
		$this->assignRef('currency', $currency);
		$query = "";
		if($settings->enable_packages){
			$query = "SELECT title as text, id as value from #__jlsections WHERE id IN (SELECT section_id FROM #__jlcategories WHERE id IN (SELECT category_id FROM #__jlcategory_package WHERE package_id = '". $row->pid ."'))";
		}else{
			$query = "SELECT title as text, id as value from #__jlsections WHERE published = 1";
		}
		$db =& JFactory::getDBO();
		$db->setQuery( $query );
		$sections2 = $db->loadObjectList();
		$sections1[] = JHTML::_('select.option', '0', JText::_('Select Section'), 'value', 'text');
		$sections = array_merge($sections1, $sections2);
		$lists['sectionid'] = JHTML::_('select.genericlist', $sections, 'sectionid', 'class="inputbox" size="1"', 'value', 'text', $row->sectionid );
		$this->assignRef('jlhash', $jlhash);
		parent::display($tpl);
	}
	
	function _prepareCategoryCbo($categoryModel, $pid, $row = null){
		// prepare category tree
		$categories = $categoryModel->getListCategory(null, null, null, $pid);
		require_once JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_joomlistings'. DS . 'helpers'. DS .'tree.php';
		$tree = new pvgTree(new pvgNode(0));
		foreach($categories as $cat){
			if($row!= null && $cat->id == $row->catid){
				$node = new pvgNode($cat->id, $cat->id, $cat->title, true);
			}else{
				$node = new pvgNode($cat->id, $cat->id, $cat->title);
			}
			$tree->appendChild($cat->parent_id, $node);
		}
		$ret = $tree->renderTree('catid', false, JText::_('Select Category'), true);
		$tree = null;
		return $ret;
	}
	
	function listByPostedUser(){
		global $mainframe;
		$rmodel = $this->getModel('region');
		$cmodel = $this->getModel('category');
		$model = $this->getModel('listing');
		$sess = $rmodel->getRegion();
        $settings = JoomListingsFactory::getSettings();
        if(!$sess->rid){
            $mainframe->redirect(JRoute::_("index.php?option=com_joomlistings&view=directory", false), "Select Region before you continue");
        }
        $limitstart = JRequest::getVar('limitstart', 0);
        $limit = JRequest::getVar('limit', 10);
        $uid = JRequest::getInt('uid', 0);
        if(!$uid){
        	die();
        }
        
        $pathway =& $mainframe->getPathway();
//        if ($settings->enable_regions) {
//        	$text = $sess->region.", ".$sess->location;
//			if($settings->enable_neighbor){
//				$text .= ", ".$sess->neighbor;
//			}
//            $pathway->addItem($text, JRoute::_("index.php?option=com_joomlistings&c=directory&task=change", false));
//        }
        
//        $slink = JRoute::_("index.php?option=$option&c=directory&task=cat", false);
//        $pathway->addItem(JText::_('CATEGORIES'), JRoute::_("index.php?option=$option&view=directory", false));
//        $pathway->addItem($category->title, JRoute::_("index.php?option=$option&view=listing&cid=".$catid, false));
        $listings = $model->getListingsByUser($uid, $limitstart, $limit);
        $total = $model->getCountListingsByUser($uid);
        jimport('joomla.html.pagination');
        $pageNav = new JPagination($total, $limitstart, $limit);
        $this->assignRef('param', $sess);
        $this->assignRef('settings', $settings);
        $this->assignRef('listings', $listings);
        $this->assignRef('pagenav', $pageNav);
        $this->assignRef('cid', $catid);
        $this->assignRef('type', $type);
        $user =& JFactory::getUser();
        $this->assignRef('user', $user);
        $this->assignRef('category', $category);        
		$db =& JFactory::getDBO();
        $db->setQuery("SELECT * FROM #__jlstars ORDER BY id ASC");
        $stars = $db->loadObjectList();
        $this->assignRef('stars', $stars);
        $this->assignRef('cuid', $uid);
		parent::display();
	}

}
?>
