<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$document =& JFactory::getDocument();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/$option/css/default.css");
}
JHTML::_('behavior.mootools');
$settings = JoomListingsFactory::getSettings();
?>
<script type="text/javascript">
	window.addEvent('domready',function(){
		$('btnDelete').addEvent('click',function(e){
			var e=new Event(e);
			frm=document.adminForm;
			if(frm.boxchecked.value>0){
				if(confirm('<?php echo JText::_('DELETE_CONFORMATION');?>?')){
					frm.task.value='del';
					frm.submit();
				}
				else{
					e.stop();
				}
			}
			else{
				alert("<?php echo JText::_('SELECT_TO_DELETE');?>");
			}
		});

		$('btnEdit').addEvent('click',function(){
			frm=document.adminForm;
			if(frm.boxchecked.value==1){
				frm.task.value='edit';
				frm.submit();
			}
			else{
				alert("<?php echo JText::_('SELECT_TO_EDIT');?>");
			}
		});
		
		<?php if($settings->payable){ ?>

		$('btnPublish').addEvent('click',function(){
			frm=document.adminForm;
			if(frm.boxchecked.value==1){
				frm.task.value='paynpublish';
				frm.submit();
			}
			else{
				alert("<?php echo JText::_('SELECT_TO_PAY_PUBLISH');?>");
			}
		});
		<?php }?>
	
		$('btnImage').addEvent('click',function(){
			frm=document.adminForm;
			if(frm.boxchecked.value==1){
				frm.task.value='images';
				frm.c.value="image";
				frm.submit();
			}
			else{
				alert("<?php echo JText::_('SELECT_TO_MANAGE_IMAGES');?>");
			}
		});
	});
</script>

<div class="componentheading"><?php echo JText::_('MY_ADVERTISEMENT');?></div>

<div>
<form name="adminForm" action="<?php echo JRoute::_("index.php?option=$option");?>" method="post">
<div class="buttonstage">
<table width="100%" border="0" cellpadding="2" cellspacing="0">
	<tr>
		<td><strong><?php echo $this->pagenav->getResultsCounter(); ?></strong>
		&nbsp;&nbsp;&nbsp;</td>
		<td align="right"><input type="button" id="btnDelete" value="<?php echo JText::_('DELETE');?>"
			class="btn-action button" /> <input type="button" id="btnEdit" value="<?php echo JText::_('EDIT');?>"
			class="btn-action button" /> <input type="button" id="btnImage"
			value="<?php echo JText::_('MANAGE_IMAGES');?>" class="btn-action button" />
			<?php if($settings->payable)
			{
			?>
			 <input type="button"
			id="btnPublish" value="<?php echo JText::_('PAY_PUBLISH');?>" class="btn-action button" />
			<?php 
			}
			?>
			</td>
	</tr>
</table>

</div>
<div class="filter">
<table width="100%" cellpadding="2" cellspacing="1" border="0">
	<tr>
		<td width="20%"><input type="text" name="srchtext"
			class="inputbox inputboxw2"
			value="<?php echo $this->filter->srchtext; ?>" /></td>
		<td width="5%"><input type="submit" name="btnSrch" value="<?php echo JText::_('SEARCH');?>"
			class="btn-action button" /></td>
		<td width="6"><strong><?php echo JText::_('STATE');?></strong></td>
		<td width="10%"><?php echo $this->filter->states; ?></td>
		<td width="10%"><input type="submit" name="btnRef" value="<?php echo JText::_('REFRESH');?>"
			class="btn-action button" /></td>
		<td>&nbsp;</td>
	</tr>
</table>
</div>
<table width="100%" cellpadding="5" cellspacing="0" border="1"
	class="bill">
	<tr>
		<th width="5%"><input type="checkbox" name="toggle" value=""
			onclick="checkAll(<?php echo count($this->ads)?>);" /></th>
		<th><?php echo JText::_('TITLE');?></th>
		<?php if($settings->enable_price){ ?>
		<th width="15%"><?php echo JText::_('AMOUNT');?></th>
		<?php }?>
		<th width="12%"><?php echo JText::_('POSTED');?></th>
		<th width="12%"><?php echo JText::_('EXPIRY');?></th>
		<th width="3%"><?php echo JText::_('PUBLISHED');?></th>
		<th width="3%"><?php echo JText::_('FEATURED');?></th>
		<th width="3%"><?php echo JText::_('Color');?></th>
	</tr>
	<?php
	if(count($this->ads)>0)
	{

		$i=0;
		$k=0;
		foreach($this->ads as $a)
		{
			$checked = JHTML::_('grid.id',$i,$a->id);
			$published = JLHelper::published($a,$i);
			$featured = JLHelper::featured($a,$i);
			$colored = JLHelper::colored($a,$i);
			$ulink=JRoute::_("index.php?option=$option&c=ad&task=edit&cid=$a->id");
			
			?>
	<tr class="<?php echo "row$k"?>">
		<td><?php echo $checked; ?></td>
		<td>
			<?php if(strtotime($a->expirydate) < strtotime(date('Y-m-d H:i:s'))){?>
				<?php echo $a->title; ?>
			<?php }else{?>
				<a href="<?php echo $ulink; ?>"><?php echo $a->title; ?></a>
			<?php }?>
		</td>
		<?php if($settings->enable_price){ ?>
		<td><?php echo $a->currency; ?> <?php echo $a->price; ?></td>
		<?php }?>
		<td><?php echo date("d M,y",strtotime($a->postdate)); ?></td>
		<td><?php echo date("d M,y",strtotime($a->expirydate)); ?>
			<?php if(strtotime($a->expirydate) < strtotime(date('Y-m-d H:i:s'))){?>
				<a href="javascript:void(0);" onclick="listItemTask('cb<?php echo $i?>', 'relist')"><img src="<?php echo JURI::base().'components/com_joomlistings/images/redo.png'?>" alt="relist"/></a>
			<?php }?>
		</td>
		<td><?php echo $published; ?></td>
		<td><?php echo $featured; ?></td>
		<td><?php echo $colored; ?></td>
	</tr>
	<?php
	$i++;
	$k=1-$k;

		}

	}
	else
	{
		echo "<tr><td colspan='8'>". JText::_('ADD_CRITERIA_NOT_MEET')."!</td></tr>";
	}
	?>
</table>

<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="c" value="ad" />
<input type="hidden" name="option" value="com_joomlistings" />
<input type="hidden" name="task" value="myads" /></form>
</div>
<?php if($settings->payable)
			{
			?>
<div class="note"><em> <?php echo JText::_('ADD_UNPUBLISHED_REASEON');?>.</em></div>
<?php 
			}
?>
<div class="page"><?php echo $this->pagenav->getPagesLinks(); ?></div>
