<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

$document =& JFactory::getDocument();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/default.css");
}
$settings = JoomListingsFactory::getSettings();
$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/colorbox.css");
JHTML::_('behavior.mootools');
if(!defined('_JOOMLISTING_LOAD_JQUERY')){
	define('_JOOMLISTING_LOAD_JQUERY', 1);
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-1.4.2.min.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.noconflict.js');
}
$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.colorbox-min.js');
?>
<div class="componentheading"><?php echo JText::_('MY_PACKAGE');?></div>
<div style="width:100%;">
<h3>
<?php echo JText::_('PACKAGE_INFO');?></h3>
<?php
	if($this->packages){
	?>
	<script type="text/javascript">
	var remote = new Array();
	<?php foreach($this->packages as $pac){?>
		remote[<?php echo $pac->id;?>] = '<?php echo JRoute::_('index.php?option=com_joomlistings&c=package&task=popbox&pid='.$pac->id);?>';
	<?php }?>
	jQuery(document).ready(function(){
		jQuery('a.pcolor').bind('click', function(){
			pp = jQuery(this).attr('id');
			jQuery(this).colorbox({href: remote[pp], width:'60%', height:'80%'});
		});
	});
	</script>
	<?php 
		foreach($this->packages as $package){
?>
	<table width="100%" cellpadding="7" cellspacing="0" class="bill" border="1">
		<tr>
			<td width="55%" valign="top"><strong><?php echo JText::_('PACKAGE');?></strong></td>
			<td><strong><?php echo $package->title; ?></strong><br/><i><?php echo $package->description;?></i></td>
		</tr>
		<tr>
			<td><strong><?php echo JText::_('NO_OF_ADS');?></strong></td>
			<td><?php echo ($package->adsnumber==-1)?'Unlimited':$package->adsnumber; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo JText::_('NO_OF_ADS_USED');?></strong></td>
			<td><?php echo (int)$package->used; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo JText::_('NO_OF_IMG_PER_ADD');?></strong></td>
			<td><?php echo ($package->imagesnumber)<=-1?'Unlimited':$package->imagesnumber; ?></td>
		</tr>
		
		<tr>
			<td><strong><?php echo JText::_('IMPRESSIONS_PER_AD');?></strong></td>
			<td><?php echo ($package->impressions)<=-1?'Unlimited':$package->impressions; ?></td>
		</tr>
		
		<tr>
			<td><strong><?php echo JText::_('CLICK_PER_AD');?></strong></td>
			<td><?php echo ($package->clicks)<=-1?'Unlimited':$package->clicks; ?></td>
		</tr>
		
		<tr>
			<td><strong><?php echo JText::_('PRICE');?></strong></td>
			<td><?php echo $package->currency; ?> <?php echo $package->price; ?></td>
		</tr>
		<?php if($settings->enable_featured_ads){ ?>
		<tr>
			<td><strong><?php echo JText::_('PRICE_FOR_FETUR_AD');?></strong></td>
			<td><?php echo $package->currency; ?> <?php echo $package->priceforfeatured; ?></td>
		</tr>
		<?php } ?>
		
		<?php if($settings->enable_colored_listings){ ?>
		<tr>
			<td><strong><?php echo JText::_('PRICE_FOR_RED_AD');?></strong></td>
			<td><?php echo $package->currency; ?> <?php echo $package->priceforred; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo JText::_('PRICE_FOR_ORANGE_AD');?></strong></td>
			<td><?php echo $package->currency; ?> <?php echo $package->pricefororange; ?></td>
		</tr>
		<tr>
			<td><strong><?php echo JText::_('PRICE_FOR_BOLD_AD');?></strong></td>
			<td><?php echo $package->currency; ?> <?php echo $package->priceforbold; ?></td>
		</tr>
		
		<tr>
			<td><strong><?php echo JText::_('CAN_POST_AD_TO');?></strong></td>
			<td><a href="javascript:void(0);" class="pcolor" id="<?php echo $package->id;?>">Click here</a></td>
		</tr>
		
		<?php } ?>
		
		<tr>
			<td><strong><?php echo JText::_('CAN_EMBED_VIDEO');?></strong></td>
			<td><?php echo ($settings->enable_videos == 1) ? JText::_('YES_') : JText::_('NO_'); ?></td>
		</tr>
		
		<tr>
			<td><strong><?php echo JText::_('CAN_UPLOAD_ATTACHMENTS');?></strong></td>
			<td><?php echo ($package->enable_upload_video_doc == 1) ? JText::_('YES_') : JText::_('NO_'); ?></td>
		</tr>
		
		<tr>
			<td><strong><?php echo JText::_('CONTACT_INFO_VISIBLE');?></strong></td>
			<td><?php echo ($package->showcontact == 1) ? JText::_('YES_') : JText::_('NO_'); ?></td>
		</tr>
		
		<tr>
			<td><strong><?php echo JText::_('PACKAGE_VALIDITY');?></strong></td>
			<td><?php echo ($package->days==-1)?'Unlimited':$package->days; ?> Days</td>
		</tr>
		<tr>
			<td><strong><?php echo JText::_('YOU_HAVE');?></strong></td>
			<td><?php echo ($package->days - $package->leftdays) <= -1 ? 'Unlimited': ($package->days- $package->leftdays) . ' '.JText::_('DAYS_REMAINING'); ?></td>
		</tr>
		<tr>
			<td colspan="2">
				<?php
					if($package->isfree){
						$link = JRoute::_("index.php?option=com_joomlistings&c=package&task=upgrade");
				?>
					<div><a href="<?php echo $link; ?>" class="upgradebutton"><?php echo JText::_('UPGADE_PACKAGE_TOPAID');?></a></div>
				<?php
					}
					elseif((intval($package->used) == intval($package->adsnumber)) || $package->expirydate < date('Y-m-d H:i:s')){
						$link=JRoute::_("index.php?option=com_joomlistings&c=package&task=renew&pid={$package->packageid}");
				?>
					<div class="info"><?php echo JText::_('USED_ALL_ADS');?></div><br/>
					<div><a href="<?php echo $link; ?>" class="upgradebutton"><?php echo JText::_('RENEW_YOUR_PACKAGE');?></a></div>
				<?php
					}
				?>
				</td>
		</tr>
	</table>
	<div style="height:10px;"></div>
<?php } // end foreach here
}
else{
	echo "<div>".JText::_("YOU_HAVE_NO_PACKAGE")."<br /><br /></div>";
	$link = JRoute::_("index.php?option=com_joomlistings&c=package&task=upgrade");
	?>
	
	<div><a href="<?php echo $link; ?>" class="upgradebutton"><?php echo JText::_('BUY_PACKAGE');?></a></div>
	<?php 
}
?>
</div>


