<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

$document =& JFactory::getDocument();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/default.css");
}
$settings = JoomListingsFactory::getSettings();
?>
<div>
<?php
	/*
	* Out listing in directory format
	*/
	if(count($this->sections)>0)
	{
?>
		<div class="floatcontainer">
			<?php
				$i = 0;
				foreach($this->sections as $r)
				{
					//$xlink		= JRoute::_("index.php?option=com_joomlistings&c=directory&task=cat&sid=$r->id&Itemid=$itemid");

					$img		= "folder.gif";
					if($r->image_of_section != NULL)
						$img	= "images-of-sections/".$r->image_of_section;

					$collasp	= '';
					if($settings->collapse_front_end)
						$collasp= ' onclick="javascript:collasp('.$r->id.');"';
			?>
				<div class="floatitem">
					<div class="ctitle" <?php echo $collasp;?>>
						<?php if($settings->show_image_of_sections) {?>
						<img class="images-cats" id="image-cat-<?php echo $r->id;?>" src="components/com_joomlistings/images/<?php echo $img;?>" align="absmiddle" />
						<?php }?>
						<a href="javascript:void(0);"><?php echo $r->title; ?></a>
					</div>
					<?php /*
							if(count($r->categories)>0)
							{
								$cx = 0;
						?>
								<ul class="list" id="sub-cat-<?php echo $r->id;?>" style="display:none">
								<?php
									foreach($r->categories as $c)
									{
										$link=JRoute::_("index.php?option=com_joomlistings&c=listing&cid=$c->id&Itemid=$itemid");
								?>
									<li><a href="<?php echo $link; ?>"><?php echo $c->title; ?></a> (<?php echo $c->adcount;?>)</li>
								<?php
										$cx++;
									}
								?>
								</ul>
						<?php
							}
						*/
						if($r->categories) echo $r->categories;
					?>
				</div>
			<?php
					$i++;
					if( $i%3 == 0 )
						echo '<div style="clear:both"></div>';
				}
			?>
		</div>
	<?php
	}
?>
</div>

<?php die();?>