<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$settings = JoomListingsFactory::getSettings();
$document =& JFactory::getDocument();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/default.css");
}
$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/colorbox.css");
JHTML::_('behavior.mootools');
if(!defined('_JOOMLISTING_LOAD_JQUERY')){
	define('_JOOMLISTING_LOAD_JQUERY', 1);
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-1.4.2.min.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.noconflict.js');
}
$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.colorbox-min.js');
?>


<div class="componentheading"><?php echo JText::_('SELECT_FROM_AVI_PACK');?></div>
<div class="package-background">
<?php
if(count($this->packages)>0)
{
?>
	<script type="text/javascript">
	var remote = new Array();
	<?php foreach($this->packages as $pac){?>
		remote[<?php echo $pac->id;?>] = '<?php echo JRoute::_('index.php?option=com_joomlistings&c=package&task=popbox&pid='.$pac->id);?>';
	<?php }?>
	jQuery(document).ready(function(){
		jQuery('a.pcolor').bind('click', function(){
			pp = jQuery(this).attr('id');
			jQuery(this).colorbox({href: remote[pp], width:'60%', height:'80%'});
		});
	});
	</script>
<?php 
	$i = 1;
	echo "<table width='100%'><tr><td>";
	foreach($this->packages as $p)
	{
		$buylink = JRoute::_("index.php?option=com_joomlistings&c=package&task=pay&pid=$p->id");
		$subscribelink = JRoute::_("index.php?option=com_joomlistings&c=package&task=subscribe&pid=$p->id");
		?>
		<table class="package-<?php echo $i;?>" width="30%" cellpadding="3" cellspacing="0" border="0">
			<tr>
				<td colspan="2"><a href="javascript:void(0);" class="ptitle"><?php echo $p->title; ?></a></td>
			</tr>
			<?php if(!empty($p->description)) : ?>
			<tr>
				<td colspan="2">
					<div style="height:15px"></div>
					<span class="package-text">
						<?php echo $p->description; ?>
					</span>
				</td>
			</tr>
			<?php endif; ?>

			<tr>
				<td colspan="2">
					<span class="package-text">
						<?php echo JText::_('NO_OF_ADS');?>
						<?php echo ($p->adsnumber==-1)?'Unlimited':$p->adsnumber; ?>
					</span>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<span class="package-text">
						<?php echo JText::_('NO_OF_IMAGES');?>
						<?php echo ($p->imagesnumber==-1)?'Unlimited':$p->imagesnumber; ?>
					</span>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<span class="package-text">
						<?php echo JText::_('IMPRESSIONS');?>
						<?php echo ($p->impressions==-1)?'Unlimited':$p->impressions; ?>
					</span>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<span class="package-text">
						Clicks
						<?php echo ($p->clicks==-1)?'Unlimited':$p->clicks; ?>
					</span>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<span class="package-text">
						<?php echo JText::_('VALID_FOR');?>
						<?php echo ($p->days==-1)?'Unlimited':$p->days; ?> Days
					</span>
				</td>
			</tr>
			<tr>
				<td colspan="2">
				Can post ads to category <a href="javascript:void(0);" class="pcolor" id="<?php echo $p->id;?>">Show</a>
				</td>
			</tr>
			<?php if($settings->enable_featured_ads) { ?>
			<tr>
				<td colspan="2"><span class="package-text"><?php echo JText::_('PRICE_FOR_FEATURED');?>
				<?php echo $p->currency; ?> <?php echo ($p->priceforfeatured==-1)?'Free':$p->priceforfeatured; ?></span></td>
			</tr>
			<?php } ?>
			<tr>
				<td colspan="2"><?php //echo 'price'//JText::_('PRICE_FOR_FEATURED');?>
				<span class="price-of-package"><?php echo $p->currency; ?> <?php echo ($p->priceforfeatured==-1)?'Free':$p->price; ?></span></td>
			</tr>

			<tr>
				<td colspan="2">
					<hr class="mystyle" />
					<a class="buy-package" href="<?php echo $buylink;?>">
						<?php echo JText::_('Buy Now');?>
					</a>
					<?php
					 if(is_array($this->userSubscribedPackage))
					 {
						 if(!in_array($p->id, $this->userSubscribedPackage) && $p->enablesubscription && $p->days != -1){?>
						<a class="buy-package" href="<?php echo $subscribelink;?>">
							<?php echo JText::_('Subscribe');?>
						</a>
						<?php }
					 }?>
				</td>
			</tr>
		</table>
		<?php
		$i++;
		if($i == 4){
			//echo "<div style='clear:both;width=100%;margin-top:10px;'/>&nbsp;</div>";
			echo "</td></tr><tr height='10px'><td>&nbsp</td><tr><td>";
			$i= 1;
		}
	}
	echo "</td></tr></table>";

}
else
{
	echo  JText::_('NO_PACK_AVAILABLE');
}
?>
<br clear="all" />
</div>