<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$csspath=JUri::root()."/components/$option/css/default.css";
$document=JFactory::getDocument();
$document->addStyleSheet($csspath);
$postlink=JRoute::_("index.php?option=$option&c=listing&task=add");

$returnurl=base64_encode(html_entity_decode($postlink));
$loginlink=JRoute::_("index.php?option=com_user&view=login&return=$returnurl");
$changelink=JRoute::_("index.php?option=$option&c=directory&task=change");

?>
<div class="componentheading"><?php echo JText::_('EDIT_PROFILE');?></div>
<form name="adminForm" action="index.php" method="post" enctype="multipart/form-data">
<input type="hidden" name="option" value="<?php echo $option; ?>">
<input type="hidden" name="c" value="profile"/>
<input type="hidden" name="task" value="save"/>


<div>
<h3><?php echo JText::_('ACCOUNT_INFO');?></h3>
<table width="100%" border="0" cellpadding="5" cellspacing="0">

<tr>
<td width="15%"><?php echo JText::_( 'Username' ); ?></td><td> <?php echo $this->profile->username; ?></td>
</tr>
<tr>
<td><?php echo JText::_("Region/Location");?></td><td><strong><?php echo $this->profile->region;?> &raquo; <?php echo $this->profile->location;?></strong> <a href="<?php echo $changelink;?>"><?php echo JText::_("CHANGE_REGION");?></a></td>
</tr>

</table>
<h3><?php echo JText::_('PERSONAL_INFO');?></h3>
<table width="100%" border="0" cellpadding="5" cellspacing="0">
<tr>
<td width="15%"><?php echo JText::_( 'Firstname' ); ?></td>
<td> <input type="text" name="name" value="<?php echo $this->profile->name; ?>" class="inputbox" /></td>
</tr>
<tr>
<td><?php echo JText::_( 'Lastname' ); ?></td><td> <input type="text" name="lastname" value="<?php echo $this->profile->lastname; ?>" class="inputbox"/></td>
</tr>
<tr>
<td><?php echo JText::_( 'Email' ); ?></td><td> <input type="text" name="email" value="<?php echo $this->profile->email; ?>" class="inputbox"/></td>
</tr>

<tr>
<td><?php echo JText::_( 'Website' ); ?></td><td> <input type="text" name="website" value="<?php echo $this->profile->website; ?>" class="inputbox"/></td>
</tr>
<tr>
<td><?php echo JText::_( 'Address' ); ?></td><td> <input type="text" name="address" value="<?php echo $this->profile->address; ?>" class="inputbox"/></td>
</tr>
<tr>
<td><?php echo JText::_( 'Address 2' ); ?></td><td> <input type="text" name="address2" value="<?php echo $this->profile->address2; ?>" class="inputbox"/></td>
</tr>
<tr>
<td><?php echo JText::_( 'City' ); ?></td><td> <input type="text" name="city" value="<?php echo $this->profile->city; ?>" class="inputbox"/></td>
</tr>
<tr>
<td><?php echo JText::_( 'State' ); ?></td><td> <input type="text" name="state" value="<?php echo $this->profile->state; ?>" class="inputbox"/></td>
</tr>
<tr>
<td><?php echo JText::_( 'Country' ); ?></td><td> <?php echo $this->countries; ?></td>
</tr>

<tr>
<td><?php echo JText::_( 'Phone' ); ?></td><td> <input type="text" name="phone" value="<?php echo $this->profile->phone; ?>" class="inputbox"/></td>
</tr>
<tr>
<td><?php echo JText::_( 'IM' ); ?></td><td> <input type="text" name="im" value="<?php echo $this->profile->im; ?>" class="inputbox"/></td>
</tr>
<tr>
<td><?php echo JText::_( 'Zipcode' ); ?></td><td> <input type="text" name="zipcode" value="<?php echo $this->profile->zipcode; ?>" class="inputbox"/></td>
</tr>
<?php
    if ($this->settings->jomsocial_integration == 1) {
		$jspath = JPATH_ROOT.DS.'components'.DS.'com_community';
		include_once($jspath.DS.'libraries'.DS.'core.php');

		// Get CUser object
		$user =& CFactory::getUser($userid);
		$avatarUrl = $user->getThumbAvatar();

		echo '<tr><td>'. JText::_( 'Logo' ).'</td><td><img src="'. $avatarUrl .'"/></td></tr>';
    }
    elseif($this->settings->cb_integration == 1){
    	$user =& JFactory::getUser();
    	$userid = $user->get('id');
    	$db =& JFactory::getDBO();
    	$db-> setQuery("SELECT avatar FROM #__comprofiler WHERE user_id = $userid AND avatarapproved = '1'");
        $avatar = $db->loadResult();
        if (!empty($avatar)) {
        	$link = JRoute::_("index.php?option=com_comprofiler&task=userProfile&user=$userid");
        	$img = JURI::base()."images/comprofiler/$avatar";
        	echo '<tr><td>'. JText::_( 'Logo' ).'</td><td><a href="'.$link.'"><img src="'.$img.'" alt="" title="" style=""></a></td></tr>';
		}
    }
    else{
?>
<tr>
<td><?php echo JText::_( 'Logo' ); ?></td><td> <input type="file" name="logo"/></td>
</tr>
<?php
	}
?>

<tr>
<td valign="top"><?php echo JText::_( 'About' ); ?></td><td><textarea name="description" cols="40" rows="10"><?php echo $this->profile->description; ?></textarea></td>
</tr>
<tr>
<td valign="top">&nbsp;</td><td><input type="submit" value="Save Profile"/></td>
</tr>
</table>

</div>
</form>
