<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

$csspath=JUri::root()."/components/$option/css/default.css";
$document=JFactory::getDocument();
$document->addStyleSheet($csspath);

JHTML::_('behavior.calendar');
$firstdate=date("Y-m");
?>
<div class="componentheading"><?php echo JText::_('TRANSACTION');?></div>
<div>
<form name="adminForm" action="<?php echo JRoute::_("index.php",false);?>" method="post">
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="stage">
<tr>
<td colspan="4"><?php echo JText::_('START_END_DATE');?></td>
</tr>
<tr>
<td width="15%"><?php echo JText::_('START_DATE');?></td><td width="30%"><?php echo JHTML::_('calendar', $this->startdate, 'startdate', 'startdate', '%Y-%m-%d', array('class'=>'inputboxw inputbox', 'size'=>'25',  'maxlength'=>'19')); ?></td>
<td width="15%"><?php echo JText::_('END_DATE');?></td><td width="30%"><?php echo JHTML::_('calendar', $this->enddate, 'enddate', 'enddate', '%Y-%m-%d', array('class'=>'inputboxw inputbox', 'size'=>'25',  'maxlength'=>'19')); ?></td>
<td> <input type="submit" value="Refresh" class="btn-action button"/>
</tr>
</table>
<input type="hidden" name="option" value="<?php echo $option; ?>"/>
<input type="hidden" name="view" value="transaction"/>

</form>
</div>
<br/>
<div>
<table width="100%" cellpadding="5" cellspacing="0" border="1" class="bill">
<tr>
<th width="5%"><?php echo JText::_('SN');?></th>
<th width="15%"><?php echo JText::_('AMOUNT');?></th>
<th width="15%"><?php echo JText::_('TRANSACTION');?></th>
<th ><?php echo JText::_('DESCRIPTION');?></th>
<th width="15%"><?php echo JText::_('DATE');?></th>
</tr>
<?php
if(count($this->transactions)>0)
{
	$i=1;
	foreach($this->transactions as $t)
	{

	?>
	<tr>
	<td><?php echo $i; ?></td>
	<td><?php echo $t->type==0?"-":"+"; ?><?php echo $t->currency." ".$t->amount; ?></td>
	<td><?php echo $t->etransactionid; ?></td>
	<td><?php echo $t->description; ?></td>
		<td><?php echo date("D d M, Y",strtotime($t->tdate)); ?></td>
	</tr>
	<?php
	$i++;
	}
}
else
{
	?>
	<tr>
	<td colspan="4"><?php echo JText::_('NO_TRANSC_RECORDED_YET');?></td>
	</tr>
	<?php

}
?>
</table>

</div>
<div class="page"><?php echo $this->pagenav->getPagesLinks(); ?></div>