<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$document =& JFactory::getDocument();
$document->addStyleSheet(JUri::root()."/components/com_joomlistings/css/default.css");
$basepath = JPATH_ROOT.DS."images".DS."ads";
$baseurl = JUri::root()."images/ads";
?>
<div class="componentheading"><?php echo JText::_('MY_WISHLIST');?></div>

<div>
<?php
if(count($this->wishlists)>0)
{
	foreach($this->wishlists as $l)
	{
		$detailink = JRoute::_("index.php?option=com_joomlistings&c=ad&task=view&adid=$l->id");
		$wishlistlink=JRoute::_("index.php?option=com_joomlistings&c=ad&task=rw&wid=$l->wid");
	?>
	<table width="100%" border="0" cellpadding="5" cellspacing="0" class="adtable">
	<tr>
	<td class="img2" rowspan="2" width="15%" valign="top">
	<?php
		if(file_exists($basepath.DS.$l->userid.DS.$l->image."_sthm.jpg")){
			$img_src = $baseurl."/".$l->userid."/".$l->image."_sthm.jpg"; 
		}else{
			$img_src = JURI::root()."/components/com_joomlistings/images/noimage_sthm.jpg";
		}
	?>
	<a href="<?php echo $detailink; ?>"> <img src="<?php echo $img_src;?>" /></a>
	</td>

	<td class="adtitle" ><a href="<?php echo $detailink; ?>"><?php echo $l->title; ?></a>
	</td>

	<td width="25%">
	<strong><?php echo JText::_('PRICE');?>:</strong> <?php echo $l->currency; ?> <?php echo $l->price; ?>
	</td>
	<td rowspan="2" width="15%" style="text-align:center">
	<a class="button" href="<?php echo $detailink; ?>"><?php echo JText::_('DETAIL');?></a><br/><br/>
	<a class="button" href="<?php echo $wishlistlink; ?>"><?php echo JText::_('REMOVE');?></a>
	</td>
	</tr>
	<tr>
	<td valign="top"><?php echo JLHelper::truncate($l->description,300); ?>
	</td>
	<td valign="top">
	<strong><?php echo JText::_('POSTED');?>:</strong> <?php echo date("D, d M, Y",strtotime($l->postdate)); ?>
	</td>
	</tr>
	</table>
	<?php
	}
}
else
{
	echo JText::_("You have not added any items to your wishlists");
}
?>
</div>
<div class="pages">
<?php echo $this->pagenav->getPagesLinks(); ?>
</div>