<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.html.pane');
jimport('joomla.application.module.helper');




class HTML_joomlistings
{
	function leftmenu($module,$option)
	{
		global $mainframe;

		$uri 	=JURI::base();
		$css=$uri."components/".$option."/styles/default.css";
		$css2=$uri."components/".$option."/styles/menu.css";
		$document =& JFactory::getDocument();
		$document->addStylesheet($css);
		$document->addStylesheet($css2);
		$jspath2=$uri."components/".$option."/js/jquery-min.js";
		$jspath=$uri."components/".$option."/js/ddaccordion.js";
		$document->addScript($jspath);
		$document->addScript($jspath2);
		$document->addScriptDeclaration ( 'jQuery.noConflict();' );
		?>
<script>
ddaccordion.init({
	headerclass: "headerbar", //Shared CSS class name of headers group
	contentclass: "submenu", //Shared CSS class name of contents group
	revealtype: "click", //Reveal content when user clicks or onmouseover the header? Valid value: "click", "clickgo", or "mouseover"
	mouseoverdelay: 200, //if revealtype="mouseover", set delay in milliseconds before header expands onMouseover
	collapseprev: true, //Collapse previous content (so only one open at any time)? true/false
	defaultexpanded: [0], //index of content(s) open by default [index1, index2, etc] [] denotes no content
	onemustopen: true, //Specify whether at least one header should be open always (so never all headers closed)
	animatedefault: false, //Should contents open by default be animated into view?
	persiststate: true, //persist state of opened contents within browser session?
	toggleclass: ["", "selected"], //Two CSS classes to be applied to the header when it's collapsed and expanded, respectively ["class1", "class2"]
	togglehtml: ["", "", ""], //Additional HTML added to the header when it's collapsed and expanded, respectively  ["position", "html1", "html2"] (see docs)
	animatespeed: "normal", //speed of animation: integer in milliseconds (ie: 200), or keywords "fast", "normal", or "slow"
	oninit:function(headers, expandedindices){ //custom code to run when headers have initalized
		//do nothing
	},
	onopenclose:function(header, index, state, isuseractivated){ //custom code to run whenever a header is opened or closed
		//do nothing
	}
})

window.addEvent('domready',function(){

	$('install').addEvent('click',function(e){

		var e=new Event(e);
		if(!confirm('Are you sure you want to install sample data'))
		{
			e.stop();
			}
		});

	$('remove').addEvent('click',function(e){

		var e=new Event(e);
		if(!confirm('Are you sure you want to remove sample data'))
		{
			e.stop();
			}
		});
});
</script>

<div class="urbangreymenu">
<div style="margin-bottom:10px;">
<img src="<?php echo JUri::base();?>components/<?php echo $option;?>/images/jllogo.png"/>
</div>
<?php	$xlink = 'index.php?option='.$option.'&module=settings';
			$xlink2 = 'index.php?option='.$option.'&module=oneclick';
			$xlink3 = 'index.php?option='.$option.'&module=oneclick&task=clean';
		?>
		<h3 class="headerbar"><a href="#">Settings</a></h3>
			<ul class="submenu">
				 <li><a href="<?php echo $xlink; ?>">General Settings</a> </li>
   <li><a href="<?php echo $xlink2; ?>" id="install">Install Sample Data</a> </li>
    <li><a href="<?php echo $xlink3; ?>" id="remove">Remove Sample Data</a> </li>
			</ul>
		<?php




			$xlink = 'index.php?option='.$option.'&module=sections';

		$link = 'index.php?option='.$option.'&module=categories';

		$link2 = 'index.php?option='.$option.'&module=field';

		$link4 = 'index.php?option='.$option.'&module=option';


		?>
		<h3 class="headerbar"><a href=""#">Categories</a></h3>
			<ul class="submenu">
				<li><a href="<?php echo $xlink?>">Sections </a></li>
  <li><a href="<?php echo $link?>">Categories </a></li>
  <li><a href="<?php echo $link2?>">Extra Fields</a></li>

  <li><a href="<?php echo $link4?>">Options</a></li>
  		</ul>

		<?php
		$link = 'index.php?option='.$option.'&module=types';
		$link2 = 'index.php?option='.$option.'&module=listings';
		$link3 = 'index.php?option='.$option.'&module=reasons';
		$link4 = 'index.php?option='.$option.'&module=reports';
		?>
		<h3 class="headerbar">Listings</h3>
			<ul class="submenu">
				 <li><a href="<?php echo $link;?>">Listing Types</a></li>
				 <li><a href="<?php echo $link2;?>">Listings</a></li>
				 <li><a href="<?php echo $link3;?>">Listings Report Reason</a></li>
				 <li><a href="<?php echo $link4;?>">Listings Reports</a></li>
			</ul>

		<?php
		$link = 'index.php?option='.$option.'&module=package';
		$link2 = 'index.php?option='.$option.'&module=userpackage';

		?>
		<h3 class="headerbar"><a href="#">Packages</a></h3>
			<ul class="submenu">
			<li><a href="<?php echo $link?>">List Packages</a></li>
			<li><a href="<?php echo $link2?>">User Packages</a></li>

			</ul>
			<?php
		$link = 'index.php?option='.$option.'&module=plugins';
		$link3 = 'index.php?option='.$option.'&module=plugins&task=subscriber';
		$link1 = 'index.php?option='.$option.'&module=transactions';
		$link2 = 'index.php?option='.$option.'&module=currencies';
		?>
			<h3 class="headerbar"><a href="#">Payment</a></h3>
			<ul class="submenu">
			 <li><a href="<?php echo $link?>">Payment Plugins</a></li>
			 <li><a href="<?php echo $link3?>">Subscribers</a></li>

   <li><a href="<?php echo $link1?>">Transactions</a></li>
    <li><a href="<?php echo $link2?>">Currencies</a></li>
			</ul>

			<?php
		$link = 'index.php?option='.$option.'&module=zone';
			$link2 = 'index.php?option='.$option.'&module=googleads';

		?>
			<h3 class="headerbar"><a href="#">Ads Integration</a></h3>
			<ul class="submenu">
			<li><a href="<?php echo $link?>">Predefined Zones</a></li>

  <li><a href="<?php echo $link2?>">Ads</a></li>

			</ul>
			<?php
			$link = 'index.php?option='.$option.'&module=state';
			$linkcountries = 'index.php?option='.$option.'&module=countries';
			$link2 = 'index.php?option='.$option.'&module=location';
			$link3 = 'index.php?option='.$option.'&module=neighbor';
			?>
			<h3 class="headerbar"><a href="#">Regions/Locations</a></h3>
			<ul class="submenu">
				<li><a href="<?php echo $linkcountries?>">Countries</a></li>
				<li><a href="<?php echo $link?>">States</a></li>
				<li><a href="<?php echo $link2?>">Counties</a></li>
				<li><a href="<?php echo $link3?>">Neighborhood</a></li>
			</ul>
		<?php
			$link = 'index.php?option='.$option.'&module=email';
		?>

				<h3 class="headerbar"><a href="#">Templates</a></h3>
			<ul class="submenu">
			<li><a href="<?php echo $link?>">Email Templates</a></li>
			</ul>

			<?php

		$linkx = 'index.php?option='.$option.'&module=installer';
		?>
			<h3 class="headerbar"><a href="#">Installer</a></h3>
			<ul class="submenu">

			  <li><a href="<?php echo $linkx?>">Installer</a></li>

			</ul>


</div>
<?php

	}

	function panel()
	{
	?>
<?php

	}
}

