<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

	defined('_JEXEC') or die('Restricted access');
	error_reporting(E_ALL);
	JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.$option.DS.'tables');
	require_once(JPATH_ADMINISTRATOR.DS."components".DS.$option.DS."helpers".DS."tree.php");
	$task = JRequest::getVar('task', '');
	if($task == 'listcats'){
		$edit = JRequest::getVar('edit');
		$cond = "";
		$sid = JRequest::getVar('sid');
		$cCat = null;
		$cCatOpt = null;
		if($edit){
			$pid = JRequest::getVar('pid', 0);
			$cid = JRequest::getVar('cid');
			$cTable = JTable::getInstance('joomcategories', 'Table');
			$cTable->load($cid);
			$query = "SELECT * FROM #__jlcategories AS c WHERE c.section_id = $sid ORDER BY c.parent_id ASC"; // order by c.id is very important
			$db =& JFactory::getDBO();
			$db->setQuery($query);
			$categories = $db->loadObjectList();
			$tree = new pvgTree(new pvgNode(0));
			foreach($categories as $cat){
				$node = new pvgNode($cat->id, $cat->id, $cat->title);
				$tree->appendChild($cat->parent_id, $node);
			}
			$allChildrenAndGrand = $tree->getAllChildAndGrand($cid);
			$tree = null;
			$ids = array($cid);
			foreach($allChildrenAndGrand as $node){
				$ids[] = $node->getId();
			}
			$cond = " AND id NOT IN (". implode(', ', $ids).")";
			$cCatOpt = '<option value="'.$cid.'">'.$cTable->title.'</option>';
		}
		$query = "SELECT * FROM #__jlcategories AS c WHERE c.section_id = $sid $cond ORDER BY c.parent_id ASC"; // order by c.id is very important
		$db =& JFactory::getDBO();
		$db->setQuery($query);
		$categories = $db->loadObjectList();
		$tree = new pvgTree(new pvgNode(0));
		if($categories){
			foreach($categories as $cat){
				if($edit && $cat->id == $pid){
					$node = new pvgNode($cat->id, $cat->id, $cat->title, true);
				}else{
					$node = new pvgNode($cat->id, $cat->id, $cat->title);
				}
				$tree->appendChild($cat->parent_id, $node);
			}
			echo $tree->renderTree('parent_id', false, 'Select Category');
		}else{
			echo '<select id="parent_id" name="parent_id"><option value="0">Root</option>'.$cCatOpt.'</select>';
		}
		jexit();
	}
	else{
		require_once(JApplicationHelper::getPath('admin_html'));
		JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');
		$cid 	= JRequest::getVar('cid', array(0), 'post', 'array');
		JArrayHelper::toInteger($cid, array(0));
		$module=JRequest::getVar('module','cpanel');
		HTML_joomlistings::leftmenu($module,$option);
		$modulefile=JPATH_ADMINISTRATOR.DS."components".DS.$option.DS."modules".DS.$module.".module.php";
		$moduleviewfile=JPATH_ADMINISTRATOR.DS."components".DS.$option.DS."modules".DS.$module.".module.html.php";
		require_once(JPATH_ADMINISTRATOR.DS."components".DS.$option.DS."helpers".DS."library.php");
		
		if(file_exists($moduleviewfile)){
			require_once($moduleviewfile);
		}
		else{
			echo "<h2>Module View Not Found</h2>";
		}
		if(file_exists($modulefile)){
			require_once($modulefile);
		}
		else{
			echo "<h2>Module Not Found</h2>";
		}
	}

?>