<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");

switch($task)
{
	case 'add':
		edit(false,$option);
		break;
	case 'edit':
		edit(true,$option);
		break;
	case 'apply':
	case 'save':
		save($option,$task);
		break;
	case 'publish':
		publish($task,$option);
		break;
	case 'unpublish':
		publish($task,$option);
		break;
	case 'remove':
		remove($option);
		break;
	case 'orderup' :
		order(-1,$option);
		break;
	case 'orderdown' :
		order(1,$option);
		break;
	case 'saveorder':
		saveOrder( $cid,$option );
		break;
	default:
		listAll($option,$module);
		break;
}

function edit($edit,$option)
{
	global $mainframe;

	$db=JFactory::getDBO();

	$cid			= JRequest::getVar( 'cid', array(0), '', 'array' );
	JArrayHelper::toInteger($cid, array(0));
	$id				= JRequest::getVar( 'id', $cid[0], '', 'int' );
	$option			= JRequest::getCmd( 'option' );

	$row=&JTable::getInstance('package','Table');

	if($edit)
	{
		$row->load($id);
	}
	$lists=array();
	$query="SELECT title as text, shortcode as value from #__jlcurrencies where published='1' order by title";
	$db->setQuery($query);
	$currencies=$db->loadObjectList();
	if($edit){
		$query = "SELECT category_id FROM #__jlcategory_package WHERE package_id = ". $id;
		$db->setQuery($query);
		$currentPackageCategory = $db->loadResultArray();
	}
	$query = "SELECT * FROM #__jlcategories as c ORDER BY c.parent_id ASC"; // order by c.id is very important
	$db->setQuery($query);
	$categories = $db->loadObjectList();
	$tree = new pvgTree(new pvgNode(0));
	foreach($categories as $cat){
		if($edit && in_array($cat->id, $currentPackageCategory) ){
			$node = new pvgNode($cat->id, $cat->id, $cat->title, true);
		}else{
			$node = new pvgNode($cat->id, $cat->id, $cat->title);
		}
		$tree->appendChild($cat->parent_id, $node);
	}
	$lists['categories'] = $tree->renderTree('category_id', true);
	$lists['currency'] = JHTML::_('select.genericlist',   $currencies, 'currency', 'class="inputbox" size="1"', 'value', 'text', $row->currency );
	$lists['published']=JHTML::_('select.booleanlist','published','class="inputbox"',$row->published);
	$lists['isfree']=JHTML::_('select.booleanlist','isfree','class="inputbox"',$row->isfree);
	$lists['video']=JHTML::_('select.booleanlist','enable_video','class="inputbox"',$row->enable_video);
	$lists['showcontact']=JHTML::_('select.booleanlist','showcontact','class="inputbox"',$row->showcontact);
	$lists['enablesubscription']=JHTML::_('select.booleanlist','enablesubscription','class="inputbox"',$row->enablesubscription);
	$lists['enable_upload_video_doc']=JHTML::_('select.booleanlist','enable_upload_video_doc','class="inputbox"',$row->enable_upload_video_doc);
	HTML_Packages::editPackage($row,$lists,$option);
}

function listAll($option,$module)
{
	global $mainframe;
	$limit=JRequest::getVar('limit',$mainframe->getCfg('list_limit'));
	$limitstart=JRequest::getVar('limitstart',0);

	$filter_order		= $mainframe->getUserStateFromRequest( $option.$module.'filter_order', 		'filter_order', 	'a.ordering',	'cmd' );
	$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.$module.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );
	$db=& JFactory::getDBO();
	$query="SELECT count(*) from #__jlpackages";
	$db->setQuery($query);
	$total=$db->loadResult();
	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', a.ordering';
	$query ="SELECT a.* from #__jlpackages as a ".$orderby;

	$db->setQuery($query,$limitstart,$limit);
	$rows=$db->loadObjectList();
	if($db->getErrorNum())
	{
		echo $db->stderr();
		return false;
	}
	jimport('joomla.html.pagination');
	$lists=array();
	$lists['order_Dir']	= $filter_order_Dir;
	$lists['order']		= $filter_order;
	$pagenav=new JPagination($total,$limitstart,$limit);
	HTML_Packages::listPackages($rows,$pagenav,$lists,$option);

}

function publish($task,$option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	if($task=='publish')
	{
		$publish='1';
		$msg="Package(s) Published Successfully";
	}
	else
	{
		$publish='0';
		$msg="Package(s) Unpublished Successfully";
	}
	$catTable=& JTable::getInstance('package','Table');
	JRequest::setVar( 'hidemainmenu', 1 );
	$editor=&JFactory::getEditor();
	$catTable->publish($cid,$publish);
	$mainframe->redirect("index.php?option=$option&module=package",$msg);

}

function save($option, $task)
{
	global $mainframe;
	$row = JTable::getInstance('package','Table');
	$post = JRequest::get('post');
	if(!$row->bind($post))
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}
	if (!$row->id) {
		$row->ordering = $row->getNextOrder( );
	}
	if(!$row->store())
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}

	$db =& JFactory::getDBO();
	$sql = "UPDATE #__jlusers_packages SET adsnumber = ". $post['adsnumber'] . " WHERE packageid = ". $row->id;
	$db->setQuery($sql);
	$db->query();
	
	$query = "DELETE FROM #__jlcategory_package WHERE package_id = ". $row->id;
	$db->setQuery($query);
	$db->query();
	
	$values = array();
	if($post['category_id'][0] == ''){
		$query = "SELECT * FROM #__jlcategories as c ORDER BY c.parent_id ASC";
		$db->setQuery($query);
		$cats = $db->loadObjectList();
		foreach($cats as $c){
			$values[] ="('', '".$c->id."','". $row->id."')";
		}
	}
	else{
		foreach($post['category_id'] as $cid){
			$values[] ="('', '".$cid."','". $row->id."')";
		}
	}
	$values = implode(",", $values);
	$query = "INSERT INTO #__jlcategory_package(id, category_id, package_id) VALUES ".$values;
	$db->setQuery($query);
	$db->query();
	
	switch($task)
	{
		case 'apply':
			$msg="Changes to Package Saved";
			$link="index.php?option=$option&module=package&task=edit&cid[]=".$row->id;
			break;
		case 'save':
			$msg="Package Successfully Saved";
			$link="index.php?option=$option&module=package";
			break;
	}
	$mainframe->redirect($link,JText::_($msg));
}

function remove($option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	$db=JFactory::getDBO();
	if(count($cid))
	{
		$cids=implode(',',$cid);
		$query="DELETE from #__jlpackages where id in ($cids)";
		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}
		$mainframe->redirect("index.php?option=com_joomlistings&module=package",JText::_('Package(s) deleted successfully'));
	}
}

function order($direction)
{
	global $mainframe;


	// Initialize variables
	$db		= & JFactory::getDBO();

	$cid	= JRequest::getVar( 'cid', array(), 'post', 'array' );

	if (isset( $cid[0] ))
	{
		$row = & JTable::getInstance('package','Table');
		$row->load( (int) $cid[0] );
		$row->move($direction, '' );
	}

	$mainframe->redirect("index.php?option=com_joomlistings&module=package");
}

function saveOrder( &$cid )
{
	global $mainframe;


	// Initialize variables
	$db			=& JFactory::getDBO();
	$total		= count( $cid );
	$order 		= JRequest::getVar( 'order', array(0), 'post', 'array' );
	JArrayHelper::toInteger($order, array(0));

	$row =& JTable::getInstance('package', 'Table');
	$groupings = array();

	// update ordering values
	for( $i=0; $i < $total; $i++ ) {
		$row->load( (int) $cid[$i] );
		// track categories

		if ($row->ordering != $order[$i]) {
			$row->ordering = $order[$i];
			if (!$row->store()) {
				JError::raiseError(500, $db->getErrorMsg() );
			}
		}
	}

	$msg 	= 'New ordering saved';
	$mainframe->redirect( "index.php?option=com_joomlistings&module=package", $msg );
}

?>