<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");

/*-----------PAYMENTS---------------------------*/

class HTML_Payments
{
	function listPlugins($rows,$pageNav,$lists,$option)
	{
			$ordering =true;

		?>
        <form action="index.php?option=com_payments" method="post" name="adminForm">
       	<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'Num' ); ?>
					</th>
					<th width="10" class="title">
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th class="title">
					<?php echo JHTML::_('grid.sort',   'Title', 'title', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
                    <th class="title" width="10%">
						<?php echo JHTML::_('grid.sort',   'Short Name', 'shortname', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="5%" class="title" nowrap="nowrap">
						<?php echo JHTML::_('grid.sort',   'Published', 'published', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th nowrap="nowrap" width="8%">
						<?php echo JHTML::_('grid.sort',   'Order by', 'ordering', @$lists['order_Dir'], @$lists['order'] ); ?>
						<?php echo JHTML::_('grid.order',  $rows ); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="6">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
            <?php
			$k = 0;
				if(count($rows)>0)
				{
					for ($i=0, $n=count($rows); $i < $n; $i++)
					{

					$row = $rows[$i];
					$checked 	= JHTML::_('grid.checkedout',   $row, $i );
						$published 	= JHTML::_('grid.published', $row, $i );
						$link 	= JRoute::_( 'index.php?option=com_payments&task=edit&cid[]='. $row->id );
						?>
                        <tr class="<?php echo "row$k"; ?>">
                        <td><?php echo $pageNav->getRowOffset( $i ); ?>
                        </td>
                        <td>
                        		<?php echo $checked; ?>
                        </td>
                        <td>
                        	<a href="<?php echo $link?>"><?php echo $row->title;?></a>
                        </td>
                          <td>
                        	<?php echo $row->shortname;?>
                        </td>
                        	<td align="center">
						<?php echo $published;?>
					</td>
                    <td class="order">
						<span><?php echo $pageNav->orderUpIcon( $i, true, 'orderup', 'Move Up', true ); ?></span>
						<span><?php echo $pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true); ?></span>
										<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
					</td>
                       </tr>

                        <?php
					}
				}
			?>
            </tbody>
            </table>
           <input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
        </form>
        <?php
	}

	function editPlugin(&$row,&$lists,&$option)
	{
	JRequest::setVar( 'hidemainmenu', 1 );
	$document =& JFactory::getDocument();
$document->setTitle(JText::_(($row->id?'Edit':'New').' Plugin'));
JToolBarHelper::title(JText::_(($row->id?'Edit':'New').' Plugin'),'generic.png');

	?>
				<form action="index.php" method="post" name="adminForm">
                	<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'Name' ); ?>:						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="title" id="title" size="60" maxlength="255" value="<?php echo $row->title; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'Endpoint' ); ?>:						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="endpoint" id="endpoint" size="60" maxlength="255" value="<?php echo $row->endpoint; ?>" />
					</td>
				</tr>
                <tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'Username' ); ?>:						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="username" id="username" size="60" maxlength="255" value="<?php echo $row->username; ?>" />
					</td>
				</tr>
                <tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'Password' ); ?>:						</label>
					</td>

					<td >
						<input class="inputbox" type="text" name="pwd" id="pwd" size="60" maxlength="255" value="<?php echo $row->pwd; ?>" />
					</td>
				</tr>

                <tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'Signature' ); ?>:						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="signature" id="signature" size="60" maxlength="255" value="<?php echo $row->signature; ?>" />
					</td>
				</tr>
                <tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'Short Name' ); ?>:						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="shortname" id="shortname" size="60" maxlength="255" value="<?php echo $row->shortname; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<?php echo JText::_( 'Published' ); ?>:
					</td>
					<td>
						<?php echo $lists['published']; ?>
					</td>
				</tr>
				<?php
				if ($row->id) {
					?>
					<tr>
						<td class="key">
							<label>
								<?php echo JText::_( 'ID' ); ?>:
							</label>
						</td>
						<td>
							<strong><?php echo $row->id;?></strong>
						</td>
					</tr>
					<?php
				}
				?>
				</table>
			</fieldset>
		</div>
        <input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="task" value="" />
		<?php echo JHTML::_( 'form.token' ); ?>
        </form>
    <?php
	}
}

?>