<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
switch($task){
	case 'publish':
		publishReport($task, $option);
		break;
	case 'unpublish':
		publishReport($task, $option);
		break;
	case 'remove':
		removeReport($option);
		break;
	default:
		listReports($option, $module);
}

function listReports($option, $module)
{
	global $mainframe;
	JToolBarHelper::title(JText::_('Listings Reports'), 'categories.png');
	$limit = JRequest::getVar('limit',$mainframe->getCfg('list_limit'));
	$limitstart = JRequest::getVar('limitstart',0);
	$filter_order		= $mainframe->getUserStateFromRequest( $option.$module.'filter_order', 		'filter_order', 	'l.ordering',	'cmd' );
	$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.$module.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );
	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', l.ordering';
	$db=& JFactory::getDBO();
	$query="SELECT count(*) from #__jlreports";
	$db->setQuery($query);
	$total = $db->loadResult();
	$query ="SELECT r.*,l.id AS lid, l.title, l.ordering, c.title AS category, s.title as reason FROM #__jlreports AS r INNER JOIN #__joomlistings as l ON r.ad_id = l.id INNER JOIN #__jlcategories AS c ON l.catid = c.id INNER JOIN #__jlreport_reasons as s ON r.reason_id = s.id". $orderby;
	$db->setQuery($query,$limitstart,$limit);
	$rows = $db->loadObjectList();
	if($db->getErrorNum())
	{
		echo $db->stderr();
		return false;
	}
	jimport('joomla.html.pagination');
	$pagenav=new JPagination($total, $limitstart, $limit);
	$lists = array();
	$lists['order_Dir']	= $filter_order_Dir;
	$lists['order']		= $filter_order;
	HTML_Reports::listReports($rows, $pagenav, $lists, $option);

}

function publishReport($task, $option)
{
	global $mainframe;
	$cid = JRequest::getVar('cid',array(),'','array');
	if($task == 'publish')
	{
		$publish='1';
		$msg = "Reason Published Successfully";
	}
	else
	{
		$publish='0';
		$msg="Reason Unpublished Successfully";
	}
	$rTable =& JTable::getInstance('report','Table');
	JRequest::setVar( 'hidemainmenu', 1 );
	$rTable->publish($cid, $publish);
	$mainframe->redirect("index.php?option=$option&module=reports",$msg);

}

function removeReport($option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	$db=JFactory::getDBO();
	if(count($cid))
	{
		$cids=implode(',',$cid);
		$query="DELETE from #__jlreports where id in ($cids)";
		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}
		$mainframe->redirect("index.php?option=com_joomlistings&module=reports", JText::_('Report deleted successfully'));
	}
}

?>