<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");

class HTML_Settings
{
	function showSettings($rows,$option,$module)
	{
		JRequest::setVar( 'hidemainmenu', 1 );
		$document =& JFactory::getDocument();
		$document->setTitle(JText::_('General Settings'));
		$css=JUri::base()."components/$option/styles/default.css";
	$css2=JUri::base()."components/$option/styles/mooRainbow.css";
	$jspath=JUri::base()."components/$option/js/mooRainbow.js";
	$imgx=JUri::base()."components/$option/images/";

		JToolBarHelper::title(JText::_('General Settings'),'generic.png');
		$pane = &JPane::getInstance('tabs', array('allowAllClose' => true,'useCookies'=>true));
		
		?>
		<link href="<?php echo $css?>" type="text/css" rel="stylesheet" />
		<link href="<?php echo $css2?>" type="text/css" rel="stylesheet" />
		<script src="<?php echo $jspath;?>"></script>
		<script>
		<!--
		Element.extend({
			getSiblings: function() {
				return this.getParent().getChildren().remove(this);
			}
		});
	
		window.addEvent('domready',function(){
			$$('.rainbowbtn').each(function(item){

		 item.color=new MooRainbow(item.id, {
					startColor: [58, 142, 246],
					wheel: true,		
					id:item.id+'x',			
					onChange: function(color) {
					
					item.getSiblings()[0].value = color.hex;
					},
					onComplete: function(color) {
					
						item.getSiblings()[0].value = color.hex;
					},
									
					imgPath: '<?php echo $imgx;?>'
						
				});
							
				
				});
			});
		-->
				
		</script>
<form name="adminForm" id="adminForm" action="index.php" method="post">
<input type="hidden" name="option" id="option" value="<?php echo $option; ?>" />
<input type="hidden" name="module" id="module" value="<?php echo $module; ?>" />

  <input type="hidden" name="task" value="" />
 <fieldset class="adminform">
  <legend>Settings</legend>
  
  <?php 
  if(count($rows)>0)
  {
  	
  		echo $pane->startPane("settings-pane");
  		foreach($rows as $rx)
  		{
			echo $pane->startPanel($rx->settings_group, $rx->settings_group.'panel' );
			?>
			<table width="100%" cellpadding="5" class="admintable">
			<?php
			if(count($rx->settings)>0){
			  	foreach($rx->settings as $r){
			?>
			  	<tr>
			      <td   valign="top" class="keyx"><?php echo $r->description ?></td>
			      <td  >
			      <?php 
			      	switch($r->type)
			      	{
			      		case 'boolean':
			      			?>
			      			<input type="radio" name="Setting[<?php echo $r->id ?>]" value="1" <?php if($r->configvalue=='1') echo "checked ='checked'";?>/> Yes 
			      			<input type="radio" name="Setting[<?php echo $r->id ?>]" value="0" <?php if($r->configvalue=='0') echo "checked ='checked'";?>/> No 
			      			<?php 
			      			break;
			      		case 'twitter':
			      			?>
			      			<select name="Setting[<?php echo $r->id ?>]">
			      				<option value="text-link" <?php if($r->configvalue=='text-link') echo "selected ='selected'";?>>Text - Link</option>
			      				<option value="link-text" <?php if($r->configvalue=='link-text') echo "selected ='selected'";?>>Link - Text</option>
			      			</select>
			      			<?php 
			      			break;
			      		default:
			      			if($r->settings_group=='Colors')
			      			{
			      				$img=JUri::base()."components/$option/images/rainbow.png";
			      			?>
			      			<label>			      			
			      				<input name="Setting[<?php echo $r->id ?>]" type="text" class="inputbox" id="<?php echo $r->configkey ?>" value="<?php echo $r->configvalue?>" size="10"/>
			      				<img  src="<?php echo $img;?>" id="img<?php echo $r->configkey ?>" alt="[r]" class="rainbowbtn" width="16" height="16" />
			      			</label>
			      			<?php	
			      			}
			      			else
			      			{
			      			?>
			      			 <input name="Setting[<?php echo $r->id ?>]" type="text" class="inputbox" id="<?php echo $r->configkey ?>" value="<?php echo $r->configvalue?>" size="45"/>
			      			<?php
			      			} 
			      			break;
			      	}
			      ?>
			     </td>
			    </tr>
			  		<?php
			  	}
			  }
			   ?>
			    
			  </table>
						<?php 
			echo $pane->endPanel();
  		}
  		echo $pane->endPane();
  }
  ?>
 
  </fieldset>

</form>
<div>

</div>

		<?php

	}
}
?>