<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");

switch($task)
{
	case 'save':
	case 'apply':
		saveSettings($option,$module,$task);
		break;
	case 'cancel':
		$mainframe->redirect("index.php?option=$option");
		break;
	default:
		showSettings($option,$module);
		break;
}

function showSettings($option,$module)
{

	$db=JFactory::getDBO();
	$query="SELECT distinct settings_group from #__jlsettings";
	$db->setQuery($query);
	$groups=$db->loadObjectList();
	
	if(count($groups)>0)
	{
		foreach($groups as &$grp)
		{
			$query="SELECT * from #__jlsettings where settings_group='$grp->settings_group' order by ordering";
			$db->setQuery($query);
			$rows=$db->loadObjectList();
			$grp->settings=$rows;
			
		}
	}
	
	HTML_Settings::showSettings($groups,$option,$module);

}

function saveSettings($option,$module,$task)
{
	global $mainframe;
	$post=JRequest::getVar('Setting',array());

	$table=JTable::getInstance('setting','Table');
	if($table->store($post))
	{

		$msg="Settings Successfully Saved";
		$link="index.php?option=$option&module=settings";

	}
	else
	{
		$msg="Settings could not be Saved";
		$link="index.php?option=$option&module=settings";
	}
	$mainframe->redirect($link,JText::_($msg));

}

?>