<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");
	switch($task)
		{
			case 'add':
				edit(false,$option);
				break;
			case 'edit':
				edit(true,$option);
				break;
			case 'publish':
				publish($task,$option);
				break;
			case 'unpublish':
				publish($task,$option);
				break;
			case 'apply':
			case 'save':
				save($option,$task);
				break;
			case 'remove':
				remove($option);
				break;

			default:
				listUserPackages($option,$module);
				break;

		}


		/*-------------------CATEGORIES FUNCTIONS--------------------------------------*/
/**
 * Edit
 *
 * @param boolean $edit
 * @param string $option
 */
function edit($edit,$option)
{
	global $mainframe;

	$db=JFactory::getDBO();

	$cid			= JRequest::getVar( 'cid', array(0), '', 'array' );
	JArrayHelper::toInteger($cid, array(0));
	$id				= JRequest::getVar( 'id', $cid[0], '', 'int' );
	$option			= JRequest::getCmd( 'option' );

	$row = &JTable::getInstance('userpackage','Table');


	if($edit)
	{
		$row->load($id);
	}

	$lists=array();

	$query="SELECT title as text,id as value from #__jlpackages";
	$db->setQuery( $query );
	$packages2 = $db->loadObjectList();
	$packages1[] = JHTML::_('select.option', '0', JText::_('Select Package'), 'value', 'text');
	$sections=array_merge($packages1,$packages2);

	$lists['packages'] = JHTML::_('select.genericlist',   $sections, 'packageid', 'class="inputbox" size="1"', 'value', 'text', $row->packageid );

	$lists['published']=JHTML::_('select.booleanlist','published','class="inputbox"',$row->published);
	$lists['isfree']=JHTML::_('select.booleanlist','isfree','class="inputbox"',$row->isfree);

	$lists['video']=JHTML::_('select.booleanlist','enable_video','class="inputbox"',$row->enable_video);

	HTML_Userpackages::edit($row,$lists,$option);
}
/**
 * Lists
 *
 * @param unknown_type $option
 * @param unknown_type $module
 * @return unknown
 */

function listUserPackages($option,$module)
{
	global $mainframe;
	JToolBarHelper::title(JText::_('User Packages'),'generic.png');
	$limit=JRequest::getVar('limit',$mainframe->getCfg('list_limit'));
	$limitstart=JRequest::getVar('limitstart',0);

	$filter_order		= $mainframe->getUserStateFromRequest( $option.$module.'filter_order', 		'filter_order', 	'u.id',	'cmd' );
	$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.$module.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );

	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', u.id';

	$db=& JFactory::getDBO();
	$query="SELECT count(*) from #__jlusers_packages";
	$db->setQuery($query);
	$total=$db->loadResult();


//	$query ="SELECT c.*, c.id as cid,u.username as username,p.title as package, p.clicks, p.price
//	  from #__jlusers_packages as c
//	  left join #__users as u on c.userid=u.id
//	  left join #__jlpackages as p on c.packageid=p.id
//	  ". $orderby;

	$query ="SELECT c.*, c.id as cid,u.username as username, c.published as published, " .
			"(select sum(adsused) from #__jluser_package_track as t where t.userid=c.userid and t.pid = p.id) as used, p.title, p.price, p.days,p.clicks," .
			"p.impressions, p.imagesnumber, p.priceforfeatured, p.currency, p.isfree " .
			"" .
			"
	  from #__jlusers_packages as c
	  inner join #__users as u on c.userid=u.id
	  inner join #__jlpackages as p on c.packageid=p.id" .
	  "". $orderby;

	$db->setQuery($query,$limitstart,$limit);
	//var_dump($db->getQuery());
	//die();
	$rows=$db->loadObjectList();
	if($db->getErrorNum())
	{
		echo $db->stderr();
		return false;
	}
	jimport('joomla.html.pagination');
	$pagenav=new JPagination($total,$limitstart,$limit);
	$lists=array();
	$lists['order_Dir']	= $filter_order_Dir;
	$lists['order']		= $filter_order;
	HTML_Userpackages::listUserPackages($rows,$pagenav,$lists,$option);

}
/**
 * Publishes
 *
 * @param unknown_type $task
 * @param unknown_type $option
 */
function publish($task,$option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	if($task=='publish')
	{
		$publish='1';
		$msg="User Package Published Successfully";
	}
	else
	{
		$publish='0';
		$msg="User Package Unpublished Successfully";
	}
	$catTable=& JTable::getInstance('userpackage','Table');
	JRequest::setVar( 'hidemainmenu', 1 );
	$editor=&JFactory::getEditor();
	$catTable->publish($cid,$publish);
	$mainframe->redirect("index.php?option=$option&module=userpackage",$msg);

}
/**
 * Save
 *
 * @param unknown_type $option
 * @param unknown_type $task
 */
function save($option,$task)
{
	global $mainframe;
	$row=JTable::getInstance('userpackage','Table');

	if(!$row->bind(JRequest::get('post')))
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}

	if (!$row->id) {
		//$row->ordering = $row->getNextOrder( );
	}

	if(!$row->store())
	{
		echo "<script> alert('".$row->getError()."');
		window.history.go(-1); </script>";
		exit();
	}

	switch($task)
	{
		case 'apply':
			$msg="Changes to  User Package Saved";
			$link="index.php?option=$option&module=userpackage&task=edit&cid[]=".$row->id;
			break;
		case 'save':
			$msg="User Package Successfully  Saved";
			$link="index.php?option=$option&module=userpackage";
			break;
	}

	$mainframe->redirect($link,JText::_($msg));
}
/**
 * Remove
 *
 * @param unknown_type $option
 */
function remove($option)
{
	global $mainframe;
	$cid=JRequest::getVar('cid',array(),'','array');
	$db=JFactory::getDBO();
	if(count($cid))
	{
		$cids=implode(',',$cid);
		$query="DELETE from #__jlusers_packages where id in ($cids)";
		$db->setQuery($query);
		if(!$db->query())
		{
			echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
		}
		$mainframe->redirect("index.php?option=$option&module=userpackage",JText::_('User Package deleted successfully'));
	}
}
/**
 * Order
 *
 * @param unknown_type $direction
 */


/*----------------------------------------------*/
?>
