<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.5
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");


class PaymentPluginPaypal extends PaymentPlugin
{


	function isValidIPN()
	{
		global $mainframe,$option;
		JPluginHelper::importPlugin('joomlistings');
		$params=new JParameter($this->params);
		$url = $params->get('endpoint');
		$postdata = '';
		$postdata_log = '';
		$postdata .= 'cmd=_notify-validate';
		$postdata_log = 'cmd=_notify-validate';
		$post = JRequest::get('post',array());
		foreach($post as $key => $value) {
			$value = urldecode($value);
			$postdata .= "&$key=$value";
			$postdata_log .="\r\n&$key=$value";
		}
		fopen(JPATH_ROOT . DS .'logs'. DS .'log'.date("ymd").'.txt', 'a+');
		file_put_contents(JPATH_ROOT . DS .'logs' . DS .'log'.date("ymd").'.txt', "\r\nIPN:\r\n".$postdata_log, FILE_APPEND);
		$web = parse_url($url);
		if ($web['scheme'] == 'https') {
			$web['port'] = 443;
			$ssl = 'ssl://';
		} else {
			$web['port'] = 80;
			$ssl = '';
		}
		$fp = @fsockopen($ssl.$web['host'], $web['port'], $errnum, $errstr, 30);

		if (!$fp) {
			echo $errnum.': '.$errstr;
		} else {
			fputs($fp, "POST ".$web['path']." HTTP/1.1\r\n");
			fputs($fp, "Host: ".$web['host']."\r\n");
			fputs($fp, "Content-type: application/x-www-form-urlencoded\r\n");
			fputs($fp, "Content-length: ".strlen($postdata)."\r\n");
			fputs($fp, "Connection: close\r\n\r\n");
			fputs($fp, $postdata . "\r\n\r\n");

			while(!feof($fp)) {
				$info[] = @fgets($fp, 1024);
			}
			fclose($fp);
			$info = implode(',', $info);
			if (eregi('VERIFIED', $info)) {
				return true;
			} else {
				$error=new stdClass();
				$error->title="IPN Intrusion";
				$error->description="IPN Intrusion";
				$userid=JRequest::getVar('uid',0);
				$user=&JFactory::getUser($userid);
				$mainframe->triggerEvent('onError', array($error, $user));
				return false;
			}
		}
		return true;
	}

	function input()
	{
		global $option;
		?>
<img
	src="<?php echo JUri::base()."administrator/components/$option/plugins/payment/paypal/logo.jpg"?>" />
		<?php
	}

	function preprocess($data)
	{
		global $option;
		$params		=	new JParameter($this->params);
		$returnurl	=	$this->returnurl;
		$notifyurl	=	$this->notifyurl;
		$cancelurl	=	$this->cancelurl;
		$custom		=	$this->custom;
		fopen(JPATH_ROOT . DS .'logs'. DS .'log'.date("ymd").'.txt', 'a+');
		file_put_contents(JPATH_ROOT . DS .'logs' . DS .'log'.date("ymd").'.txt', "\r\nCustom : ".$custom, FILE_APPEND);
		$custom = base64_decode($custom);
		$custom = explode("__", $custom);
		?>
		<div>
			<table width="100%" cellpadding="5" cellspacing="0" border="0">
				<tr>
					<td colspan="2"><strong><?php echo JText::_('Pay with Paypal');?></strong></td>
					<td rowspan="2">
						<img src="<?php echo JUri::base()."administrator/components/$option/plugins/payment/paypal/logo.jpg"?>" />
					</td>
				</tr>
				<tr>
					<td width="15%"><?php echo JText::_('Amount');?></td>
					<td>
						<?php //echo $data['currencysymbol'];?> <?php echo $data['amount'];?>	<?php echo $data['currency'];?>
					</td>
				</tr>
			</table>
		</div>
		<table>
		  <tr>
		  	<?php if($custom[0] == 'pay'){?>
		    <td>
		    	<form name="frmPayment" action="<?php echo $params->get('endpoint');?>">
					<input type="hidden" name="cmd" value="_xclick">
					<input type="hidden" name="business" value="<?php echo $params->get('businessemail');?>">
					<input type="hidden" name="item_name" value="<?php echo $data['description'];?>">
					<input type="hidden" name="item_number" value="1">
					<input type="hidden" name="invoice" value="<?php echo $data['invoice'];?>">
					<input type="hidden" name="amount" value="<?php echo $data['amount'];?>">
					<input type="hidden" name="quantity" value="1">
					<input type="hidden" name="return" value="<?php echo $returnurl;?>">
					<input type="hidden" name="notify_url" value="<?php echo $notifyurl;?>">
					<input type="hidden" name="cancel_return" value="<?php echo $cancelurl;?>">
					<input type="hidden" name="tax" value="0" />
					<input type="hidden" name="rm" value="2" />
					<input type="hidden" name="no_note" value="1" />
					<input type="hidden" name="currency_code" value="<?php echo $data['currency'];?>">
					<input type="hidden" name="custom" value="<?php echo $this->custom?>">
					<input type="submit" value="<?php echo JText::_('CONFIRM');?>" />
				</form>
		    </td>
		    <?php }?>
		    <?php if($custom[0] == 'subscribe'){
		    	$pid = $custom[2];
		    	$pmodel = JModel::getInstance('packages', 'JoomlistingsModel');
		    	$package = $pmodel->getPackageDetail($pid);
		    	$per = $this->_calculatePeriod($package);
		    	?>
		    <td>
		    	<form action="<?php echo $params->get('endpoint');?>" method="post">
					<input type="hidden" name="cmd" value="_xclick-subscriptions">
					<input type="hidden" name="business" value="<?php echo $params->get('businessemail');?>">
					<input type="hidden" name="item_name" value="<?php echo $data['description'];?>">
					<input type="hidden" name="item_number" value="1">
					<input type="hidden" name="currency_code" value="<?php echo $data['currency'];?>">
					<input type="hidden" name="invoice" value="<?php echo $data['invoice'];?>">
					<input type="hidden" name="no_shipping" value="1">
					<input type="hidden" name="no_note" value="1">
					<input type="hidden" name="rm" value="2">
					<input type="hidden" name="return" value="<?php echo $returnurl;?>">
					<input type="hidden" name="notify_url" value="<?php echo $notifyurl;?>">
					<input type="hidden" name="a3" value="<?php echo $data['amount'];?>">
					<input type="hidden" name="p3" value="<?php echo $per['p3'];?>">
					<input type="hidden" name="t3" value="<?php echo $per['t3'];?>">
					<input type="hidden" name="src" value="1">
					<input type="hidden" name="custom" value="<?php echo $this->custom?>">
					<input type="submit" value="<?php echo JText::_('SUBSCRIBE');?>" />
				</form>
		    </td>
		    <?php }?>
		  </tr>
		</table>
		<?php
	}

	function notify()
	{
		global $mainframe,$option;
		//JPluginHelper::importPlugin('joomlistings');
		$transact = JRequest::get('post');
		if($this->isValidIPN())
		{
			$transact = JRequest::get('post');
			$custom = $transact['custom'];
			$custom = base64_decode($custom);
			$custom = explode("__", $custom);
			$user_id = JRequest::getVar('uid',0);
			if($custom[0] == 'pay'){
				$this->store_transaction($transact, $custom, $user_id);
			}
			elseif($custom[0] == 'subscribe'){
				$pid = $custom[2];
				switch ($transact['txn_type']){
					case 'subscr_signup':
						$model = JModel::getInstance('subscribe', 'JoomlistingsModel');
						//fopen(JPATH_ROOT . DS .'logs'. DS .'log'.date("ymd").'.txt', 'a+');
						//file_put_contents(JPATH_ROOT . DS .'logs' . DS .'log'.date("ymd").'.txt', "\r\nModelSubscribe:\r\n".$pid. "-". serialize($custom), FILE_APPEND);
						$model->save($user_id, $transact['subscr_id'], $pid);
						break;
					case 'subscr_payment':
						$this->store_transaction($transact, $custom, $user_id);
						break;
					case 'subscr_cancel':
						$model = JModel::getInstance('subscribe', 'JoomlistingsModel');
						$model->subscribe_cancel($transact['subscr_id'], $pid);
					default:
				}
			}else{
				return false;
			}
		}
		else
		{
			return false;
		}
		return true;
	}

	function cancel()
	{
		$this->redir=false;
		echo "<h2>You cancelled the payment. You need to restart the process</h2>";
	}

	function success()
	{
//		$this->redir=false;
//		$tx	= $this->notify();
//		return $tx;
//		echo "<h2>Thanks for the payment we will update the account as soon as we receive notification.</h2>";
	}
	
	function store_transaction($transact, $custom, $user_id){
		$row = JTable::getInstance('transaction','Table');
		$row->etransactionid	= $transact['txn_id'];
		$row->extraid			= $transact['invoice'];
		$row->description		= ($custom[0] == 'subscribe') ? $transact['item_name']." : subscribe" : $transact['item_name'];
		$row->amount			= $transact['mc_gross'];
		$row->currency			= $transact['mc_currency'];
		$row->tdate				= date("Y-m-d G:i:s", strtotime($transact['payment_date']));
		$row->etimestamp		= $transact['payment_date'];
		$row->payerid			= $transact['payer_id'];
		$row->receiverid		= $transact['receiver_id'];
		$row->userid			= $user_id;
		$this->redir			= true;
		if($row->store())
		{
			
			$model = null;
			switch ($custom[1]){
				case 'package':
					fopen(JPATH_ROOT . DS .'logs'. DS .'log'.date("ymd").'.txt', 'a+');
					file_put_contents(JPATH_ROOT . DS .'logs' . DS .'log'.date("ymd").'.txt', "\r\nPackage: ".$user_id." - ".$custom[1]." - ". $custom[2], FILE_APPEND);
					$model = JModel::getInstance('packages', 'JoomlistingsModel');
					$package = $model->getPackageDetail($custom[2]);
					$model->addPackageToUser($user_id, $package);
					break;
				case 'forpublish':
					$model = JModel::getInstance('listing', 'JoomlistingsModel');
					fopen(JPATH_ROOT . DS .'logs'. DS .'log'.date("ymd").'.txt', 'a+');
					file_put_contents(JPATH_ROOT . DS .'logs' . DS .'log'.date("ymd").'.txt', "\r\nPay for publish: ".$custom[2], FILE_APPEND);
					$model->publishAd($custom[2]);
					break;
				case 'forpublishandfeaturedandcolored':
					$afc = explode("_", $custom[2]);
					$model = JModel::getInstance('listing', 'JoomlistingsModel');
					fopen(JPATH_ROOT . DS .'logs'. DS .'log'.date("ymd").'.txt', 'a+');
					file_put_contents(JPATH_ROOT . DS .'logs' . DS .'log'.date("ymd").'.txt', "\r\nPay for publish and featured and colored: ".$afc[0], FILE_APPEND);
					$model->publishAd($afc[0]);
					$model->featureAd($afc[0], $afc[1]);
					$model->colorAd($afc[0], $afc[2]);
					break;
				case 'forpublishandfeatured':
					$afc = explode("_", $custom[2]);
					$model = JModel::getInstance('listing', 'JoomlistingsModel');
					fopen(JPATH_ROOT . DS .'logs'. DS .'log'.date("ymd").'.txt', 'a+');
					file_put_contents(JPATH_ROOT . DS .'logs' . DS .'log'.date("ymd").'.txt', "\r\nPay for publish and featured: ".$afc[0], FILE_APPEND);
					$model->publishAd($afc[0]);
					$model->featureAd($afc[0], $afc[1]);
					break;
				case 'forpublishandcolored':
					$afc = explode("_", $custom[2]);
					$model = JModel::getInstance('listing', 'JoomlistingsModel');
					fopen(JPATH_ROOT . DS .'logs'. DS .'log'.date("ymd").'.txt', 'a+');
					file_put_contents(JPATH_ROOT . DS .'logs' . DS .'log'.date("ymd").'.txt', "\r\nPay for publish and colored: ".$afc[0], FILE_APPEND);
					$model->publishAd($afc[0]);
					$model->colorAd($afc[0], $afc[1]);
					break;
				default: 
			}
			
		}
	}
	
	function _calculatePeriod($package){
		$ret = array('p3'=>'', 't3'=>'');
		$period = $package->days;
		if($period >= 1 && $period <= 90){
			$p3 = $period;
			$t3 = 'D';
		}
		else if($period > 90 && $period < 365){
			$p3 = $period/7;
			$t3 = 'W';
		}
		else if($period >= 365 && $period < 730){
			$p3 = $period/30;
			$t3 = 'M';
		}
		else if($period >= 730 && $period < 1825){
			$p3 = $period / 365;
			$t3 = 'Y';
		}
		$ret['p3'] = $p3;
		$ret['t3'] = $t3;
		return $ret;
	}
		
}
