
DROP TABLE IF EXISTS `#__jlcategories`;

DROP TABLE IF EXISTS `#__jlcategory_package`;

DROP TABLE IF EXISTS `#__jlcurrencies`;

DROP TABLE IF EXISTS `#__jlextrafields`;

DROP TABLE IF EXISTS `#__jlgoogleads`;

DROP TABLE IF EXISTS `#__jlgooglezones`;

DROP TABLE IF EXISTS `#__jlimages`;

DROP TABLE IF EXISTS `#__jllisting_star`;

DROP TABLE IF EXISTS `#__jllist_extrafields`;

DROP TABLE IF EXISTS `#__jllocations`;

DROP TABLE IF EXISTS `#__jlmailformats`;

DROP TABLE IF EXISTS `#__jlmessages`;

DROP TABLE IF EXISTS `#__jlneighbors`;

DROP TABLE IF EXISTS `#__jlpackages`;

DROP TABLE IF EXISTS `#__jlplugins`;

DROP TABLE IF EXISTS `#__jlprofiles`;

DROP TABLE IF EXISTS `#__jlreports`;

DROP TABLE IF EXISTS `#__jlreport_reasons`;

DROP TABLE IF EXISTS `#__jlsections`;

DROP TABLE IF EXISTS `#__jlsettings`;

DROP TABLE IF EXISTS `#__jlstars`;

DROP TABLE IF EXISTS `#__jlstates`;

DROP TABLE IF EXISTS `#__jltransactions`;

DROP TABLE IF EXISTS `#__jltypeoptions`;

DROP TABLE IF EXISTS `#__jltypes`;

DROP TABLE IF EXISTS `#__jlusers_packages`;

DROP TABLE IF EXISTS `#__jluser_package_track`;

DROP TABLE IF EXISTS `#__jluser_subscribes`;

DROP TABLE IF EXISTS `#__jlvdocs`;

DROP TABLE IF EXISTS `#__jlversion`;

DROP TABLE IF EXISTS `#__jlwishlists`;

DROP TABLE IF EXISTS `#__joomcountries`;

DROP TABLE IF EXISTS `#__joomlistings`;
-- --------------------------------------------------------

--
-- Table structure for table `#__jlcategories`
--

CREATE TABLE IF NOT EXISTS `#__jlcategories` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `published` varchar(2) NOT NULL,
  `meta_keyword` text NOT NULL,
  `meta_description` text NOT NULL,
  `description` text NOT NULL,
  `ordering` int(100) NOT NULL,
  `alias` varchar(50) NOT NULL,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `section_id` int(10) unsigned DEFAULT NULL,
  `hideef` tinyint(4) NOT NULL,
  `enable_twitter` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlcategory_package`
--

CREATE TABLE IF NOT EXISTS `#__jlcategory_package` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `package_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlcurrencies`
--

CREATE TABLE IF NOT EXISTS `#__jlcurrencies` (
  `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(50) DEFAULT NULL,
  `exchange` float(10,2) unsigned DEFAULT NULL,
  `shortcode` varchar(50) DEFAULT NULL,
  `default` tinyint(3) unsigned DEFAULT NULL,
  `published` tinyint(3) unsigned DEFAULT NULL,
  `ordering` int(11) NOT NULL,
  `symbol` varchar(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlextrafields`
--

CREATE TABLE IF NOT EXISTS `#__jlextrafields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(10) unsigned DEFAULT NULL,
  `keyfield` varchar(255) DEFAULT NULL,
  `defaultvalue` varchar(255) DEFAULT NULL,
  `fieldtype` varchar(50) DEFAULT NULL,
  `published` tinyint(3) unsigned DEFAULT NULL,
  `ordering` int(10) unsigned DEFAULT NULL,
  `required` tinyint(3) unsigned DEFAULT NULL,
  `common` tinyint(4) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlgoogleads`
--

CREATE TABLE IF NOT EXISTS `#__jlgoogleads` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `approved` tinyint(3) unsigned DEFAULT NULL,
  `zoneid` tinyint(3) unsigned DEFAULT NULL,
  `bannercode` text,
  `height` int(10) unsigned DEFAULT NULL,
  `width` int(10) unsigned DEFAULT NULL,
  `target` varchar(50) DEFAULT NULL,
  `published` tinyint(3) unsigned DEFAULT NULL,
  `ordering` int(10) unsigned DEFAULT NULL,
  `impressions` int(10) unsigned DEFAULT NULL,
  `finishpublishing` date DEFAULT NULL,
  `createddate` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlgooglezones`
--

CREATE TABLE IF NOT EXISTS `#__jlgooglezones` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `ordering` int(10) unsigned DEFAULT NULL,
  `position` varchar(50) DEFAULT NULL,
  `published` tinyint(3) unsigned DEFAULT NULL,
  `showtitle` tinyint(3) unsigned DEFAULT NULL,
  `moduleid` int(10) unsigned DEFAULT NULL,
  `class` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlimages`
--

CREATE TABLE IF NOT EXISTS `#__jlimages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `adid` int(11) NOT NULL,
  `image` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jllisting_star`
--

CREATE TABLE IF NOT EXISTS `#__jllisting_star` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL,
  `star_id` int(11) NOT NULL,
  `star_value` int(11) NOT NULL,
  `total_vote` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jllist_extrafields`
--

CREATE TABLE IF NOT EXISTS `#__jllist_extrafields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `adid` int(10) unsigned DEFAULT NULL,
  `fieldid` int(10) unsigned DEFAULT NULL,
  `fieldvalue` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jllocations`
--

CREATE TABLE IF NOT EXISTS `#__jllocations` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `published` varchar(2) NOT NULL,
  `description` text NOT NULL,
  `ordering` int(100) NOT NULL,
  `code` varchar(50) NOT NULL,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `default_location` tinyint(4) DEFAULT NULL,
  `region_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlmailformats`
--

CREATE TABLE IF NOT EXISTS `#__jlmailformats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject` varchar(255) DEFAULT NULL,
  `body` text,
  `type` tinyint(3) DEFAULT NULL,
  `published` tinyint(3) DEFAULT NULL,
  `ordering` int(11) NOT NULL,
  `event` varchar(255) NOT NULL,
  `mailto` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlmessages`
--

CREATE TABLE IF NOT EXISTS `#__jlmessages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `frommsg` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `tomsg` int(10) unsigned DEFAULT NULL,
  `adid` int(10) unsigned DEFAULT NULL,
  `message` text,
  `postdate` datetime DEFAULT NULL,
  `status` tinyint(3) unsigned DEFAULT NULL,
  `fromid` int(11) NOT NULL,
  `delstatus` tinyint(4) NOT NULL,
  `msgtype` tinyint(4) NOT NULL,
  `subject` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlneighbors`
--

CREATE TABLE IF NOT EXISTS `#__jlneighbors` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `published` varchar(2) NOT NULL,
  `description` text NOT NULL,
  `ordering` int(100) NOT NULL,
  `code` varchar(50) NOT NULL,
  `location_id` int(10) unsigned NOT NULL,
  `region_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlpackages`
--

CREATE TABLE IF NOT EXISTS `#__jlpackages` (
  `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `currency` varchar(10) NOT NULL,
  `price` float(10,2) unsigned DEFAULT NULL,
  `adsnumber` int(10) DEFAULT NULL,
  `impressions` int(10) DEFAULT NULL,
  `clicks` int(10) DEFAULT NULL,
  `days` int(10) DEFAULT NULL,
  `listing_days` int(10) DEFAULT NULL,
  `isfree` tinyint(3) unsigned DEFAULT NULL,
  `published` tinyint(3) unsigned DEFAULT NULL,
  `ordering` int(10) unsigned DEFAULT NULL,
  `description` text,
  `imagesnumber` int(11) NOT NULL,
  `showcontact` tinyint(4) NOT NULL,
  `enablesubscription` tinyint(1) NOT NULL,
  `priceforfeatured` float(10,2) NOT NULL,
  `currencysymbol` varchar(20) NOT NULL,
  `pricefororange` float NOT NULL,
  `priceforred` float NOT NULL,
  `priceforbold` float NOT NULL,
  `enable_video` tinyint(4) NOT NULL,
  `title_max` int(11) NOT NULL,
  `description_max` int(11) NOT NULL,
  `enable_upload_video_doc` tinyint(1) NOT NULL DEFAULT '0',
  `num_upload_per_ad` int(11) NOT NULL DEFAULT '3',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlplugins`
--

CREATE TABLE IF NOT EXISTS `#__jlplugins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `author` varchar(255) NOT NULL,
  `createddate` datetime NOT NULL,
  `authorurl` varchar(255) NOT NULL,
  `version` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  `description` text NOT NULL,
  `params` text NOT NULL,
  `pgroup` varchar(255) NOT NULL,
  `folder` varchar(255) NOT NULL,
  `element` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlprofiles`
--

CREATE TABLE IF NOT EXISTS `#__jlprofiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(255) NOT NULL,
  `address2` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `state` varchar(255) NOT NULL,
  `zipcode` varchar(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `logo` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `im` varchar(255) NOT NULL,
  `published` tinyint(3) NOT NULL,
  `lastname` varchar(255) NOT NULL,
  `userid` int(11) NOT NULL,
  `rid` int(11) NOT NULL,
  `lid` int(11) NOT NULL,
  `nid` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlreports`
--

CREATE TABLE IF NOT EXISTS `#__jlreports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ad_id` varchar(100) NOT NULL,
  `reason_id` varchar(1000) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlreport_reasons`
--

CREATE TABLE IF NOT EXISTS `#__jlreport_reasons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `description` varchar(1000) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `#__jlreport_reasons` (`id`, `title`, `description`, `published`, `ordering`) VALUES
(1, 'Fraud', 'Fraud', 1, 1),
(2, 'Offensive', 'Offensive', 1, 2),
(3, 'Scam', 'Scam', 1, 3),
(5, 'Spam', 'Spam', 1, 4),
(6, 'Duplicate', 'Duplicate', 1, 5),
(7, 'No Longer Available', 'No Longer Available', 1, 6),
(8, 'Outdated', 'Outdated', 1, 7),
(9, 'Wrong Category', 'Wrong Category', 1, 8),
(10, 'Copyright or Trademark Violation', 'Copyright or Trademark Violation', 1, 9);


-- --------------------------------------------------------

--
-- Table structure for table `#__jlsections`
--

CREATE TABLE IF NOT EXISTS `#__jlsections` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `published` varchar(2) NOT NULL,
  `meta_keyword` text NOT NULL,
  `meta_description` text NOT NULL,
  `description` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `alias` varchar(50) NOT NULL,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `default_section` int(11) NOT NULL,
  `image_of_section` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlsettings`
--

CREATE TABLE IF NOT EXISTS `#__jlsettings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `configkey` varchar(255) NOT NULL,
  `configvalue` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `settings_group` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `#__jlsettings` (`id`, `configkey`, `configvalue`, `description`, `type`, `settings_group`, `ordering`) VALUES
(null, 'auto_submit', '1', 'Auto Submit Ad', 'boolean', 'General', 1),
(null, 'payable', '0', 'Pay for each post', 'boolean', 'Pay per post', 2),
(null, 'price_per_ad', '10', 'Price per ad', '', 'Pay per post', 2),
(null, 'currency', 'EUR', 'Default Currency', '', 'General', 3),
(null, 'featured_price', '15', 'Price for Featuring an ad', '', 'Pay per post', 4),
(null, 'enable_packages', '1', 'Enable Packages', 'boolean', 'Package', 4),
(null, 'feature_payable', '1', 'Pay extra for featuring Ad', 'boolean', 'Pay per post', 3),
(null, 'expiry_alert_days', '10', 'Days before expiry alert', '', 'General', 5),
(null, 'enable_regions', '1', 'Enable Regions', 'boolean', 'General', 1),
(null, 'enable_featured_ads', '1', 'Enable Featured Ads', 'boolean', 'Base Fields', 3),
(null, 'l_thumbnail_width', '300', 'Large Thumnail Width (px)', '', 'Image', 0),
(null, 'm_thumbnail_width', '200', 'Mid size thumnail width (px)', '', 'Image', 0),
(null, 's_thumbnail_width', '150', 'Small Thumbnail Width (px)', '', 'Image', 0),
(null, 's_thumbnail_height', '100', 'Small Thumbnail Height (px)', '', 'Image', 0),
(null, 'l_image_width', '600', 'Large Image Width (px)', '', 'Image', 0),
(null, 'price_for_orange', '0', 'Price for Bold Orange Listing', '', 'Pay per post', 6),
(null, 'price_for_red', '0', 'Price for Bold Red Listings', '', 'Pay per post', 8),
(null, 'orange_payable', '1', 'Orange Listing Payable', 'boolean', 'Pay per post', 5),
(null, 'red_payable', '1', 'Red Listing Payable', 'boolean', 'Pay per post', 7),
(null, 'bgcolor_featured', '#82bcff', 'Background color for Featured Listing', '', 'Colors', 1),
(null, 'fgcolor_featured', '#000000', 'Foreground color for Featured Listing', '', 'Colors', 2),
(null, 'border_featured', '#0b5ab5', 'Border color for Featured Listing', '', 'Colors', 3),
(null, 'bgcolor_orange', '#ffaa75', 'Background color for Orange Listing', '', 'Colors', 4),
(null, 'fgcolor_orange', '#000000', 'Foreground Color for Orange Listing', '', 'Colors', 5),
(null, 'border_orange', '#cc4e00', 'Border Color for Orange Listing', '', 'Colors', 6),
(null, 'bgcolor_red', '#ff7773', 'Background color for Red Listing', '', 'Colors', 7),
(null, 'fgcolor_red', '#050800', 'Foreground color for Red Listing', '', 'Colors', 8),
(null, 'border_red', '#ff3508', 'Border color for Red Listing', '', 'Colors', 9),
(null, 'enable_colors', '1', 'Enable Colors from Settings', 'boolean', 'General', 4),
(null, 'enable_listing_type', '1', 'Enable Listing Types', 'boolean', 'Base Fields', 2),
(null, 'enable_videos', '1', 'Enable Videos', 'boolean', 'Base Fields', 7),
(null, 'images', '-1', 'Default Images in Listing', '', 'Pay per post', 11),
(null, 'enable_images', '1', 'Enable Images in directory', 'boolean', 'General', 5),
(null, 'expand_directory', '1', 'Expand Directory', 'boolean', 'General', 6),
(null, 'enable_grid', '1', 'Enable Grid View', 'boolean', 'General', 7),
(null, 'enable_guest_contact_info', '1', 'Enable Guest Contact Information', 'boolean', 'General', 17),
(null, 'enable_free_package', '1', 'Enable Free Package', 'boolean', 'Package', 6),
(null, 'profile_image_width', '200', 'Profile Image Width', '', 'Image', 0),
(null, 'profile_image_height', '200', 'Profile Image Height', '', 'Image', 0),
(null, 'enable_price', '0', 'Enable price field', 'boolean', 'Base Fields', 1),
(null, 'enable_profile_image', '1', 'Enable Profile Image', 'boolean', 'General', 8),
(null, 'enable_seo', '0', 'Enable SEO', 'boolean', 'Base Fields', 9),
(null, 'enable_colored_listings', '1', 'Enable Colored Listings', 'boolean', 'Base Fields', 3),
(null, 'cumulative_pricing', '1', 'Cumulative Pricing For Featured', 'boolean', 'General', 14),
(null, 'auto_expire_ads', '1', 'Auto Expire Ads', 'boolean', 'General', 1),
(null, 'ads_expiry_days', '14', 'Expiry days for Ads', '', 'General', 1),
(null, 'enable_sections', '1', 'Enable Sections', 'boolean', 'Base Fields', 3),
(null, 'enable_guest_contact', '1', 'Enable Guest Contact Advertiser', 'boolean', 'General', 16),
(null, 'jomsocial_use messaging', '1', 'Use Messaging System of JomSocial', 'boolean', '3<sup>rd</sup> Party Component Integration', 5),
(null, 'jomsocial_show_last', '1', 'JomSocial Profile - Show Last 20 Listings', 'boolean', '3<sup>rd</sup> Party Component Integration', 4),
(null, 'jomsocial_show_users', '1', 'JomSocial Profile - Show Users Listings', 'boolean', '3<sup>rd</sup> Party Component Integration', 3),
(null, 'jomsocial_info_order', 'FIELD_GENDER|FIELD_BIRTHDAY|FIELD_COUNTRY|FIELD_WEBSITE ', 'JomSocial Profile - Contact info order', '', '3<sup>rd</sup> Party Component Integration', 2),
(null, 'jomsocial_profile', '1', 'Use profile of JomSocial', 'boolean', '3<sup>rd</sup> Party Component Integration', 1),
(null, 'jomsocial_integration', '0', 'Integrate with JomSocial', 'boolean', '3<sup>rd</sup> Party Component Integration', 0),
(null, 'show_image_of_sections', '1', 'Enable Section Images', 'boolean', 'General', 0),
(null, 'show_unique_id', '1', 'show unique id', 'boolean', 'Base Fields', 0),
(null, 'show_contact_friend', '1', 'Show Contact Friend', 'boolean', 'Base Fields', 0),
(null, 'show_address', '1', 'Show Address', 'boolean', 'Base Fields', 0),
(null, 'show_zipcode', '1', 'Show ZipCode', 'boolean', 'Base Fields', 0),
(null, 'show_wishlist', '1', 'Show Add to Wishlist', 'boolean', 'Base Fields', 0),
(null, 'enable_anti_spam', '0', 'Enable Anti Spam Service', 'boolean', 'Anti Spam Services', 0),
(null, 'captcha_public_key', '', 'reCaptcha Public Key', 'text', 'Anti Spam Services', 0),
(null, 'captcha_private_key', '', 'reCaptcha Private Key', 'text', 'Anti Spam Services', 0),
(null, 'show_posted_user', '1', 'Show Posted User', 'boolean', 'Base Fields', 0),
(null, 'collapse_front_end', '1', 'Collapse Front End Template', 'boolean', 'General', 0),
(null, 'integrate_googlemap', '0', 'Google Map Integration', 'boolean', 'Google Maps Integration', 0),
(null, 'integrate_googlemap_latlong', '57.627366;-101.601563', 'Google Map Initial LatLong', 'text', 'Google Maps Integration', 0),
(null, 'integrate_googlemap_key', 'ABQIAAAA9ODAhU2mdPadnDVBV87E4BQ8wygn8uu6XCf3vMQF3P5uvKaStBTQ8kR7Dob9x7gX7aLgKol6Rygdfw', 'Google Map Key', 'text', 'Google Maps Integration', 0),
(null, 'slider_speed', '1000', 'Image Slider Speed', 'text', 'Base Fields', 0),
(null, 'enable_colorbox_default_style', '1', 'Enable colorbox default popup style', 'boolean', 'Base Fields', 0),
(null, 'show_listings_ratings', '1', 'Show Listings Ratings', 'boolean', 'Base Fields', 10),
(null, 'show_hit_counter', '1', 'Show Hit Counter', 'boolean', 'Base Fields', 15),
(null, 'can_guest_vote', '1', 'Enable Guest to post Rating', 'boolean', 'Base Fields', 11),
(null, 'bold_payable', '1', 'Bold Listing Payable', 'boolean', 'Pay per post', 12),
(null, 'price_for_bold', '0', 'Price for Bold Listings', '', 'Pay per post', 13),
(null, 'upload_extension_allow', 'mkv|flv|zip|bmp|jpg|png', 'Allowable Extension for Upload (|) seperated', '', 'Package', 9),
(null, 'cb_integration', '0', 'Integrate with CB', 'boolean', '3<sup>rd</sup> Party Component Integration', 10),
(null, 'cb_profile', '1', 'Use profile of CB', 'boolean', '3<sup>rd</sup> Party Component Integration', 11),
(null, 'cb_info_order', 'FIELD_GENDER|FIELD_BIRTHDAY|FIELD_COUNTRY|FIELD_WEBSITE ', 'CB Profile - Contact info order', '', '3<sup>rd</sup> Party Component Integration', 12),
(null, 'cb_show_users', '1', 'CB Profile - Show Users Listings', 'boolean', '3<sup>rd</sup> Party Component Integration', 13),
(null, 'cb_show_last', '1', 'CB Profile - Show Last 20 Listings', 'boolean', '3<sup>rd</sup> Party Component Integration', 14),
(null, 'cb_use messaging', '1', 'Use Messaging System of CB', 'boolean', '3<sup>rd</sup> Party Component Integration', 15),
(null, 'enable_neighbor', '0', 'Enable Neighbor', 'boolean', 'Base Fields', 4),
(null, 'bgcolor_bold', '#d9d9d9', 'Background color for Bold Listing', '', 'Colors', 10),
(null, 'fgcolor_bold', '#f5f5f5', 'Foreground color for Bold Listing', '', 'Colors', 11),
(null, 'border_bold', '#333333', 'Border color for Bold Listing', '', 'Colors', 12),
(null, 'twitter_consumer_key', '9G20QqaXlcnTwedjB88G1w', 'Twitter Consumer Key', '', '3<sup>rd</sup> Party Component Integration', 100),
(null, 'twitter_consumer_secret', 'eLclAQ910eHbILFJ7qSJxJDDSq4OoaWocMQH0B9gmIY', 'Twitter Consumer Secret', '', '3<sup>rd</sup> Party Component Integration', 101),
(null, 'twitter_oauth_token', '50242548-A9vJLCQnlqdvEoGQNhlqHJ9yn4MzMUhFRXP6yFaFf', 'Twitter Oauth Token', '', '3<sup>rd</sup> Party Component Integration', 102),
(null, 'twitter_oauth_token_secret', 'wTEBoKC1S8rQ1OnDwbrCtPzP7rvEGoZx0bVAsPAk', 'Twitter Oauth Token Secret', '', '3<sup>rd</sup> Party Component Integration', 103),
(null, 'form_twitter_status', 'link-text', 'Format of tweet', 'twitter', '3<sup>rd</sup> Party Component Integration', 106),
(null, 'twitter_base_url', '', 'Base url to show on twitter', '', '3<sup>rd</sup> Party Component Integration', 105),
(null, 'show_privacy', '1', 'Show Privacy or Disclaimer', 'boolean', 'Base Fields', 20),
(null, 'show_listing_posted_date', '0', 'Show Listings Posted Date', 'boolean', 'Base Fields', 21),
(null, 'show_listing_expiry_date', '0', 'Show Listings Expiry Date', 'boolean', 'Base Fields', 22);

-- --------------------------------------------------------

--
-- Table structure for table `#__jlstars`
--

CREATE TABLE IF NOT EXISTS `#__jlstars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `value` int(11) NOT NULL,
  `title` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

INSERT INTO `#__jlstars` (`id`, `value`, `title`) VALUES
(1, 1, 'Poor'),
(2, 2, 'Not that bad'),
(3, 3, 'Average'),
(4, 4, 'Good'),
(5, 5, 'Perfect');

-- --------------------------------------------------------

--
-- Table structure for table `#__jlstates`
--

CREATE TABLE IF NOT EXISTS `#__jlstates` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `published` varchar(2) NOT NULL,
  `description` text NOT NULL,
  `ordering` int(100) NOT NULL,
  `alias` varchar(50) NOT NULL,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jltransactions`
--

CREATE TABLE IF NOT EXISTS `#__jltransactions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `currency` varchar(10) NOT NULL,
  `amount` float(12,2) NOT NULL,
  `transactionid` varchar(255) NOT NULL,
  `extraid` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `etransactionid` varchar(255) NOT NULL,
  `type` tinyint(4) NOT NULL,
  `etimestamp` varchar(255) NOT NULL,
  `tdate` datetime NOT NULL,
  `payerid` varchar(255) NOT NULL,
  `receiverid` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jltypeoptions`
--

CREATE TABLE IF NOT EXISTS `#__jltypeoptions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fieldid` int(10) unsigned DEFAULT NULL,
  `optionvalue` varchar(255) DEFAULT NULL,
  `optiontext` varchar(255) DEFAULT NULL,
  `published` tinyint(3) unsigned DEFAULT NULL,
  `ordering` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jltypes`
--

CREATE TABLE IF NOT EXISTS `#__jltypes` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `published` varchar(2) NOT NULL,
  `description` text NOT NULL,
  `ordering` int(100) NOT NULL,
  `alias` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `#__jltypes` (`id`, `title`, `published`, `description`, `ordering`, `alias`) VALUES
(1, 'I want to buy', '1', '', 1, '');
(2, 'I want to sell', '1', '', 2, '');

-- --------------------------------------------------------

--
-- Table structure for table `#__jlusers_packages`
--

CREATE TABLE IF NOT EXISTS `#__jlusers_packages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `packageid` int(11) NOT NULL,
  `boughtdate` datetime NOT NULL,
  `expirydate` varchar(19) DEFAULT NULL,
  `adsnumber` int(4) NOT NULL DEFAULT '0',
  `archived` tinyint(4) NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jluser_package_track`
--

CREATE TABLE IF NOT EXISTS `#__jluser_package_track` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) DEFAULT NULL,
  `pid` int(11) DEFAULT NULL,
  `adsused` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jluser_subscribes`
--

CREATE TABLE IF NOT EXISTS `#__jluser_subscribes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `subscr_id` varchar(20) NOT NULL,
  `subscribe_date` datetime NOT NULL,
  `next_update_user_package` datetime NOT NULL,
  `cancelled` tinyint(1) NOT NULL,
  `cancel_date` datetime DEFAULT NULL,
  `pid` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlvdocs`
--

CREATE TABLE IF NOT EXISTS `#__jlvdocs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `adid` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `fileext` varchar(5) NOT NULL,
  `originname` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlversion`
--

CREATE TABLE IF NOT EXISTS `#__jlversion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `version` varchar(25) NOT NULL,
  `dlastModified` datetime DEFAULT NULL,
  `szLastModifiedBy` varchar(30) DEFAULT NULL,
  `dCreatedOn` datetime NOT NULL,
  `szCreatedBy` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `#__jlwishlists`
--

CREATE TABLE IF NOT EXISTS `#__jlwishlists` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `adid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `postdate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `#__jlversion` VALUES( '', 'JoomListings', '2.1.8', curdate( ) , 'JoomClan', curdate( ) , 'JoomClan');

-- --------------------------------------------------------

--
-- Table structure for table `#__joomcountries`
--

CREATE TABLE IF NOT EXISTS `#__joomcountries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `code` char(2) NOT NULL,
  `published` tinyint(3) NOT NULL,
  `ordering` int(11) NOT NULL,
  `description` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=246 ;

--
-- Dumping data for table `#__joomcountries`
--

INSERT INTO `#__joomcountries` (`id`, `title`, `code`, `published`, `ordering`, `description`, `image`) VALUES
(1, 'Andorra', 'AD', 1, 0, '', ''),
(2, 'United Arab Emirates', 'AE', 1, 0, '', ''),
(3, 'Afghanistan', 'AF', 1, 0, '', '3493'),
(4, 'Antigua & Barbuda', 'AG', 1, 0, '', ''),
(5, 'Anguilla', 'AI', 1, 0, '', ''),
(6, 'Albania', 'AL', 1, 0, '', ''),
(7, 'Armenia', 'AM', 1, 0, '', ''),
(8, 'Netherlands Antilles', 'AN', 1, 0, '', ''),
(9, 'Angola', 'AO', 1, 0, '', ''),
(10, 'Antarctica', 'AQ', 1, 0, '', ''),
(11, 'Argentina', 'AR', 1, 0, '', ''),
(12, 'American Samoa', 'AS', 1, 0, '', ''),
(13, 'Austria', 'AT', 1, 0, '', ''),
(14, 'Australia', 'AU', 1, 0, '', ''),
(15, 'Aruba', 'AW', 1, 0, '', ''),
(16, 'Azerbaijan', 'AZ', 1, 0, '', ''),
(17, 'Bosnia and Herzegovina', 'BA', 1, 0, '', ''),
(18, 'Barbados', 'BB', 1, 0, '', ''),
(19, 'Bangladesh', 'BD', 1, 0, '', ''),
(20, 'Belgium', 'BE', 1, 0, '', ''),
(21, 'Burkina Faso', 'BF', 0, 0, '', ''),
(22, 'Bulgaria', 'BG', 0, 0, '', ''),
(23, 'Bahrain', 'BH', 0, 0, '', ''),
(24, 'Burundi', 'BI', 0, 0, '', ''),
(25, 'Benin', 'BJ', 0, 0, '', ''),
(26, 'Bermuda', 'BM', 0, 0, '', ''),
(27, 'Brunei Darussalam', 'BN', 0, 0, '', ''),
(28, 'Bolivia', 'BO', 0, 0, '', ''),
(29, 'Brazil', 'BR', 0, 0, '', ''),
(30, 'Bahama', 'BS', 0, 0, '', ''),
(31, 'Bhutan', 'BT', 0, 0, '', ''),
(32, 'Burma (no longer exists)', 'BU', 0, 0, '', ''),
(33, 'Bouvet Island', 'BV', 0, 0, '', ''),
(34, 'Botswana', 'BW', 0, 0, '', ''),
(35, 'Belarus', 'BY', 0, 0, '', ''),
(36, 'Belize', 'BZ', 0, 0, '', ''),
(37, 'Canada', 'CA', 0, 0, '', ''),
(38, 'Cocos (Keeling) Islands', 'CC', 0, 0, '', ''),
(39, 'Central African Republic', 'CF', 0, 0, '', ''),
(40, 'Congo', 'CG', 0, 0, '', ''),
(41, 'Switzerland', 'CH', 0, 0, '', ''),
(42, 'C?te D''ivoire (Ivory Coast)', 'CI', 0, 0, '', ''),
(43, 'Cook Iislands', 'CK', 0, 0, '', ''),
(44, 'Chile', 'CL', 0, 0, '', ''),
(45, 'Cameroon', 'CM', 0, 0, '', ''),
(46, 'China', 'CN', 0, 0, '', ''),
(47, 'Colombia', 'CO', 0, 0, '', ''),
(48, 'Costa Rica', 'CR', 0, 0, '', ''),
(49, 'Czechoslovakia (no longer exists)', 'CS', 0, 0, '', ''),
(50, 'Cuba', 'CU', 0, 0, '', ''),
(51, 'Cape Verde', 'CV', 0, 0, '', ''),
(52, 'Christmas Island', 'CX', 0, 0, '', ''),
(53, 'Cyprus', 'CY', 0, 0, '', ''),
(54, 'Czech Republic', 'CZ', 0, 0, '', ''),
(55, 'German Democratic Republic (no longer exists)', 'DD', 0, 0, '', ''),
(56, 'Germany', 'DE', 0, 0, '', ''),
(57, 'Djibouti', 'DJ', 0, 0, '', ''),
(58, 'Denmark', 'DK', 0, 0, '', ''),
(59, 'Dominica', 'DM', 0, 0, '', ''),
(60, 'Dominican Republic', 'DO', 0, 0, '', ''),
(61, 'Algeria', 'DZ', 0, 0, '', ''),
(62, 'Ecuador', 'EC', 0, 0, '', ''),
(63, 'Estonia', 'EE', 0, 0, '', ''),
(64, 'Egypt', 'EG', 0, 0, '', ''),
(65, 'Western Sahara', 'EH', 0, 0, '', ''),
(66, 'Eritrea', 'ER', 0, 0, '', ''),
(67, 'Spain', 'ES', 0, 0, '', ''),
(68, 'Ethiopia', 'ET', 0, 0, '', ''),
(69, 'Finland', 'FI', 0, 0, '', ''),
(70, 'Fiji', 'FJ', 0, 0, '', ''),
(71, 'Falkland Islands (Malvinas)', 'FK', 0, 0, '', ''),
(72, 'Micronesia', 'FM', 0, 0, '', ''),
(73, 'Faroe Islands', 'FO', 0, 0, '', ''),
(74, 'France', 'FR', 0, 0, '', ''),
(75, 'France, Metropolitan', 'FX', 0, 0, '', ''),
(76, 'Gabon', 'GA', 0, 0, '', ''),
(77, 'United Kingdom (Great Britain)', 'GB', 0, 0, '', ''),
(78, 'Grenada', 'GD', 0, 0, '', ''),
(79, 'Georgia', 'GE', 0, 0, '', ''),
(80, 'French Guiana', 'GF', 0, 0, '', ''),
(81, 'Ghana', 'GH', 0, 0, '', ''),
(82, 'Gibraltar', 'GI', 0, 0, '', ''),
(83, 'Greenland', 'GL', 0, 0, '', ''),
(84, 'Gambia', 'GM', 0, 0, '', ''),
(85, 'Guinea', 'GN', 0, 0, '', ''),
(86, 'Guadeloupe', 'GP', 0, 0, '', ''),
(87, 'Equatorial Guinea', 'GQ', 0, 0, '', ''),
(88, 'Greece', 'GR', 0, 0, '', ''),
(89, 'South Georgia and the South Sandwich Islands', 'GS', 0, 0, '', ''),
(90, 'Guatemala', 'GT', 0, 0, '', ''),
(91, 'Guam', 'GU', 0, 0, '', ''),
(92, 'Guinea-Bissau', 'GW', 0, 0, '', ''),
(93, 'Guyana', 'GY', 0, 0, '', ''),
(94, 'Hong Kong', 'HK', 0, 0, '', ''),
(95, 'Heard & McDonald Islands', 'HM', 0, 0, '', ''),
(96, 'Honduras', 'HN', 0, 0, '', ''),
(97, 'Croatia', 'HR', 0, 0, '', ''),
(98, 'Haiti', 'HT', 0, 0, '', ''),
(99, 'Hungary', 'HU', 0, 0, '', ''),
(100, 'Indonesia', 'ID', 0, 0, '', ''),
(101, 'Ireland', 'IE', 0, 0, '', ''),
(102, 'Israel', 'IL', 0, 0, '', ''),
(103, 'India', 'IN', 0, 0, '', ''),
(104, 'British Indian Ocean Territory', 'IO', 0, 0, '', ''),
(105, 'Iraq', 'IQ', 0, 0, '', ''),
(106, 'Islamic Republic of Iran', 'IR', 0, 0, '', ''),
(107, 'Iceland', 'IS', 0, 0, '', ''),
(108, 'Italy', 'IT', 0, 0, '', ''),
(109, 'Jamaica', 'JM', 0, 0, '', ''),
(110, 'Jordan', 'JO', 0, 0, '', ''),
(111, 'Japan', 'JP', 0, 0, '', ''),
(112, 'Kenya', 'KE', 0, 0, '', ''),
(113, 'Kyrgyzstan', 'KG', 0, 0, '', ''),
(114, 'Cambodia', 'KH', 0, 0, '', ''),
(115, 'Kiribati', 'KI', 0, 0, '', ''),
(116, 'Comoros', 'KM', 0, 0, '', ''),
(117, 'St. Kitts and Nevis', 'KN', 0, 0, '', ''),
(118, 'Korea, Democratic People''s Republic of', 'KP', 0, 0, '', ''),
(119, 'Korea, Republic of', 'KR', 0, 0, '', ''),
(120, 'Kuwait', 'KW', 0, 0, '', ''),
(121, 'Cayman Islands', 'KY', 0, 0, '', ''),
(122, 'Kazakhstan', 'KZ', 0, 0, '', ''),
(123, 'Lao People''s Democratic Republic', 'LA', 0, 0, '', ''),
(124, 'Lebanon', 'LB', 0, 0, '', ''),
(125, 'Saint Lucia', 'LC', 0, 0, '', ''),
(126, 'Liechtenstein', 'LI', 0, 0, '', ''),
(127, 'Sri Lanka', 'LK', 0, 0, '', ''),
(128, 'Liberia', 'LR', 0, 0, '', ''),
(129, 'Lesotho', 'LS', 0, 0, '', ''),
(130, 'Lithuania', 'LT', 0, 0, '', ''),
(131, 'Luxembourg', 'LU', 0, 0, '', ''),
(132, 'Latvia', 'LV', 0, 0, '', ''),
(133, 'Libyan Arab Jamahiriya', 'LY', 0, 0, '', ''),
(134, 'Morocco', 'MA', 0, 0, '', ''),
(135, 'Monaco', 'MC', 0, 0, '', ''),
(136, 'Moldova, Republic of', 'MD', 0, 0, '', ''),
(137, 'Madagascar', 'MG', 0, 0, '', ''),
(138, 'Marshall Islands', 'MH', 0, 0, '', ''),
(139, 'Mali', 'ML', 0, 0, '', ''),
(140, 'Mongolia', 'MN', 0, 0, '', ''),
(141, 'Myanmar', 'MM', 0, 0, '', ''),
(142, 'Macau', 'MO', 0, 0, '', ''),
(143, 'Northern Mariana Islands', 'MP', 0, 0, '', ''),
(144, 'Martinique', 'MQ', 0, 0, '', ''),
(145, 'Mauritania', 'MR', 0, 0, '', ''),
(146, 'Monserrat', 'MS', 0, 0, '', ''),
(147, 'Malta', 'MT', 0, 0, '', ''),
(148, 'Mauritius', 'MU', 0, 0, '', ''),
(149, 'Maldives', 'MV', 0, 0, '', ''),
(150, 'Malawi', 'MW', 0, 0, '', ''),
(151, 'Mexico', 'MX', 0, 0, '', ''),
(152, 'Malaysia', 'MY', 0, 0, '', ''),
(153, 'Mozambique', 'MZ', 0, 0, '', ''),
(154, 'Namibia', 'NA', 0, 0, '', ''),
(155, 'New Caledonia', 'NC', 0, 0, '', ''),
(156, 'Niger', 'NE', 0, 0, '', ''),
(157, 'Norfolk Island', 'NF', 0, 0, '', ''),
(158, 'Nigeria', 'NG', 0, 0, '', ''),
(159, 'Nicaragua', 'NI', 0, 0, '', ''),
(160, 'Netherlands', 'NL', 0, 0, '', ''),
(161, 'Norway', 'NO', 0, 0, '', ''),
(162, 'Nepal', 'NP', 1, 0, '', ''),
(163, 'Nauru', 'NR', 0, 0, '', ''),
(164, 'Neutral Zone (no longer exists)', 'NT', 0, 0, '', ''),
(165, 'Niue', 'NU', 0, 0, '', ''),
(166, 'New Zealand', 'NZ', 0, 0, '', ''),
(167, 'Oman', 'OM', 0, 0, '', ''),
(168, 'Panama', 'PA', 0, 0, '', ''),
(169, 'Peru', 'PE', 0, 0, '', ''),
(170, 'French Polynesia', 'PF', 0, 0, '', ''),
(171, 'Papua New Guinea', 'PG', 0, 0, '', ''),
(172, 'Philippines', 'PH', 0, 0, '', ''),
(173, 'Pakistan', 'PK', 0, 0, '', ''),
(174, 'Poland', 'PL', 0, 0, '', ''),
(175, 'St. Pierre & Miquelon', 'PM', 0, 0, '', ''),
(176, 'Pitcairn', 'PN', 0, 0, '', ''),
(177, 'Puerto Rico', 'PR', 0, 0, '', ''),
(178, 'Portugal', 'PT', 0, 0, '', ''),
(179, 'Palau', 'PW', 0, 0, '', ''),
(180, 'Paraguay', 'PY', 0, 0, '', ''),
(181, 'Qatar', 'QA', 0, 0, '', ''),
(182, 'R?union', 'RE', 0, 0, '', ''),
(183, 'Romania', 'RO', 0, 0, '', ''),
(184, 'Russian Federation', 'RU', 0, 0, '', ''),
(185, 'Rwanda', 'RW', 0, 0, '', ''),
(186, 'Saudi Arabia', 'SA', 0, 0, '', ''),
(187, 'Solomon Islands', 'SB', 0, 0, '', ''),
(188, 'Seychelles', 'SC', 0, 0, '', ''),
(189, 'Sudan', 'SD', 0, 0, '', ''),
(190, 'Sweden', 'SE', 0, 0, '', ''),
(191, 'Singapore', 'SG', 0, 0, '', ''),
(192, 'St. Helena', 'SH', 0, 0, '', ''),
(193, 'Slovenia', 'SI', 0, 0, '', ''),
(194, 'Svalbard & Jan Mayen Islands', 'SJ', 0, 0, '', ''),
(195, 'Slovakia', 'SK', 0, 0, '', ''),
(196, 'Sierra Leone', 'SL', 0, 0, '', ''),
(197, 'San Marino', 'SM', 0, 0, '', ''),
(198, 'Senegal', 'SN', 0, 0, '', ''),
(199, 'Somalia', 'SO', 0, 0, '', ''),
(200, 'Suriname', 'SR', 0, 0, '', ''),
(201, 'Sao Tome & Principe', 'ST', 0, 0, '', ''),
(202, 'Union of Soviet Socialist Republics (no longer exi', 'SU', 0, 0, '', ''),
(203, 'El Salvador', 'SV', 0, 0, '', ''),
(204, 'Syrian Arab Republic', 'SY', 0, 0, '', ''),
(205, 'Swaziland', 'SZ', 0, 0, '', ''),
(206, 'Turks & Caicos Islands', 'TC', 0, 0, '', ''),
(207, 'Chad', 'TD', 0, 0, '', ''),
(208, 'French Southern Territories', 'TF', 0, 0, '', ''),
(209, 'Togo', 'TG', 0, 0, '', ''),
(210, 'Thailand', 'TH', 0, 0, '', ''),
(211, 'Tajikistan', 'TJ', 0, 0, '', ''),
(212, 'Tokelau', 'TK', 0, 0, '', ''),
(213, 'Turkmenistan', 'TM', 0, 0, '', ''),
(214, 'Tunisia', 'TN', 0, 0, '', ''),
(215, 'Tonga', 'TO', 0, 0, '', ''),
(216, 'East Timor', 'TP', 0, 0, '', ''),
(217, 'Turkey', 'TR', 0, 0, '', ''),
(218, 'Trinidad & Tobago', 'TT', 0, 0, '', ''),
(219, 'Tuvalu', 'TV', 0, 0, '', ''),
(220, 'Taiwan, Province of China', 'TW', 0, 0, '', ''),
(221, 'Tanzania, United Republic of', 'TZ', 0, 0, '', ''),
(222, 'Ukraine', 'UA', 0, 0, '', ''),
(223, 'Uganda', 'UG', 0, 0, '', ''),
(224, 'United States Minor Outlying Islands', 'UM', 0, 0, '', ''),
(225, 'United States of America', 'US', 0, 0, '', ''),
(226, 'Uruguay', 'UY', 0, 0, '', ''),
(227, 'Uzbekistan', 'UZ', 0, 0, '', ''),
(228, 'Vatican City State (Holy See)', 'VA', 0, 0, '', ''),
(229, 'St. Vincent & the Grenadines', 'VC', 0, 0, '', ''),
(230, 'Venezuela', 'VE', 0, 0, '', ''),
(231, 'British Virgin Islands', 'VG', 0, 0, '', ''),
(232, 'United States Virgin Islands', 'VI', 0, 0, '', ''),
(233, 'Viet Nam', 'VN', 0, 0, '', ''),
(234, 'Vanuatu', 'VU', 0, 0, '', ''),
(235, 'Wallis & Futuna Islands', 'WF', 0, 0, '', ''),
(236, 'Samoa', 'WS', 0, 0, '', ''),
(237, 'Democratic Yemen (no longer exists)', 'YD', 0, 0, '', ''),
(238, 'Yemen', 'YE', 0, 0, '', ''),
(239, 'Mayotte', 'YT', 0, 0, '', ''),
(240, 'Yugoslavia', 'YU', 0, 0, '', ''),
(241, 'South Africa', 'ZA', 0, 0, '', ''),
(242, 'Zambia', 'ZM', 0, 0, '', ''),
(243, 'Zaire', 'ZR', 0, 0, '', ''),
(244, 'Zimbabwe', 'ZW', 0, 0, '', ''),
(245, 'Unknown or unspecified country', 'ZZ', 0, 0, '', '');

CREATE TABLE IF NOT EXISTS `#__joomlistings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `listingid` varchar(20) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `published` int(2) NOT NULL,
  `ordering` int(11) NOT NULL,
  `alias` varchar(20) NOT NULL,
  `catid` int(10) unsigned DEFAULT NULL,
  `userid` int(10) unsigned DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `currency` varchar(50) DEFAULT NULL,
  `price` float(12,2) unsigned DEFAULT NULL,
  `postdate` datetime DEFAULT NULL,
  `expirydate` datetime DEFAULT NULL,
  `glat` float unsigned DEFAULT NULL,
  `glng` float unsigned DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `type` varchar(255) NOT NULL,
  `tags` varchar(255) NOT NULL,
  `sectionid` int(11) NOT NULL,
  `rid` int(11) NOT NULL,
  `lid` int(11) NOT NULL,
  `nid` int(11) NOT NULL,
  `pid` int(11) NOT NULL,
  `address` text NOT NULL,
  `featured` tinyint(4) NOT NULL DEFAULT '0',
  `currencysymbol` varchar(20) NOT NULL,
  `hideef` tinyint(4) NOT NULL,
  `listingtype` tinyint(4) NOT NULL,
  `externalvideo` text NOT NULL,
  `metadesc` text NOT NULL,
  `has_images` tinyint(4) NOT NULL DEFAULT '0',
  `postal_code` varchar(10) DEFAULT NULL,
  `hits` int(11) NOT NULL,
  `s_unique` varchar(15) NOT NULL,
  `privacy` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `#__jlplugins` (`id`, `title`, `author`, `createddate`, `authorurl`, `version`, `published`, `ordering`, `description`, `params`, `pgroup`, `folder`, `element`) VALUES
(1, 'Paypal', 'Joomlistings Project', '0000-00-00 00:00:00', '', '1.5', 1, 0, '', '', 'payment', 'paypal', 'paypal');