<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined("_JEXEC") or die("Restricted Access");

class TableListings extends JTable
{
	var $id				=	null;
	var $listingid		=	null;
	var $title			=	null;
	var $alias			=	null;
	var $published		=	null;
	var $description	=	null;
	var $ordering		=	null;
	var $catid			=	null;
	var $sectionid		=	null;
	var $userid			=	null;
	var $keywords		=	null;
	var $currency		=	null;
	var $price			=	null;
	var $postdate		=	null;
	var $expirydate		=	null;
	var $glat			=	null;
	var $glng			=	null;
	var $status			=	null;
	var $type			=	null;
	var $tags			=	null;
	var $rid			=	null;
	var $lid			=	null;
	var $nid			=	null;
	var $pid			=	null;
	var $featured		=	null;
	var $listingtype	=	null;
	var $hideef			=	null;
	var $externalvideo	=	null;
	var $currencysymbol	=	null;
	var $metadesc		=	null;
	var $has_images 	= 	null;
	var $address 		= 	null;
	var $postal_code 	= 	null;
	var $hits 			= 	null;
	var $s_unique 		= 	null;
	var $privacy 		= 	null;

	function __construct(&$db)
	{
		parent::__construct('#__joomlistings','id',$db);
	}

	function store($fields=array(),$images=array(),&$package=null){
		$usg = $this->id;
		$el = parent::store();
		if($el){
			if(!$usg){
				$this->trackPackagePost($package->packageid);
			}
			$this->saveExtraFields($fields);
			$this->saveImages($images,$package);
		}
		return $el;
	}


	function trackPackagePost($pid=0)
	{

		$table=JTable::getInstance('userpackagetrack','Table');
		$table->userid=$this->userid;
		$table->pid=$pid;
		return $table->store();

	}
	function adminStore()
	{

		return parent::store();
	}

	function saveExtraFields($fields=array())
	{
		if(count($fields)>0)
		{
			$db=JFactory::getDBO();
			$query="DELETE from #__jllist_extrafields where adid='$this->id'";
			$db->setQuery($query);
			$db->query();

			foreach($fields as $key=>$f)
			{
				if(is_array($f)){
					foreach($f as $v){
						$ft=JTable::getInstance('adextrafield','Table');
						$ft->fieldid=$key;
						$ft->adid=$this->id;
						$ft->fieldvalue=$v;
						$ft->store();
					}
				}else{
					$ft=JTable::getInstance('adextrafield','Table');
					$ft->fieldid=$key;
					$ft->adid=$this->id;
					$ft->fieldvalue=$f;
					$ft->store();
				}
			}
		}
		return true;
	}

	function saveImages($images=array(),$package=null)
	{
		$stable=JTable::getInstance('setting','Table');
		$settings=$stable->getSettings();
		if(count($images['images']['name'])>0)
		{
			$imgarr=array();


			$count=count($images['images']['name']);
			if(($count>$package->imagesnumber)&&($package->imagesnumber!=-1))
			{
				$count=$package->imagesnumber;
			}


			for($i=0;$i<$count;$i++)
			{
				$curimg=array();
				$curimg['name']=$images['images']['name'][$i];
				$curimg['type']=$images['images']['type'][$i];
				$curimg['tmp_name']=$images['images']['tmp_name'][$i];
				$curimg['error']=$images['images']['error'][$i];
				$curimg['size']=$images['images']['size'][$i];
				$imgarr[]=$curimg;

			}
			require_once(JPATH_ROOT.DS."components".DS."com_joomlistings".DS."includes".DS."upload.class.php");

			$db=JFactory::getDBO();

			foreach($imgarr as $img)
			{

				if(!empty($img['name']))
				{
					$imageX=new Upload($img);

					$imageX->dir_auto_chmod=true;
					$imageX->dir_chmod=0777;

					$imagefolder=JPATH_ROOT.DS."images".DS."ads".DS.$this->userid;

					$imagename=str_replace(" ","_",date("His").rand(1000,9999));
					$errorlevel=0;

					/**
					 * 	Upload
					 * */
					if($imageX->uploaded)
					{

						if($imageX->file_is_image)
						{
							$imageX->file_new_name_body = $imagename;
							$imageX->file_name_body_add = "_sthm";
							$imageX->image_resize = true;
							$imageX->image_ratio= true;
							$imageX->image_x=$settings->s_thumbnail_width;
							$imageX->image_y=$settings->s_thumbnail_height;

							$imageX->image_convert= 'jpg';
							$imageX->Process($imagefolder);

							if(!$imageX->processed)
							{
								$errorlevel=1;
							}

							$imageX->file_new_name_body = $imagename;
							$imageX->file_name_body_add = "_thm";
							$imageX->image_resize = true;
							$imageX->image_ratio_y= true;
							$imageX->image_x=$settings->m_thumbnail_width;
							$imageX->image_convert= 'jpg';
							$imageX->Process($imagefolder);

							if(!$imageX->processed)
							{
								$errorlevel=2;
							}

							$imageX->file_new_name_body = $imagename;
							$imageX->file_name_body_add = "_lthm";
							$imageX->image_resize = true;
							$imageX->image_ratio_y= true;
							$imageX->image_x=$settings->l_thumbnail_width;
							$imageX->image_convert= 'jpg';
							$imageX->Process($imagefolder);

							if(!$imageX->processed)
							{
								$errorlevel=2;
							}

							$imageX->file_new_name_body = $imagename;
							$imageX->file_name_body_add = "";
							$imageX->image_resize = true;
							$imageX->image_ratio_y= true;
							$imageX->image_x=$settings->l_image_width;

							$imageX->image_convert= 'jpg';
							$imageX->Process($imagefolder);

							if(!$imageX->processed)
							{
								$errorlevel=3;
							}


						}
					}
					else
					{
						$errorlevel=4;
					}


					if($errorlevel==0)
					{


						$tbl=JTable::getInstance('image','Table');
						$tbl->image=$imagename;
						$tbl->adid=$this->id;
						$tbl->published='1';
						$tbl->ordering=$tbl->getNextOrder("adid='$this->id'");

					$tbl->store();


					}

				}
			}
		}

		return true;


	}

	function saveVideo($images=array())
	{
		if(count($images['video']['name'])>0)
		{
			$img=$images['video'];
			if(!empty($img['name']))
			{
				$imageX=new Upload($img);

				$imageX->dir_auto_chmod=true;
				$imageX->dir_chmod=0777;

				$imagefolder=JPATH_ROOT.DS."images".DS."ads".DS.$this->userid;

				$imagename=str_replace(" ","_",trim(substr($this->title,0,6)).rand(1000,9999));
				$errorlevel=0;

				/**
				 * 	Upload
				 * */
				if($imageX->uploaded)
				{

					$imageX->file_new_name_body = $imagename;
					$imageX->file_name_body_add = "_sthm";
					$imageX->image_resize = true;
					$imageX->image_ratio= true;
					$imageX->image_x=120;
					$imageX->image_y=100;

					$imageX->image_convert= 'jpg';
					$imageX->Process($imagefolder);

					if(!$imageX->processed)
					{
						$errorlevel=1;
					}


				}
				else
				{
					$errorlevel=4;
				}
				if($errorlevel==0)
				{
					$this->video=$imagename;
					$this->videotype=$imageX->file_dst_ext_name;
				}
			}
		}


		return true;


	}


	function loadForView($oid)
	{
		if($oid)
		{
			$settings = JoomListingsFactory::getSettings();
			$this->image="";
			$this->section="";
			$this->category="";
			$db=JFactory::getDBO();

			$query="SELECT a.*,(select image from #__jlimages where adid=a.id  order by ordering limit 1) as image,s.title as section, c.title as category
			from #__joomlistings as a
			left join #__jlsections as s on s.id=a.sectionid
			left join #__jlcategories as c on c.id=a.catid
			where a.id='$oid'";

			$db->setQuery($query);
			if ($result = $db->loadAssoc( )) {
				parent::bind($result);
			}
			else
			{
				$this->setError( $db->getErrorMsg() );
				return false;
			}


			$query="SELECT e.*,ef.keyfield from #__jllist_extrafields as e
			left join #__jlextrafields as ef on ef.id=e.fieldid  where e.adid='$oid' order by ef.ordering asc";


			$db->setQuery($query);
			$this->extrafields=$db->loadObjectList();

			$query="SELECT i.* from #__jlimages as i where i.adid='$oid' and published='1' order by ordering";
			$db->setQuery($query);
			$this->images=$db->loadObjectlist();

			$query="SELECT u.*,u.id as uid,up.* from #__users as u left join #__jlprofiles as up on u.id=up.userid where u.id='$this->userid' ";
			$db->setQuery($query);
			$this->user=$db->loadObject();
			
			$query = "SELECT SUM(total_vote) AS sum_total_vote FROM #__jllisting_star WHERE listing_id = ". $this->id;
			$db->setQuery($query);
			$fv = $db->loadObjectList();
			$sum_total_vote = $fv[0]->sum_total_vote;
			
			$query3 = "SELECT SUM(star_value * total_vote) / $sum_total_vote AS aver FROM #__jllisting_star WHERE listing_id = ". $this->id;
			$db->setQuery($query3);
			$aver = $db->loadObjectList();
			if(count($aver)>0){
				$this->star_average = $aver[0]->aver;
			}else{
				$this->star_average = 0;
			}
			if($settings->enable_packages){
				$query = "SELECT * FROM #__jlpackages WHERE id = $this->pid";
				$db->setQuery($query);
				$this->package_info = $db->loadObject(); 
			}
			
			return true;
		}
		else
		{

			return false;
		}
	}

	function loadForEdit($oid,$userid)
	{
		if($oid)
		{
			$this->image="";
			$this->section="";
			$this->category="";
			$db=JFactory::getDBO();

			$query="SELECT a.*,(select image from #__jlimages where adid=a.id limit 1) as image,s.title as section, c.title as category
			from #__joomlistings as a
			left join #__jlsections as s on s.id=a.sectionid
			left join #__jlcategories as c on c.id=a.catid
			where a.id='$oid' and userid='$userid'";

			$db->setQuery($query);
			if ($result = $db->loadAssoc( )) {
				parent::bind($result);
			}
			else
			{
				$this->setError( $db->getErrorMsg() );
				return false;
			}


//			$query="SELECT e.*,ef.keyfield from #__jllist_extrafields as e
//			left join #__jlextrafields as ef on ef.id=e.fieldid  where e.adid='$oid'";
//
//
//			$db->setQuery($query);
//			$this->extrafields=$db->loadObjectList();

			$query="SELECT i.* from #__jlimages as i where i.adid='$oid'";
			$db->setQuery($query);
			$this->images=$db->loadObjectlist();

			$query="SELECT u.*,u.id as uid,up.* from #__users as u left join #__jlprofiles as up on u.id=up.userid where u.id='$this->userid' ";
			$db->setQuery($query);
			$this->user=$db->loadObject();


			return true;
		}
		else
		{

			return false;
		}
	}

	function featureAd($id)
	{
		$this->featured=1;
		$this->id=$id;
		return parent::store();

	}

	function unfeatureAd($id)
	{
		$this->featured=0;
		$this->id=$id;
		return parent::store();
	}

	function delete()
	{
		$basepath=JPATH_ROOT.DS."images".DS."ads";
		$userid=$this->userid;
		$db=JFactory::getDBO();
		$query="SELECT count(*) from #__joomlistings where id='$this->id' and userid='$this->userid'";
		$db->setQuery();
		$canDelete=$db->loadResult();
		if($canDelete)
		{
			$query="SELECT * from #__jlimages where adid='$this->id'";
			$db->setQuery($query);

			$images=$db->loadObjectList();
			if(count($images)>0)
			{
				foreach($images as $img)
				{
					if(file_exists($basepath.DS.$userid.$img->image.".jpg"))
					{
						unlink($basepath.DS.$userid.$img->image.".jpg");
					}

					if(file_exists($basepath.DS.$userid.$img->image."_thm.jpg"))
					{
						unlink($basepath.DS.$userid.$img->image."_thm.jpg");
					}

					if(file_exists($basepath.DS.$userid.$img->image."_sthm.jpg"))
					{
						unlink($basepath.DS.$userid.$img->image."_sthm.jpg");
					}
					if(file_exists($basepath.DS.$userid.$img->image."_lthm.jpg"))
					{
						unlink($basepath.DS.$userid.$img->image."_lthm.jpg");
					}
				}
			}
			$query="DELETE from #__jlimages where adid='$this->id'";
			$db->setQuery($query);
			if(!$db->query())
			{
				echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
			}

			$query="DELETE from #__jllist_extrafields where adid='$this->id'";
			$db->setQuery($query);
			if(!$db->query())
			{
				echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
			}

			$query="DELETE from #__joomlistings where id='$this->id' and userid='$userid'";
			$db->setQuery($query);
			if(!$db->query())
			{
				echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
			}
			return true;
		}
		else
		{
			throw new Exception("You cannot delete Others Ad");
		}
	}

	function getAdCategory($adid)
	{
		$db=JFactory::getDBO();
		$query="SELECT c.* from #__jlcategories as c left join #__joomlistings as l on l.catid=c.id where l.id='$adid'";
		$db->setQuery($query);
		$obj= $db->loadObject();
		if($obj)
		{
			return $obj;
		}
		else
		{
			$obj=new stdClass();
			$obj->id=0;
			$obj->title=JText::_("ALL_CAT");
			return $obj;
		}

	}

}
?>