<?php
/**
* Author Tab Class for handling the CB tab api
* @version $Id: cb.authortab.php 831 2010-01-26 11:04:24Z beat $
* @package Community Builder
* @subpackage cb.authortab.php
* @author JoomlaJoe
* @copyright (C) JoomlaJoe and Beat, www.joomlapolis.com
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

// ensure this file is being included by a parent file
if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }


class getJoomlistingsTab extends cbTabHandler {
	
	function getJoomlistingsTab() {
		$this->cbTabHandler();
	}
	
	function getDisplayTab($tab,$user,$ui) {
		require_once(JPATH_BASE. DS .'components'. DS. 'com_joomlistings'.DS.'includes'.DS.'jlfactory.php');
		$settings = JoomListingsFactory::getSettings();
		global $_CB_framework, $_CB_database, $mainframe;
		$query = "SELECT * FROM #__joomlistings WHERE userid = '". (int) $user->id. "' ORDER BY postdate DESC LIMIT 0, 20";
		$_CB_database->setQuery( $query );
		$items = $_CB_database->loadObjectList();
		$return = "";
		if(!count($items)>0) {
			$return .= "<br /><br /><div class=\"cbNoListings\" style=\"text-align:left;width:95%;\">";
			$return .= _UE_NOLISTINGS;
			$return .= "</div>";
			return $return;
		}
		//$return .= $this->_writeTabDescription( $tab, $user );
		$return .= "<table cellpadding=\"5\" cellspacing=\"0\" border=\"0\" width=\"95%\">";
		$return .= "<tr>";
		$return .= "<th>". JText::_('TITLE') ."</th>";
		if($settings->enable_price){
			$return .= "<th width=\"15%\">" . JText::_('AMOUNT') . "</th>";
		}
		$return .= "<th width=\"12%\">" . JText::_('POSTED') . "</th>";
		$return .= "<th width=\"12%\">" . JText::_('EXPIRY') . "</th>";
		$return .= "<th width=\"5%\">" . JText::_('PUBLISHED'). "</th>";
		$return .= "<th width=\"5%\">". JText::_('FEATURED') . "</th>";
		$return .= "</tr>";
		foreach($items as $a){
			$link = cbSef("index.php?option=com_joomlistings&c=ad&task=view&adid=".$a->id);
			$return .="<tr>";
			$return .="<td><a href=\"$link\">". $a->title ."</a></td>";
			if($settings->enable_price){
				$return .="<td>". $a->currency ." ". $a->price. "</td>";
			}
			$return .="<td>".date("d M,y",strtotime($a->postdate))."</td>";
			$return .="<td>".date("d M,y",strtotime($a->expirydate))."</td>";
			if($a->published){
				$return .="<td><img src=\"".$_CB_framework->getCfg( 'live_site' )."/components/com_joomlistings/images/tick.png\" border=\"0\" /></td>";
			}else{
				$return .="<td><img src=\"".$_CB_framework->getCfg( 'live_site' )."/components/com_joomlistings/images/publish_x.png\" border=\"0\" /></td>";
			}
			if($a->featured){
				$return .="<td><img src=\"".$_CB_framework->getCfg( 'live_site' )."/components/com_joomlistings/images/tick.png\" border=\"0\" /></td>";
			}else{
				$return .="<td><img src=\"".$_CB_framework->getCfg( 'live_site' )."/components/com_joomlistings/images/publish_x.png\" border=\"0\" /></td>";
			}
			$return .="</tr>";
		}
		$return .= "</table>";
		return $return;
	}
}

?>