<?php


// no direct access
defined('_JEXEC') or die('Restricted access');

class modjlSections2Helper
{
	function getCategories(&$params)
	{
		
		$db =& JFactory::getDBO();
		$query="SELECT s.* FROM #__jlsections AS s WHERE published='1' order by ordering, title";
		$db->setQuery($query);
		$rows = $db->loadObjectList();
		
		if(count($rows)>0){
			$i=0;
			for($i=0,$n=count($rows);$i<$n;$i++){
				$r=&$rows[$i];
				$query2 = "SELECT c.* ";
				$query2 .=" FROM #__jlcategories as c WHERE published = 1 AND c.section_id = ".$r->id. " ";
				$query2 .=" ORDER BY c.parent_id ASC"; //order by c.parent_id very important
				$db->setQuery($query2);
				$categories = $db->loadObjectList();
				$Itemid = JLHelper::getBaseItemid();
				$tree = new pvgTree3(new pvgNode3(0));
				foreach ($categories as $cat){
					$link = JRoute::_("index.php?option=com_joomlistings&c=listing&cid={$cat->id}&Itemid={$Itemid}");
					$node = new pvgNode3($cat->id, $cat->title, $link);
					$tree->appendChild($cat->parent_id, $node);
				}
				$r->categories = $tree->renderTree('v');
			}
		}
		return $rows;

	}

}

class pvgNode3{
	var $_id;
	var $_name;
	var	$_link;
	var $_children;
	var $_hasChild = false;
	var $_level;
	var $_open = false;
	var $_close = false;
	
	function __construct($id = 0, $name='pvgtree', $link =''){
		$this->_id = $id;
		$this->_name = $name;
		$this->_link = $link;
		$this->_level = 0;
		$this->_children = array();
	}
	
	function appendChild($child){
		$this->_hasChild = true;
		if(count($this->_children) == 0){
			$child->setOpen();
		}
		$this->_children[] = $child;
		$totalChild = count($this->_children);
		for($i = 0; $i< $totalChild; $i++){
			if($i == $totalChild - 1){
				$this->_children[$i]->setClose(true);
			}else{
				$this->_children[$i]->setClose(false);
			}
		}
	}
	
	function getChildren(){
		return $this->_children;
	}
	
	function getId(){
		return $this->_id;
	}
	
	function getName(){
		return $this->_name;
	}
	
	function setLevel($level){
		$this->_level = $level;
	}
	
	function getLevel(){
		return $this->_level;
	}
	
	function getLink(){
		return $this->_link;
	}
	
	function hasChild(){
		return $this->_hasChild;
	}
	
	function renderNode($mega = false){
		if($this->hasChild()){
			if($this->getLevel()==2 && $this->getOpen()){
				return "<li><a href='".$this->getLink()."'>".$this->getName()."</a>".'<span class="sf-sub-indicator"> &nsbp;</span>';
			}else{
				return "<li><a href='".$this->getLink()."'>".$this->getName()."</a>".'<span class="sf-sub-indicator"> &nsbp;</span>';
			}
			
		}else{
			if($this->getLevel()==2){
				return "<li><a href='".$this->getLink()."'>".$this->getName()."</a></li>";
			}else{
				return "<li><a href='".$this->getLink()."'>".$this->getName()."</a></li>";
			}
		}
	}
	
	function getOpen(){
		return $this->_open;
	}
	
	function setOpen(){
		$this->_open = true;
	}
	
	function getClose(){
		return $this->_close;
	}
	
	function setClose($isClose){
		$this->_close = $isClose;
	}
	
	function getPrepend($vh = 'h'){
		$prepend = "";
		if($this->getOpen() && $this->getLevel() == 1){
			if($vh == 'v'){
				$prepend = "<ul class='v-pvgmenu'>";
			}else{
				$prepend = "<ul class='pvgmenu'>";
			}
		}else if($this->getOpen()){
			$prepend = "<ul>";
		}
		return $prepend;
	}
	
	function getAppend(){
		$append = "";
		if($this->getClose() && !$this->hasChild()){
			$append = "</ul>";
		}
		return $append;
	}
	
}

class pvgTree3{
	var $_root;
	
	function __construct($root){
		$this->_root = $root;
	}
	
	function findNode($id){
		$notFound = false;
		$queue = array();
		array_push($queue, $this->_root);
		while(count($queue)> 0){
			$p = array_shift($queue);
			if($p->getId() == $id){
				return $p;
			}else{
				$notFound = true;
				$children = $p->getChildren();
				if(count($children) > 0){
					foreach($children as $c){
						array_push($queue, $c);
					}
				}
			}
		}
		if($notFound){
			return $this->_root;
		}
	}
	
	function appendChild($id, $child){
		$node = $this->findNode($id);
		$level = $node->getLevel();
		$child->setLevel(++$level);
		$node->appendChild($child);
	}
	
	function renderTree($vh = 'h'){
		$text = "";
		$level = 0;
		$pre_level = 0;
		$stack = array();
		$first = true;
		$children = $this->_root->getChildren();
		if(count($children)> 0){
			$children = array_reverse($children);
			foreach($children as $c){
				array_push($stack, $c);
			}
		}
		
		while(count($stack)> 0){
			$p = array_pop($stack);
			$level = $p->getLevel();
			if($pre_level > $level+1){
				for($k = $pre_level; $k > $level+1; $k--){
					$text .= "</li>";
					if($k == 2){
						$text .= "";
					}
					$text .="</ul>";
				}
				$text .="</li>";
			}else{
				if($pre_level == $level+1){
					$text .= "</li>";
				}
			}
			$text .= $p->getPrepend($vh);
			$text .= $p->renderNode();
			$text .= $p->getAppend();
			$children = $p->getChildren();
			if(count($children)> 0){
				$children = array_reverse($children);
				foreach($children as $c){
					array_push($stack, $c);
				}
			}
			if(count($stack) == 0){
				while(--$level >= 1){
					$text .="</li>";
					if($level == 2){
						$text .= "";
					}
					$text .="</ul>";
				}
			}
			$pre_level = $level;
		}
		return $text;
	}
}
