<?php 
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/
defined('_JEXEC') or die('Restricted access');
jimport("joomla.application.component.controller");

global $option;
require_once (JPATH_ROOT.DS."components".DS.$option.DS."includes".DS."bill.class.php");
class JoomlistingsControllerImage extends JController {

    function images() {
        $stable = JTable::getInstance('setting', 'Table');
        $settings = $stable->getSettings();
        global $mainframe,$option;
        $user = JFactory::getUser();
        $userid = $user->get('id');
        $cid = JRequest::getVar('cid', array());
        $adid = ((int) $cid[0]) ? (int) $cid[0] : JRequest::getVar('adid', 0);
        
        if ($userid) {
            $rmodel = $this->getModel("Region");
            $sess = $rmodel->getRegion();
            $row = JTable::getInstance('listings', 'Table');
            $category = $row->getAdCategory($adid);
            $canEdit = $row->loadForEdit($adid, $userid);
            if (!$canEdit) {
                $link = JRoute::_("index.php?option=$option&c=ad&task=view&adid=$adid", false);
                $msg = "You cannot edit this ad. Only creator can edit this ad";
                $mainframe->redirect($link, $msg, 'error');
            }
            $packModel = $this->getModel('packages');
            $packs = $packModel->getPackageInfoOfUser($userid);
            
            $profmodel = $this->getModel('profile');
            $package = $profmodel->getPackageInfo($userid, $packs[0]->packageid);
            //var_dump($package);die();
            
            $limitstart = JRequest::getVar('limitstart', 0);
            $limit = JRequest::getVar('limit', 15);
            
            $filter = new stdClass ();
            $infilter = new stdClass ();
            $infilter->state = JRequest::getVar('state', -1);

            
            $model = $this->getModel('image');
            $admodel = $this->getModel('listing');
            $ad = $admodel->getAdDetail($adid);
            $total = $model->getImageCount($adid, $infilter);

            
            jimport("joomla.html.pagination");
            $pagenav = new JPagination($total, $limitstart, $limit);
            
            $imagelist = $model->getImageList($adid, $infilter);
            
            $view = $this->getView('_image', 'html');
            $view->assignRef('images', $imagelist);
            $view->assignRef('ad', $ad);
            $view->setLayout('_list');
            $view->assignRef('pagenav', $pagenav);
            $state[] = JHTML::_('select.option', '-1', JText::_('All'), 'id', 'title');
            $state[] = JHTML::_('select.option', '1', JText::_('Published'), 'id', 'title');
            $state[] = JHTML::_('select.option', '0', JText::_('Unpublished'), 'id', 'title');
            
            $filter->states = JHTML::_('select.genericlist', $state, 'state', 'class="inputbox" size="1"', 'id', 'title', intval($infilter->state));
            $view->assignRef('filter', $filter);
            $view->assignRef('user', $user);
            $view->assignRef('package', $package);
            $view->assignRef('settings', $settings);
            
            global $mainframe;
            $pathway = &$mainframe->getPathway();
            if ($settings->enable_regions) {
                $pathway->addItem($sess->region.",  ".$sess->location, JRoute::_("index.php?option=$option&c=directory&task=change", false));
            }
            
            $cmodel = $this->getModel('category');
            $sectiondetail = $cmodel->getSectionDetail($row->sectionid);
            
            $pathway->addItem(JText::_('CATEGORIES'), JRoute::_("index.php?option=$option&view=directory", false));
            if ($settings->enable_sections) {
                $slink = JRoute::_("index.php?option=$option&c=directory&task=cat&sid=$row->sectionid", false);
                $pathway->addItem($sectiondetail->title, $slink);
            }
            $pathway->addItem($category->title, JRoute::_("index.php?option=$option&c=listing&cid=".$category->id, false));
            $adlink = JRoute::_("index.php?option=$option&c=ad&task=view&adid=".$row->id, false);
            $pathway->addItem($row->title, $adlink);
            
            $pathway->addItem(JText::_('IMAGES'), '');
            $view->display();
        } else {
            $link = JRoute::_("index.php?option=$option&c=image&task=images&cid[]=$adid", false);
            $return = base64_encode($link);
            $link = JRoute::_("index.php?option=com_user&view=login&return=$return", false);
            $msg = "You must login to view images";
            $mainframe->redirect($link, $msg);
        }
        
    }
    
    function orderup() {
        global $mainframe,$option;
        
        $db = &JFactory::getDBO();
        
        $cid = JRequest::getVar('cid', array(), 'post', 'array');
        
        $adid = JRequest::getVar('adid');
        
        if (isset($cid[0])) {
            $row = &JTable::getInstance('image', 'Table');
            $row->load((int) $cid[0]);
            
            $row->move(-1, " adid='$adid'");

            
        }
        
        $mainframe->redirect("index.php?option=$option&c=image&task=images&cid[]=$adid", 'Your images are ordered');
    }
    
    function orderdown() {
    
        global $mainframe,$option;

        
        $db = &JFactory::getDBO();
        
        $cid = JRequest::getVar('cid', array(), 'post', 'array');
        $adid = JRequest::getVar('adid');
        
        if (isset($cid[0])) {
            $row = &JTable::getInstance('image', 'Table');
            $row->load((int) $cid[0]);
            $row->move(1, " adid='$adid'");
        }
        
        $mainframe->redirect("index.php?option=$option&c=image&task=images&cid[]=$adid", 'Your images are ordered');
    }
    
    function saveorder() {
        global $mainframe,$option;
        
        $adid = JRequest::getVar('adid');
        // Initialize variables
        $db = &JFactory::getDBO();
        $total = count($cid);
        $order = JRequest::getVar('order', array(0), 'post', 'array');
        JArrayHelper::toInteger($order, array(0));
        
        $row = &JTable::getInstance('image', 'Table');
        $groupings = array();
        
        // update ordering values
        for ($i = 0; $i < $total; $i++) {
            $row->load((int) $cid[$i]);
            // track categories
            
            if ($row->ordering != $order[$i]) {
                $row->ordering = $order[$i];
                if (!$row->store()) {
                    JError::raiseError(500, $db->getErrorMsg());
                }
            }
        }
        
        $msg = 'New ordering saved';
        $mainframe->redirect("index.php?option=$option&c=image&task=images&cid[]=$adid", $msg);
    }
    
    function save() {
    
        global $option,$mainframe;
        $user = JFactory::getUser();
        $userid = $user->get('id');
        if ($userid) {
            $images = JRequest::get('files');
            $adid = JRequest::getVar('adid', 0);
            $admodel = $this->getModel('listing');
            $link = JRoute::_("index.php?option=$option&c=image&task=images&cid[]=$adid", false);
            $ad = $admodel->getAdDetail($adid);
            if (count($images['images']['name']) > 0) {
                $imgarr = array();
                
                $count = count($images['images']['name']);
                
                for ($i = 0; $i < $count; $i++) {
                    $curimg = array();
                    $curimg['name'] = $images['images']['name'][$i];
                    $curimg['type'] = $images['images']['type'][$i];
                    $curimg['tmp_name'] = $images['images']['tmp_name'][$i];
                    $curimg['error'] = $images['images']['error'][$i];
                    $curimg['size'] = $images['images']['size'][$i];
                    $imgarr[] = $curimg;
                    
                }
                require_once (JPATH_ROOT.DS."components".DS.$option.DS."includes".DS."upload.class.php");

                
                foreach ($imgarr as $img) {
                
                    if (! empty($img['name'])) {
                        $imageX = new Upload($img);
                        
                        $imageX->dir_auto_chmod = true;
                        $imageX->dir_chmod = 0777;
                        
                        $imagefolder = JPATH_ROOT.DS."images".DS."ads".DS.$userid;
                        
                        $imagename = str_replace(" ", "_", trim(substr($ad->title, 0, 6)).rand(1000, 9999));
                        $errorlevel = 0;
                        
                        /**
                         * 	Upload
                         * */
                        if ($imageX->uploaded) {
                        
                            if ($imageX->file_is_image) {
                                $imageX->file_new_name_body = $imagename;
                                $imageX->file_name_body_add = "_sthm";
                                $imageX->image_resize = true;
                                $imageX->image_ratio = true;
                                $imageX->image_x = 120;
                                $imageX->image_y = 100;
                                
                                $imageX->image_convert = 'jpg';
                                $imageX->Process($imagefolder);
                                
                                if (!$imageX->processed) {
                                    $errorlevel = 1;
                                }
                                
                                $imageX->file_new_name_body = $imagename;
                                $imageX->file_name_body_add = "_thm";
                                $imageX->image_resize = true;
                                $imageX->image_ratio_y = true;
                                $imageX->image_x = 200;
                                $imageX->image_convert = 'jpg';
                                $imageX->Process($imagefolder);
                                
                                if (!$imageX->processed) {
                                    $errorlevel = 2;
                                }
                                
                                $imageX->file_new_name_body = $imagename;
                                $imageX->file_name_body_add = "_lthm";
                                $imageX->image_resize = true;
                                $imageX->image_ratio_y = true;
                                $imageX->image_x = 300;
                                $imageX->image_convert = 'jpg';
                                $imageX->Process($imagefolder);
                                
                                if (!$imageX->processed) {
                                    $errorlevel = 2;
                                }
                                
                                $imageX->file_new_name_body = $imagename;
                                $imageX->file_name_body_add = "";
                                $imageX->image_resize = true;
                                $imageX->image_ratio_y = true;
                                $imageX->image_x = 600;
                                
                                $imageX->image_convert = 'jpg';
                                $imageX->Process($imagefolder);
                                
                                if (!$imageX->processed) {
                                    $errorlevel = 3;
                                }

                                
                            }
                        } else {
                            $errorlevel = 4;
                        }
                        
                        if ($errorlevel == 0) {
                        
                            $tbl = JTable::getInstance('image', 'Table');
                            $tbl->image = $imagename;
                            $tbl->adid = $adid;
                            $tbl->published = '1';
                            $tbl->ordering = $tbl->getNextOrder("adid ='$adid'");
                            
                            $tbl->store();
                            
                        }
                    }
                }
                $msg = "Images added successfully";
            } else {
            
                $msg = "Image Could not be saved. Try Again";
            }
            
        } else {
            $return = base64_encode($link);
            $link = JRoute::_("index.php?option=com_user&view=login&return=$return", false);
            $msg = "You need to login to add images";
            
        }
        
        $mainframe->redirect($link, $msg);
    }
    
    function del() {
        global $mainframe,$option;
        $basepath = JPATH_ROOT.DS."images".DS."ads";
        $user = JFactory::getUser();
        $userid = $user->get('id');
        
        $cid = JRequest::getVar('cid', array(), '', 'array');
        $adid = JRequest::getVar('adid', 0);
        $db = JFactory::getDBO();
        if (count($cid)) {
            $cids = implode(',', $cid);
            $query = "SELECT * from #__jlimages where id in ($cids)";
            $db->setQuery($query);
            
            $images = $db->loadObjectList();
            if (count($images) > 0) {
                foreach ($images as $img) {
                    if (file_exists($basepath.DS.$userid.$img->image.".jpg")) {
                        unlink($basepath.DS.$userid.$img->image.".jpg");
                    }
                    
                    if (file_exists($basepath.DS.$userid.$img->image."_thm.jpg")) {
                        unlink($basepath.DS.$userid.$img->image."_thm.jpg");
                    }
                    
                    if (file_exists($basepath.DS.$userid.$img->image."_sthm.jpg")) {
                        unlink($basepath.DS.$userid.$img->image."_sthm.jpg");
                    }
                    if (file_exists($basepath.DS.$userid.$img->image."_lthm.jpg")) {
                        unlink($basepath.DS.$userid.$img->image."_lthm.jpg");
                    }
                }
            }
            $query = "DELETE from #__jlimages where id in ($cids)";
            $db->setQuery($query);
            if (!$db->query()) {
                echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
            }
            $mainframe->redirect("index.php?option=$option&c=image&task=images&cid[]=$adid", JText::_('Image(s) deleted successfully'));
        }
    }
    
    function publish() {
        global $mainframe,$option;
        $adid = JRequest::getVar('adid', 0);
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        $publish = '1';
        $msg = "Image(s) Published Successfully";
        
        $imgTable = &JTable::getInstance('image', 'Table');
        $imgTable->publish($cid, $publish);
        $mainframe->redirect("index.php?option=$option&c=image&task=images&cid[]=$adid", $msg);
        
    }
    function unpublish() {
        global $mainframe,$option;
        $adid = JRequest::getVar('adid', 0);
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        $publish = '0';
        $msg = "Image(s) Published Successfully";
        
        $imgTable = &JTable::getInstance('image', 'Table');
        $imgTable->publish($cid, $publish);
        $mainframe->redirect("index.php?option=$option&c=image&task=images&cid[]=$adid", $msg);
        
    }
}
?>
