<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/
defined('_JEXEC') or die('Restricted access');

jimport("joomla.application.component.controller");

global $option;
require_once(JPATH_ROOT.DS."components".DS.$option.DS."includes".DS."bill.class.php");
class JoomlistingsControllerMessage extends JController
{
	function display()
	{

	}

	function detail()
	{
		global $mainframe,$option;

		$user=JFactory::getUser();
		$userid=$user->get('id');
		if($userid)
		{
			$mid=JRequest::getVar('id',0);
			$model=$this->getModel('message');

			$msg=$model->getMessage($mid,$userid);

			$view=$this->getView('message','raw');
			$view->assignRef('msg',$msg);
			$view->setLayout('_detail');
			$view->modDisplay();
			$rowx = JTable::getInstance('listings', 'Table');

			$rowx->load($msg->adid);
			$stable=JTable::getInstance('setting','Table');
			$settings=$stable->getSettings();
			$mainframe->triggerEvent('onPMRead', array($rowx, $user, null, $msg));
		}
		else
		{
			echo "Your Session Expired. You need to login to view message!";
		}

	}


	function compose()
	{
		$user=JFactory::getUser();
		$userid=$user->get('id');
		if($userid)
		{
			$id=JRequest::getVar('id',0);
			$model=$this->getModel('message');

			$msg=$model->getMessage($id,$userid);

			$view=$this->getView('message','raw');
			$view->assignRef('msg',$msg);
			$view->setLayout('_compose');
			$view->modDisplay();


		}
		else
		{

		}

	}

	function inbox()
	{
		$limitstart=JRequest::getVar('limitstart',0);
		$limit=JRequest::getVar('limit',10);

		$user=JFactory::getUser();
		$userid=$user->get('id');
		if($userid)
		{
			$mid=JRequest::getVar('mid',0);
			$model=$this->getModel('message');

			$msg=$model->getInbox(1,$userid,$limitstart,$limit);
			jimport("joomla.html.pagination");
			$total=$model->getInbox(1,$userid);

			$pagenav=new JPagination($total,$limitstart,$limit);
			$view=$this->getView('message','raw');
			$view->assignRef('messages',$msg);
			$view->assignRef('pagenav',$pagenav);
			$view->setLayout('_list');
			$view->modDisplay();
		}
		else
		{
		 echo "Your Session Expired. You need to login to view message!";
		}

	}

	function notification()
	{
		$limitstart=JRequest::getVar('limitstart',0);
		$limit=JRequest::getVar('limit',10);

		$user=JFactory::getUser();
		$userid=$user->get('id');
		if($userid)
		{
			$mid=JRequest::getVar('mid',0);
			$model=$this->getModel('message');

			$msg=$model->getInbox(2,$userid,$limitstart,$limit);
			jimport("joomla.html.pagination");
			$total=$model->getInbox(2,$userid);

			$pagenav=new JPagination($total,$limitstart,$limit);
			$view=$this->getView('message','raw');
			$view->assignRef('messages',$msg);
			$view->assignRef('pagenav',$pagenav);
			$view->setLayout('_list');
			$view->modDisplay();
		}
		else
		{
		 echo "Your Session Expired. You need to login to view message!";
		}

	}

	function save()
	{
		// here is case reply

		global $mainframe,$option;
		JPluginHelper::importPlugin('joomlistings');
		$user=JFactory::getUser();
		$userid=$user->get('id');
		if($userid)
		{
			$table = JTable::getInstance('joommessage','Table');
			$table->load(JRequest::getVar('id'));
			$model=$this->getModel('message');
			$link=JRoute::_("index.php?option=$option&view=message",false);
			$data=JRequest::get('post');
			$data['fromid']=$userid;
			$data['frommsg']=$user->get('username');
			$data['email']=$user->get('email');
			$data['msgtype']='1';
			$xuser=JFactory::getUser( JRequest::getVar('tomsg'));
			$filter=new stdClass();
			$filter->filter= array('fromid'=>$userid);
			$filter->listingid=JRequest::getVar('adid',0);
			$msg_to_send = new JObject();
			$msg_to_send->set('reciever', $table->get('frommsg'));
			$msg_to_send->set('subject', JRequest::getVar('subject',''));
			$msg_to_send->set('message', JRequest::getVar('message',''));
			$msg_to_send->set('email', $table->email);
			$msg_to_send->set('frommsg', $user->get('username'));
			$msg_to_send->set('postdate', date('Y-m-d H:i:s'));
			
			$mainframe->triggerEvent('onPMPostReply',array($filter,$xuser, null, $msg_to_send));

			if($model->save($data))
			{
				$msg="Message Posted Successfully";
			}
			else
			{
				$msg="Message could not be posted";
			}

		}
		else
		{
			$rlink=base64_encode(JRoute::_("index.php?option=$option&view=message",false));
			$link=JRoute::_("index.php?option=com_user&view=login&return=$rlink",false);
			$msg="Login to view your messages";
		}
		$mainframe->redirect($link,$msg);
	}

	function delete()
	{
		global $mainframe,$option;
		$cid=JRequest::getVar('cid',array(),'','array');
		$db=JFactory::getDBO();
		if(count($cid))
		{
			$cids=implode(',',$cid);
			$query="DELETE from #__jlmessages where id in ($cids)";
			$db->setQuery($query);
			if(!$db->query())
			{
				echo "<script> alert('".$db->getErrorMsg()."');
			window.history.go(-1); </script>\n";
			}
			$msg=JText::_('Message(s) deleted successfully');
		}
		else
		{
			$msg="No message to delete";
		}

		$mainframe->redirect("index.php?option=$option&view=message",$msg);
	}
	function gm()
	{
		$user=JFactory::getUser();
		$userid=$user->get('id');
		if($userid)
		{
			$mid=JRequest::getVar('mid',0);
			$model=$this->getModel('message');

			$msg=$model->getMessage($mid,$userid);

			$view=$this->getView('messagedetail','raw');
			$view->assignRef('msg',$msg);
			$view->display();
		}
		else
		{
		 echo "Your Session Expired. You need to login to view message!";
		}
	}
}
?>