<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/
defined('_JEXEC') or die('Restricted access');
jimport("joomla.application.component.controller");
global $option;
require_once(JPATH_ROOT.DS."components".DS.$option.DS."includes".DS."bill.class.php");

class JoomlistingsControllerPayment extends JController
{

	function pay()
	{
		global $mainframe,$option;
		$user =& JFactory::getUser();
		$userid = $user->get('id');
		if($userid)
		{

			$plugin = (int)JRequest::getVar('plugin',0);
			$inurl = JRequest::getVar('inurl','');
			$paymentclasspath = JPATH_COMPONENT.DS."includes".DS."payment.class.php";
			require_once($paymentclasspath);
			$objPayment = new Payment();

			$objPayment->setPlugin($plugin);
			$post=JRequest::get('post');
			$post['email']=$user->get('email');

			if($tx = $objPayment->pay($post))
			{
				if($objPayment->redir)
				{
					$inurl = base64_decode($inurl)."&tid=$tx";
					$mainframe->redirect($inurl);
				}
			}
			else
			{
				$link = JRoute::_("index.php?option=$option&view=transaction",false);
				$msg = 'Payment was unsuccessfull';
				$mainframe->redirect($link,$msg);
			}

		}
		else
		{
			$link=JRoute::_("index.php?option=com_user&view=login",false);
			$mainframe->redirect($link,"Login to make payment. You need to restart the whole process again.");
		}
	}

	function confirm()
	{
		$plugin = (int)JRequest::getVar('plugin', 0);
		$inurl = JRequest::getVar('inurl','');
		$paymentclasspath = JPATH_COMPONENT.DS."includes".DS."payment.class.php";
		require_once($paymentclasspath);
		$objPayment = new Payment();
		$objPayment->setPlugin($plugin);
		$user =& JFactory::getUser();
		$userid = $user->get('id');
		$urls = array();
		$urls['returnurl'] = "index.php?option=com_joomlistings&c=payment&task=success&inurl=$inurl&uid=$userid";
		$urls['notifyurl'] = "index.php?option=com_joomlistings&c=payment&task=notify&inurl=$inurl&uid=$userid";
		$urls['cancelurl'] = "index.php?option=com_joomlistings&c=payment&task=cancel";
		$objPayment->setUrls($urls);
		$post = JRequest::get('post');
		$objPayment->setCustom(JRequest::getVar('custom', ''));
		$objPayment->confirm($post);
		$view = $this->getView('_payment','html');
		$view->setLayout('_preprocess');
		$view->assignRef('obj',$objPayment);
		$view->display();
	}

	function notify(){
		global $mainframe,$option;
		JPluginHelper::importPlugin('joomlistings');
		$inurl = JRequest::getVar('inurl','');
		$plugin = (int)JRequest::getVar('plugin',0);
		$paymentclasspath = JPATH_COMPONENT.DS."includes".DS."payment.class.php";
		require_once($paymentclasspath);
		$objPayment = new Payment();
		$objPayment->setPlugin($plugin);
		$objPayment->notify();
	}

	function success(){
		global $mainframe,$option;
		//JPluginHelper::importPlugin('joomlistings');
		$inurl		= JRequest::getVar('inurl','');
		$uid		= JRequest::getVar('uid',0);
		$inurl		= base64_decode($inurl);
		$urlparts	= explode('?',$inurl);
		$uid		= JRequest::getVar('uid',0);
		
		if(count($urlparts)>1)
		{
			$urlsubparts	= explode('&',$urlparts[1]);
			$urlsubparts[]	= "uid=$uid";
			$urlsubparts[]	= "redir=1";
			$urlparts[1]	= implode("&",$urlsubparts);
		}
		else
		{
			$urlsubparts	= array();
			$urlsubparts[]	= "uid=$uid";
			$urlsubparts[]	= "redir=1";
			$urlparts[1]	= implode("&",$urlsubparts);
		}
		$inurl	= implode("?",$urlparts);
		$mainframe->redirect($inurl);
	}

	function cancel()
	{
		global $mainframe,$option;
		JPluginHelper::importPlugin('joomlistings');
		$plugin = (int)JRequest::getVar('plugin',0);
		$paymentclasspath = JPATH_COMPONENT.DS."includes".DS."payment.class.php";
		require_once($paymentclasspath);
		$objPayment = new Payment();
		$objPayment->setPlugin($plugin);
		$objPayment->cancel();
		$inurl = base64_decode($inurl);
		$urlparts = explode('?',$inurl);
		$uid = JRequest::getVar('uid',0);
		if($uid){
			if(count($urlparts)>1){
				$urlsubparts	=	explode('&',$urlparts[1]);
				$urlsubparts[]	=	"uid=$uid";
				$urlparts[1] 	=	implode("&",$urlsubparts);
			}
			else{
				$urlsubparts	=	array();
				$urlsubparts[]	=	"uid=$uid";
				$urlparts[1]	=	implode("&",$urlsubparts);
			}
			$inurl = implode("?",$urlparts);
		}
		$mainframe->redirect($inurl, 'Payment cancelled');
	}

}
?>
