<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/
defined('_JEXEC') or die('Restricted access');

class XMail
{

	var $transform=array();
	var $recepients=array();
	var $body=null;
	var $subject=null;
	var $cooked_body=null;
	var $cooked_subject=null;
	var $sender=null;
	var $replyto=null;


	function __construct(){

	}

	function setTransform($transform = array()){
		$this->transform = $transform;
	}

	function setRecepients($receipents = array()){
		$this->recepients = $receipents;
	}

	function setBody($body = null){
		$this->body = $body;
	}

	function setSubject($subject=null){
		$this->subject=$subject;
	}

	function getBody(){
		return $this->cooked_body;
	}

	function getSubject(){
		return $this->cooked_subject;
	}

	function setSender($sender = null){
		$this->sender = $sender;
	}

	function setReplyTo($replyto = null){
		$this->replyto = $replyto;
	}

	function init(){
		$pattern = array();
		$values = array();
		if(count($this->transform)>0){
			foreach($this->transform as $t=>$v){
				$pattern[] = $t;
				$values[] = $v;
			}
			ksort($pattern);
			ksort($values);
			$this->cooked_body = preg_replace( $pattern, $values, $this->body);
			$this->cooked_subject = preg_replace( $pattern, $values, $this->subject);
		}
	}


	function send(){
		if(count($this->recepients)>0){
			$mail =& JFactory::getMailer();
			$mail->setSender($this->sender);
			$mail->setSubject($this->cooked_subject);
			$mail->setBody($this->cooked_body);
			$mail->addReplyTo($this->replyto);
			$mail->IsHTML(true);
			$mail->addRecipient($this->recepients);
			if($mail->Send()){
				return true;
			}
			else{
				throw new Exception("Mail Could not be sent", 404);
			}
		}
	}
}
