<?php
/*************************************************
 Author: JoomClan.com
 Creation Date: 2009-11-25
 Author Email: joomclan@gmail.com
 Url: http://www.joomclan.com
 Copyright: 2009-2010
 License: GNU
 Component Version: 2.1.7
 Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
 The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
 Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
 **************************************************/

defined('_JEXEC') or die('Restricted access');



//import Joomla Model
jimport("joomla.application.component.model");

class JoomlistingsModelSubscribe extends JModel
{
	function save($user_id, $subscr_id, $pid)
	{
		$data = array();
		$data['user_id'] = $user_id;
		$data['subscr_id'] = $subscr_id;
		$data['subscribe_date'] = date('Y-m-d H:i:s');
		$data['cancelled'] = 0;
		$data['pid'] = $pid;
		$pmodel = JModel::getInstance('packages', 'JoomlistingsModel');
		$package = $pmodel->getPackageDetail($pid);
		$next = '';
		if($package->days == -1){
			$next = -1;
		}else{
			$next = date('Y-m-d H:i:s', strtotime("+ {$package->days} days", strtotime($data['subscribe_date'])));
		}
		$data['next_update_user_package'] = $next;
		$table = $this->getTable('subscribe','Table');
		if (!$table->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		if (!$table->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		if (!$table->store()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		return $table->id;
		
	}
	
	function subscribe_cancel($subscr_id, $pid){
		$today = date('Y-m-d H:i:s');
		$query = "UPDATE #__jluser_subscribes SET `cancelled` = 1, `cancel_date` = '$today' WHERE subscr_id = '". $subscr_id."' AND pid ='$pid'";
		$this->_db->setQuery($query);
		$this->_db->query();
	}
	
	function userSubscribedPackage($userId){
		$query = "SELECT * FROM #__jluser_subscribes WHERE `user_id` = $userId AND `cancelled` <> 1";
		$this->_db->setQuery($query);
		$results = $this->_db->loadObjectList();
		$ret = array();
		if($results){
			foreach($results as $row){
				$ret[] = $row->pid;
			}
		}
		return $ret;
	}


	
}
?>
