<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
global $mainframe;
JPluginHelper::importPlugin('joomlistings');
$error=new stdClass();
$error->title="No Default Section";
$error->description="No Default Section Defined";
$user=&JFactory::getUser();
$mainframe->triggerEvent('onError', array($error, $user));
?>
<h2>Error - No Default Section set for listings.</h2>
This error occured because there is no default section set for listings.
The default section is either deleted accidently or not set by
administrator. To resolve this issue:
<ul>
	<li>Ask the site administrator to set the default section.</li>
	<li>OR enable the sections</li>

</ul>
You can email the administrator at
<a href="mailto:<?php echo $mainframe->getCfg('mailfrom');?>"><?php echo $mainframe->getCfg('mailfrom');?></a>
