<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$csspath=JUri::root()."/components/$option/css/default.css";
$document=JFactory::getDocument();
$document->addStyleSheet($csspath);
JHTML::_('behavior.calendar');
$editor =& JFactory::getEditor();
?>
<div class="componentheading"><?php echo JText::_('ADDNEW_CLS_AD');?></div>
<div class="info"><?php echo JText::_('COMPULSORY_FIELDS');?></div>
<form name="adminForm" action="<?php echo JRoute::_("index.php");?>" method="post">
<input type="hidden" name="option" value="<?php echo $option; ?>"/>
<input type="hidden" name="c" value="listing"/>
<input type="hidden" name="task" value="save"/>
<input type="hidden" name="category" value="<?php echo $this->category; ?>"/>

<table width="100%" border="0" cellpadding="5" cellspacing="0">
<tr>
<td width="15%" class="inputtitle"><?php echo JText::_('TITLE');?> <span class="required">*</span></td><td><input type="text" name="title" class="inputboxw inputbox" /></td>
</tr>

<tr>
<td  class="inputtitle"><?php echo JText::_('PRICE');?><span class="required">*</span></td><td><?php echo $this->currency ?><input type="text" name="price" width="15" class="inputboxw inputbox" /></td>
</tr>
<?php

if(count($this->extrafields)>0)
{
	foreach($this->extrafields as $e)
	{
		?>
<tr>
<td  class="inputtitle"><?php echo $e->keyfield; ?> <?php echo $e->required?'<span class="required">*</span>':''; ?></td><td>
<?php
	switch($e->fieldtype)
	{
/*	case 'checkbox':
			$el=array();
			if(count($e->options)>0)
			{
				foreach($e->options as $o)
				{
					$ex=new stdClass();
					$ex->value=$o->optionvalue;
					$ex->text=$o->optiontext;

					$el[]=$ex;

				}
			}

			//function radiolist( $arr, $name, $attribs = null, $key = 'value', $text = 'text', $selected = null, $idtag = false, $translate = false )
			echo JHTML::_('select.radiolist',   $el, "field[$e->id]", 'class="inputboxw" size="1"', 'value', 'text' );
			break;
*/
		case 'radio':
			$el=array();
			if(count($e->options)>0)
			{

				foreach($e->options as $o)
				{
					$ex=new stdClass();
					$ex->value=$o->optionvalue;
					$ex->text=$o->optiontext;

					$el[]=$ex;

				}
			}

			//function radiolist( $arr, $name, $attribs = null, $key = 'value', $text = 'text', $selected = null, $idtag = false, $translate = false )
			echo JHTML::_('select.radiolist',   $el, "field[$e->id]", 'class="inputboxw inputbox" size="1"', 'value', 'text' );
			break;
		case 'select':
			$sel=array();
			if(count($e->options)>0)
			{

				foreach($e->options as $o)
				{
					$ex=new stdClass();
					$ex->value=$o->optionvalue;
					$ex->text=$o->optiontext;

					$sel[]=$ex;


				}
			}
			echo JHTML::_('select.genericlist',   $sel, "field[$e->id]", 'class="inputboxw inputbox" size="1"', 'value', 'text' );
			break;
		default:
			?>
			<input type="text" name="field[<?php echo $e->id;?>]" width="15" class="inputboxw" />
			<?php
			break;
	}
?>
</td>
</tr>
		<?php
	}
}
?>

<tr>
<td  class="inputtitle"><?php echo JText::_('AD_EXPIRES');?></td><td><?php echo JHTML::_('calendar', null, 'expirydate', 'expirydate', '%Y-%m-%d', array('class'=>'inputboxw inputbox', 'size'=>'25',  'maxlength'=>'19')); ?></td>
</tr>
<tr>
<td  class="inputtitle"><?php echo JText::_('DESCRIPTION');?> <span class="required">*</span></td><td>&nbsp;</td>
</tr>
<tr>
<td colspan="2"><?php
							// parameters : areaname, content, width, height, cols, rows, show xtd buttons
							echo $editor->display( 'description',  null, '550', '300', '60', '20', array('pagebreak', 'readmore','image') ) ;
							?></td>
</tr>
<tr>
<td class="inputtitle"><?php echo JText::_('KEYS_TAGS');?></td><td><input type="text" name="keywords" width="45" class="inputboxw inputbox" /></td>
</tr>
<tr><td>&nbsp;
</td><td><input type="submit" value="save"></td>
</tr>

</table>

</form>
