<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!. 
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$csspath=JUri::root()."/components/$option/css/default.css";
$document=JFactory::getDocument();
$document->addStyleSheet($csspath);
$basepath=JPATH_ROOT.DS."images".DS."ads";
$baseurl=JUri::root()."images/ads";

$querystr=$_SERVER['QUERY_STRING'];
$querystr=JLHelper::getUrlWOLayout($querystr);

$listview=JRoute::_("index.php?".$querystr."layout=_image",false);

$postlink=JRoute::_("index.php?option=$option&view=ad&layout=post",false);

$loginlink=JRoute::_("index.php?option=com_user&view=login&return=$return",false);
$user=JFactory::getUser();
$userid=$user->get('id');

if(!$this->type)
{
	$showall=JRoute::_("index.php?option=$option&c=listing&layout=_image&type=1",false);
	$showall_text="<?php echo JText::_('SHOW_ALL_ADS');?>";
}
else
{
	$showall=JRoute::_("index.php?option=$option&view=directory",false);
	$showall_text="<?php echo JText::_('VIEW_BY_CAT');?>";
}
?>
<?php 
if($this->settings->enable_colors)
{
?>
<style>
.orange
{
	background-color:<?php echo $this->settings->bgcolor_orange;?>;
	color:<?php echo $this->settings->fgcolor_orange;?>;
	border:1px solid #<?php echo $this->settings->border_orange;?>;
	
}
.red
{
	background-color:<?php echo $this->settings->bgcolor_red;?>;
	color:<?php echo $this->settings->fgcolor_red;?>;
	border:1px solid #<?php echo $this->settings->border_red;?>;
}

.featured
{
	background-color:<?php echo $this->settings->bgcolor_featured;?>;
	color:<?php echo $this->settings->fgcolor_featured;?>;
	border:1px solid #<?php echo $this->settings->border_featured;?>;
}
</style>
<?php 
}
?>
<div class="componentheading"></div>
<div class="buttonstage">
<table width="100%" cellpadding="5" cellspacing="0" border="0" >
<tr>
<td width="70%"><strong><?php echo $this->pagenav->getResultsCounter(); ?></strong> &nbsp;&nbsp;&nbsp;List View
<?php 
if($this->settings->enable_grid)
{
?> 
| <a href="<?php echo $listview; ?>">Grid View</a>
<?php 
}
?>
</td>
<td align="right"> <?php
if($this->user->get('id'))
{
	?><a href="<?php echo $postlink; ?>"><?php echo JText::_('POST_ADD');?></a> - <?php echo JText::_('QUICK_SIMPLE');?><?php

}
else
{
?>
<a href="<?php echo $loginlink; ?>"><?php echo JText::_('LOGIN_TO_POSTAD');?></a>
<?php
}

?>
</td>
</tr>
</table>
</div>
<div>
<?php
if(count($this->listings)>0)
{
	foreach($this->listings as $l)
	{
		$detailink=JRoute::_("index.php?option=$option&c=ad&task=view&adid=$l->id");
		$wishlistlink=JRoute::_("index.php?option=$option&c=ad&task=adw&adid=$l->id");
		$contactlink=JRoute::_("index.php?option=$option&c=ad&task=contact&adid=$l->id");
			$editlink=JRoute::_("index.php?option=$option&c=ad&task=edit&cid[]=$l->id",false);
		$imageslink=JRoute::_("index.php?option=$option&c=image&task=images&cid[]=$l->id",false);
		
	?>
	<table width="100%" border="0" cellpadding="2" cellspacing="0" class="adtable <?php if($l->featured) echo "featured"; ?> <?php 
	if($l->listingtype==2)
	{
		echo "red";
	}
	elseif($l->listingtype==1)
	{
		echo "orange";
	}
	 ?>">
	<tr>
	<td  rowspan="4" width="15%" valign="top"><a href="<?php echo $detailink; ?>">
	<img class="img2" src="<?php if(file_exists($basepath.DS.$l->userid.DS.$l->image."_sthm.jpg"))
		{
			echo $baseurl."/".$l->userid."/".$l->image."_sthm.jpg";
		}
		else
		{
				$xurl=JUri::base()."components/$option/images";
			echo $xurl."/noimage_sthm.jpg";

		}
	?>" /></a>
	</td>

	<td class="title"><a class="adtitle" href="<?php echo $detailink; ?>"><?php echo $l->title; ?></a> 
	<?php if($this->settings->enable_listing_type)
	{?>
	-  <?php echo $l->type; ?>
	<?php 
	}
	?>
	</td>
	</tr>
	<tr>
	<td class="price">
		<?php 
	if($this->settings->enable_price)
	{
	?>
	<strong><?php echo JText::_('PRICE');?>:</strong><?php echo $l->currencysymbol; ?><?php echo number_format($l->price,2); ?> <?php echo $l->currency; ?> 
	<?php 
	}
	?>
	<strong><?php echo JText::_('POSTED');?>:</strong>
	 <?php echo JHTML::_('date', $l->postdate, JText::_('DATE_FORMAT_LC3')) ?> <?php if($l->featured) echo "<strong>".JText::_('FEATURED')."</strong>"; ?>
	
	<strong><?php echo JText::_('POSTED_UNDER');?>:</strong>  <?php if ($this->settings->enable_sections) {echo $l->section; ?> &raquo; <?php } echo $l->category; ?>

	</td>

	</tr>
	<tr>
	<td valign="top"><?php echo JLHelper::truncate($l->description,300); ?>
	</td>
	</tr>
	<tr>
	<td class="links" >
	<a  href="<?php echo $detailink; ?>"><?php echo JText::_('FULL_DETAIL_AND');?> <?php echo (int)$l->imagecount; ?> <?php echo JText::_('PHOTOS');?></a> | 
	<?php 
	if($userid==$l->userid)
	{
		?> 
		<a  href="<?php echo $imageslink; ?>"><?php echo JText::_("MANAGE_IMAGES");?></a> |
	<a  href="<?php echo $editlink; ?>"><?php echo JText::_('EDIT');?></a>
	<?php 
	}
	else
	{
	?> 
	<a  href="<?php echo $wishlistlink; ?>"><?php echo JText::_("ADDTO_WISHLIST");?></a> |
	<a  href="<?php echo $contactlink; ?>"><?php echo JText::_("CONTACT_ADVERTISER");?></a>
	<?php 
	}
	?>
	</td>
	</tr>

	</table>
	<?php
	}
}
else
{
	echo "<?php echo JText::_('NO_ADD_POST');?>";
}
?>
</div>
<div class="pages">
<?php echo $this->pagenav->getPagesLinks(); ?>
</div>