<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

	defined('_JEXEC') or die('Restricted access');
	JHTML::_('behavior.mootools');
	//JHTML::_('behavior.calendar');
	$settings = JoomListingsFactory::getSettings();
	$document =& JFactory::getDocument();
	if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
		define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
		$document->addStyleSheet(JUri::root()."components/$option/css/default.css");
	}
	$document->addStyleSheet(JUri::root()."components/$option/css/uniform.default.css");
	if($settings->enable_packages && $this->package->enable_upload_video_doc){
		$document->addStyleSheet(JUri::root()."components/$option/css/uploadify.css");
	}
	
	$document->setTitle($this->ad->title);
	$document->setMetaData('keywords',$this->ad->tags);
	$document->setMetaData('description',$this->ad->description);
	
	if(!defined('_JOOMLISTING_LOAD_JQUERY')){
		define('_JOOMLISTING_LOAD_JQUERY', 1);
	
		$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-1.4.2.min.js');
		$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.noconflict.js');
	}
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.jqEasyCharCounter.min.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.uniform.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.qtip-1.0.0-rc3.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.validate.min.js');
	if($settings->enable_packages && $this->package->enable_upload_video_doc){
		$document->addScript(JURI::base() . 'components/com_joomlistings/js/swfobject.js');
		$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.uploadify.v2.1.0.min.js');
	}
?>


<div class="componentheading"><?php echo JText::_("EDIT_AD");?></div>
<div class="notify-require"><?php echo JText::_("REQUIRED");?></div>

<form id="josForm" name="josForm" class="form-validate" action="index.php" method="post" enctype="multipart/form-data">
<input type="hidden" name="option" value="<?php echo $option; ?>"/>
<input type="hidden" name="c" value="ad"/>
<input type="hidden" name="adid" value="<?php echo $this->ad->id; ?>"/>
<input type="hidden" name="task" value="save"/>
<input type="hidden" name="glat" value="<?php echo $this->ad->glat; ?>" id="hidden-glat"/>
<input type="hidden" name="glng" value="<?php echo $this->ad->glng; ?>" id="hidden-glng"/>

<?php echo $this->loadTemplate('basic');?>

<div id="efstage">
	<div class="notify-require"><em><?php echo JText::_("SELECT_CATEGORY");?></em></div>
</div>

<?php echo $this->loadTemplate('image');?>

<?php echo $this->loadTemplate('video');?>

<?php echo $this->loadTemplate('more');?>

<?php 
	if($this->settings->enable_seo){
		echo $this->loadTemplate('forseo');
	}
?>

<?php if($this->settings->enable_anti_spam == 1){?>
	<table>
		<tr>
			<td>
				<?php
					// prevent recaptchalib already loaded
					if ( !function_exists('_recaptcha_qsencode') ) {
						require_once (JPATH_SITE.DS.'components'.DS.'com_joomlistings'.DS.'includes'.DS.'recaptchalib.php');
					}
					// Get a key from http://recaptcha.net/api/getkey
					$publickey = $this->settings->captcha_public_key;
					// the response from reCAPTCHA
					$resp = null;
					// the error code from reCAPTCHA, if any
					$error = null;
					echo recaptcha_get_html($publickey, $error);
				?>
			</td>
		</tr>
	</table>
<?php }?>
		<script type="text/javascript">
			jQuery("select").uniform();
		</script>
		<input type="submit" class="btn button" value="<?php echo JText::_("SAVE");?>">
</form>
<script type="text/javascript">
	function remInvalid(fid){
		document.getElementById(fid+'msg').className = '';
	}
	
	jQuery(document).ready(function(){
		jQuery("#josForm").validate({
			rules:{
				title: "required",
				type: "required",
				price: {required:true, number:true},
				sectionid: "required",
				catid: "required",
				description: "required"
			},
			messages:{
				title: "",
				type: "",
				price:"",
				sectionid: "",
				catid: "",
				description: ""
			},
			highlight: function(element, errorClass, validClass) {
			     jQuery(element).addClass(errorClass).removeClass(validClass);
			     jQuery(element.form).find("label[for=" + element.id + "]")
			                    .addClass('invalid');
			  },
			  unhighlight: function(element, errorClass, validClass) {
				  jQuery(element).removeClass(errorClass).addClass(validClass);
				  jQuery(element.form).find("label[for=" + element.id + "]")
			                    .removeClass('invalid');
			  },
			  submitHandler: function(form) {
			       // do other stuff for a valid form
				  hasCheck = new Array();
				  field_els = new Array();
				  els = jQuery('.requiredrcb');
				  canSubmit = false;
				  if(els.length > 0){
					  for(j=0;j<els.length; j++){
						  if(jQuery(els[j]).attr('checked')){
							  hasCheck.push(jQuery(els[j]).attr('rel'));
						  }else{
							  if(field_els.indexOf(jQuery(els[j]).attr('rel')) == -1){
								  field_els.push(jQuery(els[j]).attr('rel'));
							  }
						  }
					  }
					  //console.debug(hasCheck);
					  //console.debug(field_els);'
					  if(hasCheck.length < field_els.length){
						  for(k=0;k<field_els.length;k++){
							  if(hasCheck.indexOf(field_els[k]) == -1){
								  
								  document.getElementById(field_els[k]+'msg').className = 'invalid';
								  jQuery('html, body').animate({
										scrollTop: jQuery('#'+field_els[k]+'msg').offset().top - 100
									}, 100);
							  }
						  }
					  }else{
						  canSubmit = true;
					  }
				  }else{
					  canSubmit = true;
				  }
				  if(canSubmit){
					  <?php if($settings->enable_packages && $this->package->enable_upload_video_doc){?>
							  if(jQuery('#uploadify').uploadifySettings('queueSize') > 0){
									jQuery('html, body').animate({
										scrollTop: jQuery("#top-of-upload").offset().top
									}, 200);
									jQuery("#uploadify").uploadifyUpload();
							  }else{
								  form.submit();
							  }
					  <?php }else{?>
					  		form.submit();
					  <?php }?>
				  }				  
			  }
		});
	  });
		
</script>

<?php echo $this->loadTemplate('mapscript');?>

