<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$settings = JoomListingsFactory::getSettings();
?>
<fieldset class="post-new-listing">
	<legend><?php echo JText::_("TELL_MORE");?></legend>
	<table width="100%" border="0" cellpadding="5" cellspacing="0">
		<tr>
			<td  class="inputtitle" width="15%">
				<label id="descriptionmsg" for="description"><?php echo JText::_("DESCRIPTION");?></label> <span class="required">*</span>
			</td>
		</tr>
		<tr>
			<td>
				<textarea  rows="6" name="description" id="description" class="inputbox txtarea"><?php echo $this->ad->description;?></textarea>
				<?php if($settings->enable_packages){?>
				<script type="text/javascript">
					jQuery('#description').jqEasyCounter({maxChars: <?php echo $this->package->description_max?>});
				</script>
				<?php }?>
			</td>
		</tr>
		<tr>
			<td class="inputtitle"><label id="tagsmsg" for="tagsmsg"> <?php echo JText::_("TAGS");?></label></td>
		</tr>
		<tr>
			<td>
				<input type="text" id="tags" name="tags" width="45" class="inputboxw inputbox" size="45" value="<?php echo $this->ad->tags; ?>"/>
				(Separate tags using a comma.)
			</td>
		</tr>
	</table>
</fieldset>

<?php if($settings->show_privacy){?>

<fieldset class="post-new-listing">
	<legend><?php echo JText::_("Privacy or Disclaimer");?></legend>
	<table width="100%" border="0" cellpadding="5" cellspacing="0">
		<tr>
			<td  class="inputtitle" width="15%">
				<label id="privacymsg" for="privacy">
					<?php //echo JText::_("");?>
				</label>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<textarea  rows="6" name="privacy" id="privacy"  class="inputbox txtarea" ><?php echo $this->ad->privacy; ?></textarea>
			</td>
		</tr>
	</table>
</fieldset>
<?php }?>
