<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.mootools');
$document =& JFactory::getDocument();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/default.css");
}
if($this->settings->show_listings_ratings){
	$document->addStyleSheet(JUri::root()."/components/com_joomlistings/css/jquery.ui.stars.min.css");
}
$posted =& JFactory::getUser($this->cuid);
$document->setTitle("All listing posted by ". $posted->get('name'));
$document->setMetaData('keywords',$this->category->title.', '.$this->category->meta_keyword);
$document->setMetaData('description',$this->category->title.', '.$this->category->meta_description);

if(!defined('_JOOMLISTING_LOAD_JQUERY')){
	define('_JOOMLISTING_LOAD_JQUERY', 1);
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-1.4.2.min.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.noconflict.js');
}
if($this->settings->show_listings_ratings){
$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-ui-1.8.2.custom.min.js');
$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.ui.stars.min.js');
}
$basepath = JPATH_ROOT.DS."images".DS."ads";
$baseurl = JUri::root()."images/ads";
$itemid = JLHelper::getBaseItemid();
JRequest::setVar('Itemid',$itemid);
$gridview = JRoute::_("index.php?option=com_joomlistings&c=listing&layout=_image&cid=$this->cid&type=$this->type&limitstart=".$this->pagenav->limitstart."&limit=".$this->pagenav->limit."&Itemid=$itemid",false);
$postlink = JRoute::_("index.php?option=com_joomlistings&view=ad&layout=post",false);
$return = base64_encode($postlink);

$loginlink = JRoute::_("index.php?option=com_user&view=login&return=$return",false);
$user =& JFactory::getUser();
$userid = $user->get('id');

if($this->settings->enable_colors){
?>
	<style type="text/css">
	.orange{
		background-color:<?php echo $this->settings->bgcolor_orange;?>;
		color:<?php echo $this->settings->fgcolor_orange;?>;
		border:1px solid #<?php echo $this->settings->border_orange;?>;
	
	}
	.red{
		background-color:<?php echo $this->settings->bgcolor_red;?>;
		color:<?php echo $this->settings->fgcolor_red;?>;
		border:1px solid #<?php echo $this->settings->border_red;?>;
	}
	
	.featured{
		background-color:<?php echo $this->settings->bgcolor_featured;?>;
		color:<?php echo $this->settings->fgcolor_featured;?>;
		border:1px solid #<?php echo $this->settings->border_featured;?>;
	}
	
	.bold{
		background-color:<?php echo $this->settings->bgcolor_bold;?>;
		color:<?php echo $this->settings->fgcolor_bold;?>;
		border:1px solid #<?php echo $this->settings->border_bold;?>;
	}
	</style>
<?php
}
?>
<?php if($this->settings->show_listings_ratings && ($userid || $this->settings->can_guest_vote)){?>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('.rat').each( function(index, elem){
			jQuery(this).stars({
				inputType: "select",
				oneVoteOnly: true,
				callback: function(ui, type, value){
					jQuery("#messages"+index).html("<br />Saving...").fadeIn(30);
					data = "rate="+value+"&"+ jQuery(elem).serialize();
					jQuery.post("index.php", data, function(json)
						{
							//ui.select(Math.round(json.avg));
							// Display confirmation message to the user
							jQuery("#messages"+index).html("<br />Rating saved. Thanks!").stop().css("opacity", 1).fadeIn(30);
							
							// Hide confirmation message after 2 sec...
							setTimeout(function(){
								jQuery("#messages"+index).fadeOut(1000);
							}, 2000);
						}, "json");
				}
			});
			jQuery('<div id="messages'+index+'"/>').appendTo(elem);
		});
	});
</script>
<?php }?>

<div class="componentheading"></div>
<div class="buttonstage">
	<table width="100%" cellpadding="5" cellspacing="0" border="0" >
		<tr>
			<td width="70%">
				<strong><?php echo $this->pagenav->getResultsCounter(); ?></strong>
			</td>
			<td align="right">
			<?php 
				if($this->user->get('id')){
			?>
				<a href="<?php echo $postlink; ?>"><?php echo JText::_('POST_ADD');?></a> - <?php echo JText::_('QUICK_SIMPLE');?>
			<?php
				}
				else{
			?>
				<a href="<?php echo $loginlink; ?>"><?php echo JText::_('LOGIN_TO_POST_ADD');?></a>
			<?php
				}
			?>
			</td>
		</tr>
	</table>
</div>
<div>
<table width="100%" class="listing-header" border="0" cellpadding="2" cellspacing="0">
	<tr>
		<td width="35%">Photo</td>
		<td width="45%">Title</td>
		<?php if($this->settings->enable_price){?>
		<td width="20%">Price</td>
		<?php }?>
	</tr>
</table>

<?php
if(count($this->listings)>0)
{
	$i=0;
	foreach($this->listings as $l)
	{
		$detailink=JRoute::_("index.php?option=com_joomlistings&c=ad&task=view&adid=$l->id&Itemid=$itemid",false);
		$wishlistlink=JRoute::_("index.php?option=com_joomlistings&c=ad&task=adw&adid=$l->id",false);
		$contactlink=JRoute::_("index.php?option=com_joomlistings&c=ad&task=contact&adid=$l->id",false);
		$editlink=JRoute::_("index.php?option=com_joomlistings&c=ad&task=edit&cid[]=$l->id",false);
		$imageslink=JRoute::_("index.php?option=com_joomlistings&c=image&task=images&cid[]=$l->id",false);
		
		$table_class = "";
		if($l->featured) $table_class = "featured";
		if($l->listingtype == 2) $table_class = "red";
		if($l->listingtype == 1) $table_class = "orange";
		if($l->listingtype == 3) $table_class = "bold";
		
	?>
	<table width="100%" border="0" cellpadding="2" cellspacing="0" class="adtable <?php echo $table_class;?>">
		<tr>
			<?php if($this->settings->enable_images){?>
			<td width="35%" valign="top"><a href="<?php echo $detailink; ?>">
				<img class="img2" src="<?php if(file_exists($basepath.DS.$l->userid.DS.$l->image."_sthm.jpg"))
				{
					echo $baseurl."/".$l->userid."/".$l->image."_sthm.jpg";
				}
				else
				{
						$xurl=JUri::base()."components/com_joomlistings/images";
					echo $xurl."/noimage_sthm.jpg";

				}
			?>" /></a>
			<?php if($this->settings->show_listings_ratings && ($userid || $this->settings->can_guest_vote)){?>
			<div style="margin-left: 20px; margin-top: 5px;">
				<form class="rat" action="index.php" method="post" id="rat_<?php echo $l->id?>">
					<select name="rate">
						<?php foreach ($this->stars as $star): ?>
							<option value="<?php echo $star->id ?>" <?php if(round($l->star_average) == $star->value){?>selected="selected"<?php }?>><?php echo $star->title ?></option>
						<?php endforeach; ?>
					</select>
					<input type="hidden" name="option" value="com_joomlistings" />
					<input type="hidden" name="c" value="listing" />
					<input type="hidden" name="task" value="vote" />
					<input type="hidden" name="aid" value="<?php echo $l->id?>" />
			     </form>
			     
			</div>
			<?php }?>
			</td>
			<?php }?>

			<td width="45%">
				<table width="100%">
					<tr>
						<td class="title"><a class="adtitle" style="font-size: 18px; font-weight: bold;" href="<?php echo $detailink; ?>"><?php echo $l->title; ?></a></td>
					</tr>
					<tr>
						<td class="title">Posted in:
						<?php 
							$text = "";
							if($this->settings->enable_regions){
								$text .= $l->ad_region." &raquo; ";
							}
							if($this->settings->enable_sections){
								$text .= $l->ad_section." &raquo; ";
							}
							$text .= $l->ad_category;
						?>
						<a href="<?php echo JRoute::_('index.php?option=com_joomlistings&c=listing&cid='.$l->catid);?>"><?php echo $text;?></a>
						</td>
					</tr>
					<tr>
						<td><?php if(($this->settings->show_wishlist) && $userid != $l->userid) { ?>
						<br/><br/>
							<a href="<?php echo JURI::base() . 'index.php?option=com_joomlistings&c=ad&task=contact&adid=' .
							$l->id; ?>" >Contact Advertiser</a>&nbsp; | &nbsp;
							<?php } ?>
							<?php if(($this->settings->show_wishlist) && $userid != $l->userid) { ?>
							<a href="<?php echo JURI::base() . 'index.php?option=com_joomlistings&c=ad&task=adw&adid=' .
							$l->id; ?>" >Add To Wishlist</a>
							<?php } ?>
						</td>
					</tr>
				</table>
				<?php
				/*if($userid==$l->userid)
				{
				?>
					<a  href="<?php echo $detailink; ?>">Full Detail and <?php echo (int)$l->imagecount; ?> Photos</a> |
					<a  href="<?php echo $imageslink; ?>"><?php echo JText::_("MANAGE_IMAGES");?></a> |
					<a  href="<?php echo $editlink; ?>"><?php echo JText::_('EDIT');?></a>
				<?php
				}*/
				?>
			</td>
			<?php if($this->settings->enable_price){?>
			<td class="price" style="font-size: 20px; font-weight: bold;"><?php echo $l->currencysymbol; ?><?php echo number_format($l->price,2); ?> <?php echo $l->currency; ?></td>
			<?php }?>
		</tr>
	</table>
<?php
	}
} else {
	echo  JText::_('NO_ADD_POST');
}?>

</div>
<div class="pages">
<?php echo $this->pagenav->getPagesLinks(); ?>
</div>
