<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc �) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$settings = JoomListingsFactory::getSettings();
$user =& JFactory::getUser();
$userid = $user->get('id');
?>
<script language="javascript" type="text/javascript">
		jQuery(document).ready(function(){
			jQuery('#catid').bind('change', function(){
				if(jQuery(this).val()!=-1){
					jQuery('#efstage').html("Loading...");
					jQuery.ajax({
							type: "POST",
							url: '<?php echo JRoute::_('index.php?option=com_joomlistings&c=ad&task=ef&format=raw');?>',
							data: 'cid='+jQuery(this).val(),
							success: function(response){
								jQuery('#efstage').html(response);
							}		
					});
				}
			});
		});
</script>
<fieldset class="post-new-listing">
	<legend><?php echo JText::_("BASIC_INFO"); ?></legend>
	<table width="100%" border="0" cellpadding="5" cellspacing="0">
		<tr>
			<td width="15%" class="inputtitle ">
				<label id="titlemsg" for="title">
					<?php echo JText::_("TITLE");?>
				</label> <span class="error">*</span>
			</td>
			<td>
				<input type="text" id="title" name="title" class="inputboxw inputbox required" size="45" value="<?php echo JRequest::getVar('title');?>"/>
				<?php if($settings->enable_packages){?>
				<script type="text/javascript">
						jQuery(document).ready(function(){
							jQuery('#title').jqEasyCounter({maxChars: <?php echo $this->package->title_max?>});
						});
				</script>
				<?php }?>
				<?php 
					if ($settings->enable_regions){
						if($settings->enable_neighbor)
							echo "<br>".JText::_('You are posting this listing in'). " ". $this->cregion ." &raquo; ". $this->clocation . " &raquo; ". $this->cneighbor . " - <a href='".JRoute::_("index.php?option=com_joomlistings&c=directory&task=change", false)."'>Change</a>";
						else
							echo "<br>".JText::_('You are posting this listing in'). " ". $this->cregion ." &raquo; ". $this->clocation . " - <a href='".JRoute::_("index.php?option=com_joomlistings&c=directory&task=change", false)."'>Change</a>";
					}
				?>
			</td>
		</tr>
		<?php if($settings->enable_listing_type){?>
		<tr>
			<td  class="inputtitle ">
				<label id="typemsg" for="type">
				<?php echo JText::_("TYPE");?> </label><span class="error">*</span>
			</td>
			<td><?php echo $this->lists['adtype'] ?></td>
		</tr>
		<?php }?>

		<?php if($settings->enable_price){?>
		<tr>
			<td  class="inputtitle required">
				<label id="pricemsg" for="price">
					<?php echo JText::_("PRICE");?>
				</label> <span class="required">*</span>
			</td>
			<td>
				<div style="float:left"><?php echo $this->currency ?></div>
				<div style="float:left;padding-top:3px;"><input type="text" name="price" id="price" size="15" class="inputboxw inputbox required validate-numeric" value="<?php echo JRequest::getVar('price'); ?>" /></div>
			</td>
		</tr>
		<?php }?>

		<?php if($settings->enable_featured_ads){?>
		<tr>
			<td class="inputtitle">
				<label id="featuredmsg" for="featured">
					<?php echo JText::_("FEATURED");?>
				</label>
			</td>
			<td>
				<input id="featured" type="checkbox" name="featured" value='1' <?php if(JRequest::getVar('featured', '') == "1") echo " checked='checked'"?> >
			</td>
		</tr>
		<?php }?>

		<?php if($settings->enable_colored_listings){?>
		<tr>
			<td class="inputtitle">
				<label id="listingtypemsg" for="listingtype">
					<?php echo JText::_("LISTINGS_TYPES");?>
				</label>
			</td>
			<td><?php echo $this->lists['listingtype'];?></td>
		</tr>
		<?php }?>

		<?php if(!$settings->auto_expire_ads) {?>
		<tr>
			<td  class="inputtitle">
				<label id="expirydatemsg" for="expirydate">
					<?php echo JText::_("EXPIRES_ON");?>
				</label>
			</td>
			<td>
				<?php echo JHTML::_('calendar', null, 'expirydate', 'expirydate', '%Y-%m-%d',
				array('class'=>'inputboxw inputbox required', 'size'=>'25',  'maxlength'=>'19')); ?>
			</td>
		</tr>
		<?php }?>
		<?php if($settings->enable_sections){?>
		<tr>
			<td class="inputtitle required">
				<label id="sectionidmsg" for="sectionid">
					<?php echo JText::_( 'SECTION' ); ?>
				</label> <span class="required">*</span>
			</td>
			<td>
				<?php echo $this->lists['sectionid']; ?>
				<script type="text/javascript">
					jQuery(document).ready(function(){
						jQuery('#sectionid').bind('change', function(){
							jQuery.ajax({
									type: "POST",
									url: '<?php echo JRoute::_('index.php?option=com_joomlistings&c=ad&task=catpacksec');?>',
									data: 'pid=<?php echo $this->pid;?>&sid='+ jQuery('#sectionid').val(),
									success: function(response){
										jQuery('#catid').html(response);
									}		
							});
						});
					});
				</script>
			</td>
		</tr>
		<?php }?>
		<tr>
			<td class="inputtitle required">
				<label id="catidmsg" for="catid">
					<?php echo JText::_( 'CATEGORY' ); ?>
				</label> <span class="required">*</span>
			</td>
			<td>
				<?php echo $this->lists['catid']; ?>
			</td>
		</tr>
		<?php if($settings->show_zipcode){?>
		<tr valign="top">
			<td class="inputtitle">
				<label id="postalcode" for="postalcode">
					<?php echo JText::_( 'POSTAL_CODE' ); ?>
				</label>
			</td>
			<td>
				<input type="text" id="postalcode" name="postal_code" class="inputboxw inputbox" size="25" value="<?php echo JRequest::getVar('postal_code')?> "/>
			</td>
		</tr>
		<?php }?>
		
		<?php if($settings->show_address){?>
		<tr valign="top">
			<td class="inputtitle">
				<label id="addressmsg" for="address">
					<?php echo JText::_( 'ADDRESS' ); ?>
				</label>
			</td>
			<td>
				<div><input type="text" id="address" value="<?php echo JRequest::getVar('address');?>" name="address" class="inputboxw inputbox" size="45" style="float:left"/><span id="loading-icon" style="display:none;float:left;">Loading...</span></div>
				<?php if($settings->integrate_googlemap){?>
					<div style="clear:left;"><a href="javascript:void(0);" id="locate-by-map"><?php echo JText::_( 'LOCATE_ADDRESS_IN_MAP' ); ?></a></div>
					<div id="map_canvas_wrapper" style="width:0px; height:0px;"><div id="map_canvas" style="width:500px; height:300px;"></div></div>
				<?php }?>
			</td>
		</tr>
		<?php }?>
	</table>
</fieldset>

<script type="text/javascript">
<?php 
	$price_for_featured = 0;
	$price_for_bold = 0;
	$price_for_orange = 0;
	$price_for_red = 0;
	if($settings->enable_packages){
		$price_for_featured = (int) $this->package->priceforfeatured;
		$price_for_bold = (int) $this->package->priceforbold;
		$price_for_orange = (int) $this->package->pricefororange;
		$price_for_red = (int) $this->package->priceforred;
	}else{
		$price_for_featured = (int) $settings->featured_price;
		$price_for_bold = (int) $settings->price_for_bold;
		$price_for_orange = (int) $settings->price_for_orange;
		$price_for_red = (int) $settings->price_for_red; 
	}
?>
jQuery(document).ready(function(){
	jQuery('input#featured').qtip({
		content:'<?php echo sprintf(JText::_('YOU_WILL_BE_CHARGED'), $settings->currency, $price_for_featured);?>',
		show: 'mouseover',
		hide: 'mouseout',
		style: {
		    name: 'cream'
		},
		position: {adjust:{x:10, y:10}}
	});
	jQuery('input#listingtype3').qtip({
		content:'<?php echo sprintf(JText::_('YOU_WILL_BE_CHARGED'), $settings->currency, $price_for_bold);?>',
		show: 'mouseover',
		hide: 'mouseout',
		style: { 
		     name: 'cream'
		},
		position: {adjust:{x:10, y:10}}
	});
	jQuery('input#listingtype1').qtip({
		content:'<?php echo sprintf(JText::_('YOU_WILL_BE_CHARGED'), $settings->currency, $price_for_orange);?>',
		show: 'mouseover',
		hide: 'mouseout',
		style: { 
		     name: 'cream'
		},
		position: {adjust:{x:10, y:10}}
	});
	jQuery('input#listingtype2').qtip({
		content:'<?php echo sprintf(JText::_('YOU_WILL_BE_CHARGED'), $settings->currency, $price_for_red);?>',
		show: 'mouseover',
		hide: 'mouseout',
		style: { 
		     name: 'cream'
		},
		position: {adjust:{x:10, y:10}}
	});
});
</script>