<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc �) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
$settings = JoomListingsFactory::getSettings();
$latlong = $settings->integrate_googlemap_latlong;
$latlong = explode(",", $latlong);
if(count($latlong) != 2){
	$latlong = array('45.3829933','-75.6741412');
}

if($settings->integrate_googlemap) {
	$map_key = $settings->integrate_googlemap_key;
?>
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;sensor=true&amp;key=<?php echo $map_key;?>" type="text/javascript"></script>
<?php } ?>

<?php if($settings->show_address && $settings->integrate_googlemap){?>
<script type="text/javascript">
	window.addEvent('domready',function(){
		$('locate-by-map').addEvent('click', function(){
			initialize2();
			$('map_canvas_wrapper').setStyle('width', '500px');
			$('map_canvas_wrapper').setStyle('height', '300px');
		});
	});
	
	var requestLink = '<?php echo JUri::root()."index.php?option=$option&c=ad&task=csr";?>';
	var map;
	var geocoder;
	var address;
	var myLatitude = <?php echo $latlong[0];?>;
 	var myLongitude = <?php echo $latlong[1];?>;

	function initialize() {
	  map = new GMap2(document.getElementById("map_canvas"));
	  map.setCenter(new GLatLng(myLatitude, myLongitude), 15); // zoom level is 15
	  var marker = new GMarker(new GLatLng(myLatitude,myLongitude));
	  map.addOverlay(marker);
	  map.addControl(new GLargeMapControl);
	  GEvent.addListener(map, "click", getAddress);
	  geocoder = new GClientGeocoder();
	}


	function initialize2() {
	  map = new GMap2(document.getElementById("map_canvas"));
	  geocoder = new GClientGeocoder();
	  var address = $('address').value;
	  if($('address').value != ''){
		  if (geocoder) {
		        geocoder.getLatLng(
		          address,
		          function(point) {
		            if (!point) {
		              alert(address + " not found");
		            } else {
		            	map.setCenter(point, 15);
		            	geocoder.getLocations(new GLatLng(point.lat(), point.lng()), function(response){
			            	if(response.Placemark[0]){
				            	place = response.Placemark[0];
				            	mpoint = new GLatLng(place.Point.coordinates[1],place.Point.coordinates[0]);
				            	map.setCenter(mpoint, 15);
			            		marker = new GMarker(mpoint);
			            		map.addOverlay(marker);
			            		rcode = '';
			            		lcode = '';
			            		info =	'<b>Address:</b>' + place.address + '<br>';
			            		postcode = '';
			            		if(place.AddressDetails.Country.AdministrativeArea){
			            			if(place.AddressDetails.Country.AdministrativeArea){
			            				rcode = place.AddressDetails.Country.AdministrativeArea.AdministrativeAreaName;
			            			}
			            			if(place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea){
			            				lcode = place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.SubAdministrativeAreaName;
			            				if(place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode){
			            					info +=	'<b>Postal code:</b> ' + place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode.PostalCodeNumber + '<br>';
			            					postcode = place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode.PostalCodeNumber;
			            				}
			            			}
			            		}
			            		info +=	'<b>Country code:</b> ' + place.AddressDetails.Country.CountryNameCode;
			            		marker.openInfoWindowHtml(info);
			            		$('hidden-glat').setProperty('value', place.Point.coordinates[1]);
			            		$('hidden-glng').setProperty('value', place.Point.coordinates[0]);
			            		<?php if($settings->show_zipcode){?>
			            		//if(postcode != ''){
			            			$("postalcode").setProperty('value', postcode);
			            		//}
			            		<?php }?>
				            }
			            	else{
				            	alert("Status Code:" + response.Status.code);
			            	}
			            });
		            }
		          }
		        );
		      }
	  }
	  else{
		  map.setCenter(new GLatLng(myLatitude,myLongitude), 15);
		  var marker = new GMarker(new GLatLng(myLatitude,myLongitude));
		  map.addOverlay(marker);
	  }
	  map.addControl(new GLargeMapControl);
	  GEvent.addListener(map, "click", getAddress);
	}

	function getAddress(overlay, latlng) {
	  if (latlng != null) {
		address = latlng;
		geocoder.getLocations(latlng, showAddress);
	  }
	}

	function showAddress(response) {
	  map.clearOverlays();
	  if (!response || response.Status.code != 200) {
		alert("Status Code:" + response.Status.code);
	  } else {
		place = response.Placemark[0];
		point = new GLatLng(place.Point.coordinates[1],place.Point.coordinates[0]);
		$('hidden-glat').setProperty('value', place.Point.coordinates[1]);
		$('hidden-glng').setProperty('value', place.Point.coordinates[0]);

		marker = new GMarker(point);
		map.addOverlay(marker);
		info =	'<b>Address:</b>' + place.address + '<br>';
		postcode = '';
		if(place.AddressDetails.Country.AdministrativeArea){
			if(place.AddressDetails.Country.AdministrativeArea){
				rcode = place.AddressDetails.Country.AdministrativeArea.AdministrativeAreaName;
			}
			if(place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea){
				lcode = place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.SubAdministrativeAreaName;
				if(place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode){
					info +=	'<b>Postal code:</b> ' + place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode.PostalCodeNumber + '<br>';
					postcode = place.AddressDetails.Country.AdministrativeArea.SubAdministrativeArea.Locality.PostalCode.PostalCodeNumber;
				}
			}
		}
		info +=	'<b>Country code:</b> ' + place.AddressDetails.Country.CountryNameCode;
		marker.openInfoWindowHtml(info);
		$("address").setProperty('value', place.address);
		<?php if($settings->show_zipcode){?>
		if(postcode != ''){
			$("postalcode").setProperty('value', postcode);
		}
		<?php }?>
//		$('loading-icon').setStyle('display', 'block');
//		new Ajax(requestLink + '&rc=' + rcode + '&lc=' + lcode,{
//										method:'post',
//										onComplete: function(responseText){
//											retcode = responseText.split(';');
//											$('loading-icon').setStyle('display', 'none');
//										}
//					}).request();
	  }
	}

</script>
<?php }?>