<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
JPluginHelper::importPlugin('joomlistings');
$document =& JFactory::getDocument();
$settings = JoomListingsFactory::getSettings();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/default.css");
}

if(!defined('_JOOMLISTING_LOAD_JQUERY')){
	define('_JOOMLISTING_LOAD_JQUERY', 1);
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-1.4.2.min.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.noconflict.js');
}

$return = base64_encode(JRoute::_("index.php?option=com_joomlistings&view=ad&layout=post"));
$loginlink = JRoute::_("index.php?option=com_user&view=login&return=$return");
$changelink = JRoute::_("index.php?option=com_joomlistings&c=directory&task=change");
if($settings->enable_regions){
	$document->setTitle($this->region->region." > ".$this->region->location);
}
$itemid = JLHelper::getBaseItemid();
JRequest::setVar('Itemid',$itemid);

?>
<div class="buttonstage">
<table width="100%" cellpadding="1" cellspacing="0" border="0">
<tr>
<?php if($settings->enable_regions)
	{
		$text = $this->region->region. " &raquo; " . $this->region->location;
		if($this->settings->enable_neighbor){
			$text .= " &raquo; " . $this->region->neighbor;
		}
	?>
	<td width="50%"><strong><?php echo $text;?></strong> - <a class="sml" href="<?php echo $changelink; ?>"><?php echo JText::_("CHANGE_REGION"); ?></a>
	</td>
	<?php
	}
?>
<td align="right">

<?php
if($this->user->get('id'))
{
	?><a href="<?php echo JRoute::_("index.php?option=com_joomlistings&view=ad&layout=post") ?>"><?php echo JText::_("POST_AD");?></a> - <?php echo JText::_("QUICK_SIMPLE");?> <?php

}
else
{
?>
<a href="<?php echo $loginlink; ?>"><?php echo JText::_("LOGIN_TO_POST");?></a>
<?php
}

?>
</td>
</tr>
</table>
</div>
<?php

		$mainframe->triggerEvent('loadCategoryAdTop');
		?>
<?php
	/*
	* Out listing in directory format
	*/
	if(count($this->sections)>0)
	{
?>
		<div class="floatcontainer">
			<?php
				$i = 0;
				foreach($this->sections as $r){
					$xlink = JRoute::_("index.php?option=com_joomlistings&c=directory&task=cat&sid=$r->id&Itemid=$itemid");
					$img = "folder.gif";
					if($r->image_of_section != NULL){
						$img	= "images-of-sections/".$r->image_of_section;
					}
					$collasp	= '';
					if($settings->collapse_front_end){
						$collasp= ' onclick="javascript:collasp('.$r->id.');"';
					}
			?>
				<div class="floatitem">
					<div class="ctitle" <?php echo $collasp;?>>
						<?php 
						if($settings->show_image_of_sections && $r->image_of_section != NULL) {?>
							<img id="image-cat-<?php echo $r->id;?>" src="components/com_joomlistings/images/<?php echo $img;?>"/>
						<?php }else{?>
							<img class="images-cats" id="image-cat-<?php echo $r->id;?>-clp" src="components/com_joomlistings/images/<?php echo $img;?>" rel="components/com_joomlistings/images/"/>
						<?php }?>
						<a href="javascript:void(0);"><?php echo $r->title; ?></a>
					</div>
					<?php 
						if($r->categories) echo $r->categories;
					?>
				</div>
			<?php
					$i++;
					if( $i%3 == 0 )
						echo '<div style="clear:both"></div>';
				}
			?>
		</div>
	<?php
	}
?>
<br style="clear:both"/>
<?php
	$mainframe->triggerEvent('loadCategoryAdBottom');
?>
<div class="buttonstage">
<table width="100%" cellpadding="1" cellspacing="0" border="0">
<tr>
<?php if($settings->enable_regions)
	{
		$text = $this->region->region. " &raquo; " . $this->region->location;
		if($this->settings->enable_neighbor){
			$text .= " &raquo; " . $this->region->neighbor;
		}
	?>
	<td width="50%"><strong><?php echo $text;?></strong> - <a class="sml" href="<?php echo $changelink; ?>"><?php echo JText::_("CHANGE_REGION"); ?></a>
	</td>
	<?php
	}
?>
<td align="right">

<?php
if($this->user->get('id'))
{
	?><a href="<?php echo JRoute::_("index.php?option=com_joomlistings&view=ad&layout=post"); ?>"><?php echo JText::_("POST_AD");?></a> - <?php echo JText::_("QUICK_SIMPLE");?><?php

}
else
{
?>
<a href="<?php echo $loginlink; ?>"><?php echo JText::_("LOGIN_TO_POST");?></a>
<?php
}

?>
</td>
</tr>
</table>
</div>
<script language="javascript">
	var k = 0;
	var m = 0;
	function collasp(i){
		if( m != i ){
			m  = i;
			k  = 0;
		}
		jQuery('.list').hide();
		jQuery('img.images-cats').each(function(){
			jQuery(this).attr('src', jQuery(this).attr('rel')+ 'folder.gif');
		});
		if( k%2 == 0 ){
			jQuery('#sub-cat-'+i).show();
			jQuery('#image-cat-'+i+'-clp').attr('src', jQuery('#image-cat-'+i+'-clp').attr('rel')+ 'folder_open.gif');
		}
		else{
			jQuery('#sub-cat-'+i).hide();
			jQuery('#image-cat-'+i+'-clp').attr('src', jQuery('#image-cat-'+i+'-clp').attr('rel')+ 'folder.gif');
		}
		k++;
	}
</script>
<?php
	if($settings->collapse_front_end)
	{
	?>
	<script language="javascript">
		jQuery('.list').show();
		jQuery('img.images-cats').each(function(){
			jQuery(this).attr('src', jQuery(this).attr('rel')+ 'folder_open.gif');
		});
		</script>
	<?php
	}
?>
