<?php
/*************************************************
Author: JoomClan.com
Creation Date: 2009-11-25
Author Email: joomclan@gmail.com
Url: http://www.joomclan.com
Copyright: 2009-2010
License: GNU
Component Version: 2.1.7
Software License: All of our PHP and HTML source code is released under the GNU General Public License (GPL) to ensure it is 100% compatible with Joomla!.
The GPL is the world's most popular Free (as in Freedom) and Open Source Software license.
Some javascript and other media (images, css, ajax scripts, flv players, mp3 players etc …) may be released under different licenses. Please see the details with the individual products.
**************************************************/

defined('_JEXEC') or die('Restricted access');
JPluginHelper::importPlugin('joomlistings');
$settings = JoomListingsFactory::getSettings();
$document =& JFactory::getDocument();
if(!defined('_JOOMLISTING_LOAD_DEFAULT_CSS')){
	define('_JOOMLISTING_LOAD_DEFAULT_CSS', 1);
	$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/default.css");
}
$document->addStyleSheet(JUri::root()."components/com_joomlistings/css/uniform.default.css");

if(!defined('_JOOMLISTING_LOAD_JQUERY')){
	define('_JOOMLISTING_LOAD_JQUERY', 1);
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery-1.4.2.min.js');
	$document->addScript(JURI::base() . 'components/com_joomlistings/js/jquery.noconflict.js');
}
$document->addScript(JUri::root()."/components/com_joomlistings/js/nested.accordion.js");
$itemid=JLHelper::getBaseItemid();
JRequest::setVar('Itemid',$itemid);
$return="";
if(!empty($this->return))
{
	$return="&return=$this->return";
}?>
<div class="componentheading"><?php echo JText::_("CLASSIFIED_TITLE");?></div>
<style type="text/css">


</style>
<?php $total = count($this->regions);
if($total > 0){
?>
<script type="text/javascript">
jQuery("html").addClass("js");
<?php if($settings->enable_neighbor){ ?>
jQuery(function() {
	jQuery("#main").accordion({
      el: ".h", 
      head: "h4, h5", 
      next: "div", 
      initShow : "",
      remote: {option: 'com_joomlistings', c: 'directory', task: 'neibough'}
  	});
	jQuery("html").removeClass("js");
});
<?php }else{ ?>
jQuery(function() {
	jQuery("#main").accordion({
      el: ".h", 
      head: "h4, h5", 
      next: "div", 
      initShow : ""
  	});
	jQuery("html").removeClass("js");
});
<?php }?>
</script>
<?php }?>
<div class="shown" id="main">
<?php
		$mainframe->triggerEvent('loadRegionAdTop');
		?>
<?php
	$total = count($this->regions);
	if($total > 0)
	{
		$cols = 3;
		if($total % 3 == 0){
			$rows = $total / 3 ;
		}else{
			$rows = $total / 3 + 1;
		}
		$j = 0;
		?>
		<div class="floatcontainer">
			<?php
			foreach($this->regions as $r)
			{
				if($j == 0){
					echo "<div class=\"floatitem\">";
				}
				?>
			<ul class="accordion" id="acc<?php echo $r->id?>">
				<li><h4 class="h"><a class="trigger" style="display: block;" href="javascript:void(0);" title="open/close"><?php echo $r->title; ?></a></h4>
				<div style="display: none;" class="outer shown">
					<div class="inner shown">
						<ul class="list-acc">
						<?php
							if(count($r->categories)>0)
							{
								$cx=0;
								?>
								<?php
								if($settings->enable_neighbor){
									foreach($r->categories as $c){
										//$link=JRoute::_("index.php?option=com_joomlistings&c=directory&task=select&rid=$r->id&lid=$c->id&Itemid=$itemid".$return);
										?>
										<li>
										<h5 class="h"><a class="trigger" style="display: block;" href="javascript:void(0);" title="open/close" rel="<?php echo $r->id;?>,<?php echo $c->id;?>"><?php echo $c->title; ?>(<?php echo $c->adcount;?>)</a> </h5>
										<div style="display: none;" class="outer shown"><div class="inner"></div></div>
										</li>
										<?php
										$cx++;
									}
								}else{
									foreach($r->categories as $c){
										$link = JRoute::_("index.php?option=com_joomlistings&c=directory&task=select&rid=$r->id&lid=$c->id&Itemid=$itemid".$return);
										?>
										<li>
										<h5 class="h"><a href="<?php echo $link;?>"><?php echo $c->title; ?>(<?php echo $c->adcount;?>)</a> </h5>
										</li>
										<?php
										$cx++;
									}
								}
								?><?php
							}
						 ?>
					 	</ul>
			 		</div>
			 	</div>
			 	</li>
			 </ul>
			 <?php $j++;
			 if($j == $rows){
			 	$j=0;
			 	?>
			 </div>
			 <?php
			 }
			 ?>

			<?php
		}
		if($j!= 0 && $j < $rows){
			echo "</div>";
		}
		?>
		</div>
		<?php
	}
?>
</div>
<br style="clear:both"/>
<?php

		$mainframe->triggerEvent('loadRegionAdBottom');
		?>